/*******************************************************************
* Creation Date: 01/16/2024   
*   CO_SEDD_2021_CORE.sps:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


/***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************/


/********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************/

DATA LIST FILE = 'CO_SEDD_2021_CORE.asc' FIXED SKIP=2 / 
 AGE                             1-   3
 AMONTH                          4-   5
 ATYPE                           6-   7
 AWEEKEND                        8-   9
 CPT1                           10-  14 (A)
 CPT2                           15-  19 (A)
 CPT3                           20-  24 (A)
 CPT4                           25-  29 (A)
 CPT5                           30-  34 (A)
 CPT6                           35-  39 (A)
 CPT7                           40-  44 (A)
 CPT8                           45-  49 (A)
 CPT9                           50-  54 (A)
 CPT10                          55-  59 (A)
 CPT11                          60-  64 (A)
 CPT12                          65-  69 (A)
 CPT13                          70-  74 (A)
 CPT14                          75-  79 (A)
 CPT15                          80-  84 (A)
 CPT16                          85-  89 (A)
 CPT17                          90-  94 (A)
 CPT18                          95-  99 (A)
 CPT19                         100- 104 (A)
 CPT20                         105- 109 (A)
 CPT21                         110- 114 (A)
 CPT22                         115- 119 (A)
 CPT23                         120- 124 (A)
 CPT24                         125- 129 (A)
 CPT25                         130- 134 (A)
 CPT26                         135- 139 (A)
 CPT27                         140- 144 (A)
 CPT28                         145- 149 (A)
 CPT29                         150- 154 (A)
 CPT30                         155- 159 (A)
 CPT31                         160- 164 (A)
 CPT32                         165- 169 (A)
 CPT33                         170- 174 (A)
 CPT34                         175- 179 (A)
 CPT35                         180- 184 (A)
 CPT36                         185- 189 (A)
 CPT37                         190- 194 (A)
 CPT38                         195- 199 (A)
 CPT39                         200- 204 (A)
 CPT40                         205- 209 (A)
 CPT41                         210- 214 (A)
 CPT42                         215- 219 (A)
 CPT43                         220- 224 (A)
 CPT44                         225- 229 (A)
 CPT45                         230- 234 (A)
 CPT46                         235- 239 (A)
 CPT47                         240- 244 (A)
 CPT48                         245- 249 (A)
 CPT49                         250- 254 (A)
 CPT50                         255- 259 (A)
 CPT51                         260- 264 (A)
 CPT52                         265- 269 (A)
 CPT53                         270- 274 (A)
 CPT54                         275- 279 (A)
 CPT55                         280- 284 (A)
 CPT56                         285- 289 (A)
 CPT57                         290- 294 (A)
 CPT58                         295- 299 (A)
 CPT59                         300- 304 (A)
 CPT60                         305- 309 (A)
 CPT61                         310- 314 (A)
 CPT62                         315- 319 (A)
 CPT63                         320- 324 (A)
 CPT64                         325- 329 (A)
 CPT65                         330- 334 (A)
 CPT66                         335- 339 (A)
 CPT67                         340- 344 (A)
 CPT68                         345- 349 (A)
 CPT69                         350- 354 (A)
 CPT70                         355- 359 (A)
 CPT71                         360- 364 (A)
 CPT72                         365- 369 (A)
 CPT73                         370- 374 (A)
 CPT74                         375- 379 (A)
 CPT75                         380- 384 (A)
 CPT76                         385- 389 (A)
 CPT77                         390- 394 (A)
 CPT78                         395- 399 (A)
 CPT79                         400- 404 (A)
 CPT80                         405- 409 (A)
 CPT81                         410- 414 (A)
 CPT82                         415- 419 (A)
 CPT83                         420- 424 (A)
 CPT84                         425- 429 (A)
 CPT85                         430- 434 (A)
 CPT86                         435- 439 (A)
 CPT87                         440- 444 (A)
 CPT88                         445- 449 (A)
 CPT89                         450- 454 (A)
 CPT90                         455- 459 (A)
 CPT91                         460- 464 (A)
 CPT92                         465- 469 (A)
 CPT93                         470- 474 (A)
 CPT94                         475- 479 (A)
 CPT95                         480- 484 (A)
 CPT96                         485- 489 (A)
 CPT97                         490- 494 (A)
 CPT98                         495- 499 (A)
 CPT99                         500- 504 (A)
 CPT100                        505- 509 (A)
 CPT101                        510- 514 (A)
 CPT102                        515- 519 (A)
 CPT103                        520- 524 (A)
 CPT104                        525- 529 (A)
 CPT105                        530- 534 (A)
 CPT106                        535- 539 (A)
 CPT107                        540- 544 (A)
 CPT108                        545- 549 (A)
 CPT109                        550- 554 (A)
 CPT110                        555- 559 (A)
 CPT111                        560- 564 (A)
 CPT112                        565- 569 (A)
 CPT113                        570- 574 (A)
 CPT114                        575- 579 (A)
 CPT115                        580- 584 (A)
 CPT116                        585- 589 (A)
 CPT117                        590- 594 (A)
 CPT118                        595- 599 (A)
 CPT119                        600- 604 (A)
 CPT120                        605- 609 (A)
 CPT121                        610- 614 (A)
 CPT122                        615- 619 (A)
 CPT123                        620- 624 (A)
 CPT124                        625- 629 (A)
 CPT125                        630- 634 (A)
 CPT126                        635- 639 (A)
 CPT127                        640- 644 (A)
 CPT128                        645- 649 (A)
 CPT129                        650- 654 (A)
 CPT130                        655- 659 (A)
 CPT131                        660- 664 (A)
 CPT132                        665- 669 (A)
 CPT133                        670- 674 (A)
 CPT134                        675- 679 (A)
 CPT135                        680- 684 (A)
 CPT136                        685- 689 (A)
 CPT137                        690- 694 (A)
 CPT138                        695- 699 (A)
 CPT139                        700- 704 (A)
 CPT140                        705- 709 (A)
 CPT141                        710- 714 (A)
 CPT142                        715- 719 (A)
 CPT143                        720- 724 (A)
 CPT144                        725- 729 (A)
 CPT145                        730- 734 (A)
 CPT146                        735- 739 (A)
 CPT147                        740- 744 (A)
 CPT148                        745- 749 (A)
 CPT149                        750- 754 (A)
 CPT150                        755- 759 (A)
 CPT151                        760- 764 (A)
 CPT152                        765- 769 (A)
 CPT153                        770- 774 (A)
 CPT154                        775- 779 (A)
 CPT155                        780- 784 (A)
 CPT156                        785- 789 (A)
 CPT157                        790- 794 (A)
 CPT158                        795- 799 (A)
 CPT159                        800- 804 (A)
 CPT160                        805- 809 (A)
 CPT161                        810- 814 (A)
 CPT162                        815- 819 (A)
 CPT163                        820- 824 (A)
 CPT164                        825- 829 (A)
 CPT165                        830- 834 (A)
 CPT166                        835- 839 (A)
 CPT167                        840- 844 (A)
 CPT168                        845- 849 (A)
 CPT169                        850- 854 (A)
 CPT170                        855- 859 (A)
 CPT171                        860- 864 (A)
 CPT172                        865- 869 (A)
 CPT173                        870- 874 (A)
 CPT174                        875- 879 (A)
 CPT175                        880- 884 (A)
 CPT176                        885- 889 (A)
 CPT177                        890- 894 (A)
 CPT178                        895- 899 (A)
 CPT179                        900- 904 (A)
 CPT180                        905- 909 (A)
 CPT181                        910- 914 (A)
 CPT182                        915- 919 (A)
 CPT183                        920- 924 (A)
 CPT184                        925- 929 (A)
 CPT185                        930- 934 (A)
 CPT186                        935- 939 (A)
 CPT187                        940- 944 (A)
 CPT188                        945- 949 (A)
 CPT189                        950- 954 (A)
 CPT190                        955- 959 (A)
 CPT191                        960- 964 (A)
 CPT192                        965- 969 (A)
 CPT193                        970- 974 (A)
 CPT194                        975- 979 (A)
 CPT195                        980- 984 (A)
 CPT196                        985- 989 (A)
 CPT197                        990- 994 (A)
 CPT198                        995- 999 (A)
 CPT199                       1000-1004 (A)
 CPT200                       1005-1009 (A)
 CPTCCS1                      1010-1012
 CPTCCS2                      1013-1015
 CPTCCS3                      1016-1018
 CPTCCS4                      1019-1021
 CPTCCS5                      1022-1024
 CPTCCS6                      1025-1027
 CPTCCS7                      1028-1030
 CPTCCS8                      1031-1033
 CPTCCS9                      1034-1036
 CPTCCS10                     1037-1039
 CPTCCS11                     1040-1042
 CPTCCS12                     1043-1045
 CPTCCS13                     1046-1048
 CPTCCS14                     1049-1051
 CPTCCS15                     1052-1054
 CPTCCS16                     1055-1057
 CPTCCS17                     1058-1060
 CPTCCS18                     1061-1063
 CPTCCS19                     1064-1066
 CPTCCS20                     1067-1069
 CPTCCS21                     1070-1072
 CPTCCS22                     1073-1075
 CPTCCS23                     1076-1078
 CPTCCS24                     1079-1081
 CPTCCS25                     1082-1084
 CPTCCS26                     1085-1087
 CPTCCS27                     1088-1090
 CPTCCS28                     1091-1093
 CPTCCS29                     1094-1096
 CPTCCS30                     1097-1099
 CPTCCS31                     1100-1102
 CPTCCS32                     1103-1105
 CPTCCS33                     1106-1108
 CPTCCS34                     1109-1111
 CPTCCS35                     1112-1114
 CPTCCS36                     1115-1117
 CPTCCS37                     1118-1120
 CPTCCS38                     1121-1123
 CPTCCS39                     1124-1126
 CPTCCS40                     1127-1129
 CPTCCS41                     1130-1132
 CPTCCS42                     1133-1135
 CPTCCS43                     1136-1138
 CPTCCS44                     1139-1141
 CPTCCS45                     1142-1144
 CPTCCS46                     1145-1147
 CPTCCS47                     1148-1150
 CPTCCS48                     1151-1153
 CPTCCS49                     1154-1156
 CPTCCS50                     1157-1159
 CPTCCS51                     1160-1162
 CPTCCS52                     1163-1165
 CPTCCS53                     1166-1168
 CPTCCS54                     1169-1171
 CPTCCS55                     1172-1174
 CPTCCS56                     1175-1177
 CPTCCS57                     1178-1180
 CPTCCS58                     1181-1183
 CPTCCS59                     1184-1186
 CPTCCS60                     1187-1189
 CPTCCS61                     1190-1192
 CPTCCS62                     1193-1195
 CPTCCS63                     1196-1198
 CPTCCS64                     1199-1201
 CPTCCS65                     1202-1204
 CPTCCS66                     1205-1207
 CPTCCS67                     1208-1210
 CPTCCS68                     1211-1213
 CPTCCS69                     1214-1216
 CPTCCS70                     1217-1219
 CPTCCS71                     1220-1222
 CPTCCS72                     1223-1225
 CPTCCS73                     1226-1228
 CPTCCS74                     1229-1231
 CPTCCS75                     1232-1234
 CPTCCS76                     1235-1237
 CPTCCS77                     1238-1240
 CPTCCS78                     1241-1243
 CPTCCS79                     1244-1246
 CPTCCS80                     1247-1249
 CPTCCS81                     1250-1252
 CPTCCS82                     1253-1255
 CPTCCS83                     1256-1258
 CPTCCS84                     1259-1261
 CPTCCS85                     1262-1264
 CPTCCS86                     1265-1267
 CPTCCS87                     1268-1270
 CPTCCS88                     1271-1273
 CPTCCS89                     1274-1276
 CPTCCS90                     1277-1279
 CPTCCS91                     1280-1282
 CPTCCS92                     1283-1285
 CPTCCS93                     1286-1288
 CPTCCS94                     1289-1291
 CPTCCS95                     1292-1294
 CPTCCS96                     1295-1297
 CPTCCS97                     1298-1300
 CPTCCS98                     1301-1303
 CPTCCS99                     1304-1306
 CPTCCS100                    1307-1309
 CPTCCS101                    1310-1312
 CPTCCS102                    1313-1315
 CPTCCS103                    1316-1318
 CPTCCS104                    1319-1321
 CPTCCS105                    1322-1324
 CPTCCS106                    1325-1327
 CPTCCS107                    1328-1330
 CPTCCS108                    1331-1333
 CPTCCS109                    1334-1336
 CPTCCS110                    1337-1339
 CPTCCS111                    1340-1342
 CPTCCS112                    1343-1345
 CPTCCS113                    1346-1348
 CPTCCS114                    1349-1351
 CPTCCS115                    1352-1354
 CPTCCS116                    1355-1357
 CPTCCS117                    1358-1360
 CPTCCS118                    1361-1363
 CPTCCS119                    1364-1366
 CPTCCS120                    1367-1369
 CPTCCS121                    1370-1372
 CPTCCS122                    1373-1375
 CPTCCS123                    1376-1378
 CPTCCS124                    1379-1381
 CPTCCS125                    1382-1384
 CPTCCS126                    1385-1387
 CPTCCS127                    1388-1390
 CPTCCS128                    1391-1393
 CPTCCS129                    1394-1396
 CPTCCS130                    1397-1399
 CPTCCS131                    1400-1402
 CPTCCS132                    1403-1405
 CPTCCS133                    1406-1408
 CPTCCS134                    1409-1411
 CPTCCS135                    1412-1414
 CPTCCS136                    1415-1417
 CPTCCS137                    1418-1420
 CPTCCS138                    1421-1423
 CPTCCS139                    1424-1426
 CPTCCS140                    1427-1429
 CPTCCS141                    1430-1432
 CPTCCS142                    1433-1435
 CPTCCS143                    1436-1438
 CPTCCS144                    1439-1441
 CPTCCS145                    1442-1444
 CPTCCS146                    1445-1447
 CPTCCS147                    1448-1450
 CPTCCS148                    1451-1453
 CPTCCS149                    1454-1456
 CPTCCS150                    1457-1459
 CPTCCS151                    1460-1462
 CPTCCS152                    1463-1465
 CPTCCS153                    1466-1468
 CPTCCS154                    1469-1471
 CPTCCS155                    1472-1474
 CPTCCS156                    1475-1477
 CPTCCS157                    1478-1480
 CPTCCS158                    1481-1483
 CPTCCS159                    1484-1486
 CPTCCS160                    1487-1489
 CPTCCS161                    1490-1492
 CPTCCS162                    1493-1495
 CPTCCS163                    1496-1498
 CPTCCS164                    1499-1501
 CPTCCS165                    1502-1504
 CPTCCS166                    1505-1507
 CPTCCS167                    1508-1510
 CPTCCS168                    1511-1513
 CPTCCS169                    1514-1516
 CPTCCS170                    1517-1519
 CPTCCS171                    1520-1522
 CPTCCS172                    1523-1525
 CPTCCS173                    1526-1528
 CPTCCS174                    1529-1531
 CPTCCS175                    1532-1534
 CPTCCS176                    1535-1537
 CPTCCS177                    1538-1540
 CPTCCS178                    1541-1543
 CPTCCS179                    1544-1546
 CPTCCS180                    1547-1549
 CPTCCS181                    1550-1552
 CPTCCS182                    1553-1555
 CPTCCS183                    1556-1558
 CPTCCS184                    1559-1561
 CPTCCS185                    1562-1564
 CPTCCS186                    1565-1567
 CPTCCS187                    1568-1570
 CPTCCS188                    1571-1573
 CPTCCS189                    1574-1576
 CPTCCS190                    1577-1579
 CPTCCS191                    1580-1582
 CPTCCS192                    1583-1585
 CPTCCS193                    1586-1588
 CPTCCS194                    1589-1591
 CPTCCS195                    1592-1594
 CPTCCS196                    1595-1597
 CPTCCS197                    1598-1600
 CPTCCS198                    1601-1603
 CPTCCS199                    1604-1606
 CPTCCS200                    1607-1609
 CPTDAY1                      1610-1612
 CPTDAY2                      1613-1615
 CPTDAY3                      1616-1618
 CPTDAY4                      1619-1621
 CPTDAY5                      1622-1624
 CPTDAY6                      1625-1627
 CPTDAY7                      1628-1630
 CPTDAY8                      1631-1633
 CPTDAY9                      1634-1636
 CPTDAY10                     1637-1639
 CPTDAY11                     1640-1642
 CPTDAY12                     1643-1645
 CPTDAY13                     1646-1648
 CPTDAY14                     1649-1651
 CPTDAY15                     1652-1654
 CPTDAY16                     1655-1657
 CPTDAY17                     1658-1660
 CPTDAY18                     1661-1663
 CPTDAY19                     1664-1666
 CPTDAY20                     1667-1669
 CPTDAY21                     1670-1672
 CPTDAY22                     1673-1675
 CPTDAY23                     1676-1678
 CPTDAY24                     1679-1681
 CPTDAY25                     1682-1684
 CPTDAY26                     1685-1687
 CPTDAY27                     1688-1690
 CPTDAY28                     1691-1693
 CPTDAY29                     1694-1696
 CPTDAY30                     1697-1699
 CPTDAY31                     1700-1702
 CPTDAY32                     1703-1705
 CPTDAY33                     1706-1708
 CPTDAY34                     1709-1711
 CPTDAY35                     1712-1714
 CPTDAY36                     1715-1717
 CPTDAY37                     1718-1720
 CPTDAY38                     1721-1723
 CPTDAY39                     1724-1726
 CPTDAY40                     1727-1729
 CPTDAY41                     1730-1732
 CPTDAY42                     1733-1735
 CPTDAY43                     1736-1738
 CPTDAY44                     1739-1741
 CPTDAY45                     1742-1744
 CPTDAY46                     1745-1747
 CPTDAY47                     1748-1750
 CPTDAY48                     1751-1753
 CPTDAY49                     1754-1756
 CPTDAY50                     1757-1759
 CPTDAY51                     1760-1762
 CPTDAY52                     1763-1765
 CPTDAY53                     1766-1768
 CPTDAY54                     1769-1771
 CPTDAY55                     1772-1774
 CPTDAY56                     1775-1777
 CPTDAY57                     1778-1780
 CPTDAY58                     1781-1783
 CPTDAY59                     1784-1786
 CPTDAY60                     1787-1789
 CPTDAY61                     1790-1792
 CPTDAY62                     1793-1795
 CPTDAY63                     1796-1798
 CPTDAY64                     1799-1801
 CPTDAY65                     1802-1804
 CPTDAY66                     1805-1807
 CPTDAY67                     1808-1810
 CPTDAY68                     1811-1813
 CPTDAY69                     1814-1816
 CPTDAY70                     1817-1819
 CPTDAY71                     1820-1822
 CPTDAY72                     1823-1825
 CPTDAY73                     1826-1828
 CPTDAY74                     1829-1831
 CPTDAY75                     1832-1834
 CPTDAY76                     1835-1837
 CPTDAY77                     1838-1840
 CPTDAY78                     1841-1843
 CPTDAY79                     1844-1846
 CPTDAY80                     1847-1849
 CPTDAY81                     1850-1852
 CPTDAY82                     1853-1855
 CPTDAY83                     1856-1858
 CPTDAY84                     1859-1861
 CPTDAY85                     1862-1864
 CPTDAY86                     1865-1867
 CPTDAY87                     1868-1870
 CPTDAY88                     1871-1873
 CPTDAY89                     1874-1876
 CPTDAY90                     1877-1879
 CPTDAY91                     1880-1882
 CPTDAY92                     1883-1885
 CPTDAY93                     1886-1888
 CPTDAY94                     1889-1891
 CPTDAY95                     1892-1894
 CPTDAY96                     1895-1897
 CPTDAY97                     1898-1900
 CPTDAY98                     1901-1903
 CPTDAY99                     1904-1906
 CPTDAY100                    1907-1909
 CPTDAY101                    1910-1912
 CPTDAY102                    1913-1915
 CPTDAY103                    1916-1918
 CPTDAY104                    1919-1921
 CPTDAY105                    1922-1924
 CPTDAY106                    1925-1927
 CPTDAY107                    1928-1930
 CPTDAY108                    1931-1933
 CPTDAY109                    1934-1936
 CPTDAY110                    1937-1939
 CPTDAY111                    1940-1942
 CPTDAY112                    1943-1945
 CPTDAY113                    1946-1948
 CPTDAY114                    1949-1951
 CPTDAY115                    1952-1954
 CPTDAY116                    1955-1957
 CPTDAY117                    1958-1960
 CPTDAY118                    1961-1963
 CPTDAY119                    1964-1966
 CPTDAY120                    1967-1969
 CPTDAY121                    1970-1972
 CPTDAY122                    1973-1975
 CPTDAY123                    1976-1978
 CPTDAY124                    1979-1981
 CPTDAY125                    1982-1984
 CPTDAY126                    1985-1987
 CPTDAY127                    1988-1990
 CPTDAY128                    1991-1993
 CPTDAY129                    1994-1996
 CPTDAY130                    1997-1999
 CPTDAY131                    2000-2002
 CPTDAY132                    2003-2005
 CPTDAY133                    2006-2008
 CPTDAY134                    2009-2011
 CPTDAY135                    2012-2014
 CPTDAY136                    2015-2017
 CPTDAY137                    2018-2020
 CPTDAY138                    2021-2023
 CPTDAY139                    2024-2026
 CPTDAY140                    2027-2029
 CPTDAY141                    2030-2032
 CPTDAY142                    2033-2035
 CPTDAY143                    2036-2038
 CPTDAY144                    2039-2041
 CPTDAY145                    2042-2044
 CPTDAY146                    2045-2047
 CPTDAY147                    2048-2050
 CPTDAY148                    2051-2053
 CPTDAY149                    2054-2056
 CPTDAY150                    2057-2059
 CPTDAY151                    2060-2062
 CPTDAY152                    2063-2065
 CPTDAY153                    2066-2068
 CPTDAY154                    2069-2071
 CPTDAY155                    2072-2074
 CPTDAY156                    2075-2077
 CPTDAY157                    2078-2080
 CPTDAY158                    2081-2083
 CPTDAY159                    2084-2086
 CPTDAY160                    2087-2089
 CPTDAY161                    2090-2092
 CPTDAY162                    2093-2095
 CPTDAY163                    2096-2098
 CPTDAY164                    2099-2101
 CPTDAY165                    2102-2104
 CPTDAY166                    2105-2107
 CPTDAY167                    2108-2110
 CPTDAY168                    2111-2113
 CPTDAY169                    2114-2116
 CPTDAY170                    2117-2119
 CPTDAY171                    2120-2122
 CPTDAY172                    2123-2125
 CPTDAY173                    2126-2128
 CPTDAY174                    2129-2131
 CPTDAY175                    2132-2134
 CPTDAY176                    2135-2137
 CPTDAY177                    2138-2140
 CPTDAY178                    2141-2143
 CPTDAY179                    2144-2146
 CPTDAY180                    2147-2149
 CPTDAY181                    2150-2152
 CPTDAY182                    2153-2155
 CPTDAY183                    2156-2158
 CPTDAY184                    2159-2161
 CPTDAY185                    2162-2164
 CPTDAY186                    2165-2167
 CPTDAY187                    2168-2170
 CPTDAY188                    2171-2173
 CPTDAY189                    2174-2176
 CPTDAY190                    2177-2179
 CPTDAY191                    2180-2182
 CPTDAY192                    2183-2185
 CPTDAY193                    2186-2188
 CPTDAY194                    2189-2191
 CPTDAY195                    2192-2194
 CPTDAY196                    2195-2197
 CPTDAY197                    2198-2200
 CPTDAY198                    2201-2203
 CPTDAY199                    2204-2206
 CPTDAY200                    2207-2209
 CPTM1_1                      2210-2211 (A)
 CPTM1_2                      2212-2213 (A)
 CPTM1_3                      2214-2215 (A)
 CPTM1_4                      2216-2217 (A)
 CPTM1_5                      2218-2219 (A)
 CPTM1_6                      2220-2221 (A)
 CPTM1_7                      2222-2223 (A)
 CPTM1_8                      2224-2225 (A)
 CPTM1_9                      2226-2227 (A)
 CPTM1_10                     2228-2229 (A)
 CPTM1_11                     2230-2231 (A)
 CPTM1_12                     2232-2233 (A)
 CPTM1_13                     2234-2235 (A)
 CPTM1_14                     2236-2237 (A)
 CPTM1_15                     2238-2239 (A)
 CPTM1_16                     2240-2241 (A)
 CPTM1_17                     2242-2243 (A)
 CPTM1_18                     2244-2245 (A)
 CPTM1_19                     2246-2247 (A)
 CPTM1_20                     2248-2249 (A)
 CPTM1_21                     2250-2251 (A)
 CPTM1_22                     2252-2253 (A)
 CPTM1_23                     2254-2255 (A)
 CPTM1_24                     2256-2257 (A)
 CPTM1_25                     2258-2259 (A)
 CPTM1_26                     2260-2261 (A)
 CPTM1_27                     2262-2263 (A)
 CPTM1_28                     2264-2265 (A)
 CPTM1_29                     2266-2267 (A)
 CPTM1_30                     2268-2269 (A)
 CPTM1_31                     2270-2271 (A)
 CPTM1_32                     2272-2273 (A)
 CPTM1_33                     2274-2275 (A)
 CPTM1_34                     2276-2277 (A)
 CPTM1_35                     2278-2279 (A)
 CPTM1_36                     2280-2281 (A)
 CPTM1_37                     2282-2283 (A)
 CPTM1_38                     2284-2285 (A)
 CPTM1_39                     2286-2287 (A)
 CPTM1_40                     2288-2289 (A)
 CPTM1_41                     2290-2291 (A)
 CPTM1_42                     2292-2293 (A)
 CPTM1_43                     2294-2295 (A)
 CPTM1_44                     2296-2297 (A)
 CPTM1_45                     2298-2299 (A)
 CPTM1_46                     2300-2301 (A)
 CPTM1_47                     2302-2303 (A)
 CPTM1_48                     2304-2305 (A)
 CPTM1_49                     2306-2307 (A)
 CPTM1_50                     2308-2309 (A)
 CPTM1_51                     2310-2311 (A)
 CPTM1_52                     2312-2313 (A)
 CPTM1_53                     2314-2315 (A)
 CPTM1_54                     2316-2317 (A)
 CPTM1_55                     2318-2319 (A)
 CPTM1_56                     2320-2321 (A)
 CPTM1_57                     2322-2323 (A)
 CPTM1_58                     2324-2325 (A)
 CPTM1_59                     2326-2327 (A)
 CPTM1_60                     2328-2329 (A)
 CPTM1_61                     2330-2331 (A)
 CPTM1_62                     2332-2333 (A)
 CPTM1_63                     2334-2335 (A)
 CPTM1_64                     2336-2337 (A)
 CPTM1_65                     2338-2339 (A)
 CPTM1_66                     2340-2341 (A)
 CPTM1_67                     2342-2343 (A)
 CPTM1_68                     2344-2345 (A)
 CPTM1_69                     2346-2347 (A)
 CPTM1_70                     2348-2349 (A)
 CPTM1_71                     2350-2351 (A)
 CPTM1_72                     2352-2353 (A)
 CPTM1_73                     2354-2355 (A)
 CPTM1_74                     2356-2357 (A)
 CPTM1_75                     2358-2359 (A)
 CPTM1_76                     2360-2361 (A)
 CPTM1_77                     2362-2363 (A)
 CPTM1_78                     2364-2365 (A)
 CPTM1_79                     2366-2367 (A)
 CPTM1_80                     2368-2369 (A)
 CPTM1_81                     2370-2371 (A)
 CPTM1_82                     2372-2373 (A)
 CPTM1_83                     2374-2375 (A)
 CPTM1_84                     2376-2377 (A)
 CPTM1_85                     2378-2379 (A)
 CPTM1_86                     2380-2381 (A)
 CPTM1_87                     2382-2383 (A)
 CPTM1_88                     2384-2385 (A)
 CPTM1_89                     2386-2387 (A)
 CPTM1_90                     2388-2389 (A)
 CPTM1_91                     2390-2391 (A)
 CPTM1_92                     2392-2393 (A)
 CPTM1_93                     2394-2395 (A)
 CPTM1_94                     2396-2397 (A)
 CPTM1_95                     2398-2399 (A)
 CPTM1_96                     2400-2401 (A)
 CPTM1_97                     2402-2403 (A)
 CPTM1_98                     2404-2405 (A)
 CPTM1_99                     2406-2407 (A)
 CPTM1_100                    2408-2409 (A)
 CPTM1_101                    2410-2411 (A)
 CPTM1_102                    2412-2413 (A)
 CPTM1_103                    2414-2415 (A)
 CPTM1_104                    2416-2417 (A)
 CPTM1_105                    2418-2419 (A)
 CPTM1_106                    2420-2421 (A)
 CPTM1_107                    2422-2423 (A)
 CPTM1_108                    2424-2425 (A)
 CPTM1_109                    2426-2427 (A)
 CPTM1_110                    2428-2429 (A)
 CPTM1_111                    2430-2431 (A)
 CPTM1_112                    2432-2433 (A)
 CPTM1_113                    2434-2435 (A)
 CPTM1_114                    2436-2437 (A)
 CPTM1_115                    2438-2439 (A)
 CPTM1_116                    2440-2441 (A)
 CPTM1_117                    2442-2443 (A)
 CPTM1_118                    2444-2445 (A)
 CPTM1_119                    2446-2447 (A)
 CPTM1_120                    2448-2449 (A)
 CPTM1_121                    2450-2451 (A)
 CPTM1_122                    2452-2453 (A)
 CPTM1_123                    2454-2455 (A)
 CPTM1_124                    2456-2457 (A)
 CPTM1_125                    2458-2459 (A)
 CPTM1_126                    2460-2461 (A)
 CPTM1_127                    2462-2463 (A)
 CPTM1_128                    2464-2465 (A)
 CPTM1_129                    2466-2467 (A)
 CPTM1_130                    2468-2469 (A)
 CPTM1_131                    2470-2471 (A)
 CPTM1_132                    2472-2473 (A)
 CPTM1_133                    2474-2475 (A)
 CPTM1_134                    2476-2477 (A)
 CPTM1_135                    2478-2479 (A)
 CPTM1_136                    2480-2481 (A)
 CPTM1_137                    2482-2483 (A)
 CPTM1_138                    2484-2485 (A)
 CPTM1_139                    2486-2487 (A)
 CPTM1_140                    2488-2489 (A)
 CPTM1_141                    2490-2491 (A)
 CPTM1_142                    2492-2493 (A)
 CPTM1_143                    2494-2495 (A)
 CPTM1_144                    2496-2497 (A)
 CPTM1_145                    2498-2499 (A)
 CPTM1_146                    2500-2501 (A)
 CPTM1_147                    2502-2503 (A)
 CPTM1_148                    2504-2505 (A)
 CPTM1_149                    2506-2507 (A)
 CPTM1_150                    2508-2509 (A)
 CPTM1_151                    2510-2511 (A)
 CPTM1_152                    2512-2513 (A)
 CPTM1_153                    2514-2515 (A)
 CPTM1_154                    2516-2517 (A)
 CPTM1_155                    2518-2519 (A)
 CPTM1_156                    2520-2521 (A)
 CPTM1_157                    2522-2523 (A)
 CPTM1_158                    2524-2525 (A)
 CPTM1_159                    2526-2527 (A)
 CPTM1_160                    2528-2529 (A)
 CPTM1_161                    2530-2531 (A)
 CPTM1_162                    2532-2533 (A)
 CPTM1_163                    2534-2535 (A)
 CPTM1_164                    2536-2537 (A)
 CPTM1_165                    2538-2539 (A)
 CPTM1_166                    2540-2541 (A)
 CPTM1_167                    2542-2543 (A)
 CPTM1_168                    2544-2545 (A)
 CPTM1_169                    2546-2547 (A)
 CPTM1_170                    2548-2549 (A)
 CPTM1_171                    2550-2551 (A)
 CPTM1_172                    2552-2553 (A)
 CPTM1_173                    2554-2555 (A)
 CPTM1_174                    2556-2557 (A)
 CPTM1_175                    2558-2559 (A)
 CPTM1_176                    2560-2561 (A)
 CPTM1_177                    2562-2563 (A)
 CPTM1_178                    2564-2565 (A)
 CPTM1_179                    2566-2567 (A)
 CPTM1_180                    2568-2569 (A)
 CPTM1_181                    2570-2571 (A)
 CPTM1_182                    2572-2573 (A)
 CPTM1_183                    2574-2575 (A)
 CPTM1_184                    2576-2577 (A)
 CPTM1_185                    2578-2579 (A)
 CPTM1_186                    2580-2581 (A)
 CPTM1_187                    2582-2583 (A)
 CPTM1_188                    2584-2585 (A)
 CPTM1_189                    2586-2587 (A)
 CPTM1_190                    2588-2589 (A)
 CPTM1_191                    2590-2591 (A)
 CPTM1_192                    2592-2593 (A)
 CPTM1_193                    2594-2595 (A)
 CPTM1_194                    2596-2597 (A)
 CPTM1_195                    2598-2599 (A)
 CPTM1_196                    2600-2601 (A)
 CPTM1_197                    2602-2603 (A)
 CPTM1_198                    2604-2605 (A)
 CPTM1_199                    2606-2607 (A)
 CPTM1_200                    2608-2609 (A)
 CPTM2_1                      2610-2611 (A)
 CPTM2_2                      2612-2613 (A)
 CPTM2_3                      2614-2615 (A)
 CPTM2_4                      2616-2617 (A)
 CPTM2_5                      2618-2619 (A)
 CPTM2_6                      2620-2621 (A)
 CPTM2_7                      2622-2623 (A)
 CPTM2_8                      2624-2625 (A)
 CPTM2_9                      2626-2627 (A)
 CPTM2_10                     2628-2629 (A)
 CPTM2_11                     2630-2631 (A)
 CPTM2_12                     2632-2633 (A)
 CPTM2_13                     2634-2635 (A)
 CPTM2_14                     2636-2637 (A)
 CPTM2_15                     2638-2639 (A)
 CPTM2_16                     2640-2641 (A)
 CPTM2_17                     2642-2643 (A)
 CPTM2_18                     2644-2645 (A)
 CPTM2_19                     2646-2647 (A)
 CPTM2_20                     2648-2649 (A)
 CPTM2_21                     2650-2651 (A)
 CPTM2_22                     2652-2653 (A)
 CPTM2_23                     2654-2655 (A)
 CPTM2_24                     2656-2657 (A)
 CPTM2_25                     2658-2659 (A)
 CPTM2_26                     2660-2661 (A)
 CPTM2_27                     2662-2663 (A)
 CPTM2_28                     2664-2665 (A)
 CPTM2_29                     2666-2667 (A)
 CPTM2_30                     2668-2669 (A)
 CPTM2_31                     2670-2671 (A)
 CPTM2_32                     2672-2673 (A)
 CPTM2_33                     2674-2675 (A)
 CPTM2_34                     2676-2677 (A)
 CPTM2_35                     2678-2679 (A)
 CPTM2_36                     2680-2681 (A)
 CPTM2_37                     2682-2683 (A)
 CPTM2_38                     2684-2685 (A)
 CPTM2_39                     2686-2687 (A)
 CPTM2_40                     2688-2689 (A)
 CPTM2_41                     2690-2691 (A)
 CPTM2_42                     2692-2693 (A)
 CPTM2_43                     2694-2695 (A)
 CPTM2_44                     2696-2697 (A)
 CPTM2_45                     2698-2699 (A)
 CPTM2_46                     2700-2701 (A)
 CPTM2_47                     2702-2703 (A)
 CPTM2_48                     2704-2705 (A)
 CPTM2_49                     2706-2707 (A)
 CPTM2_50                     2708-2709 (A)
 CPTM2_51                     2710-2711 (A)
 CPTM2_52                     2712-2713 (A)
 CPTM2_53                     2714-2715 (A)
 CPTM2_54                     2716-2717 (A)
 CPTM2_55                     2718-2719 (A)
 CPTM2_56                     2720-2721 (A)
 CPTM2_57                     2722-2723 (A)
 CPTM2_58                     2724-2725 (A)
 CPTM2_59                     2726-2727 (A)
 CPTM2_60                     2728-2729 (A)
 CPTM2_61                     2730-2731 (A)
 CPTM2_62                     2732-2733 (A)
 CPTM2_63                     2734-2735 (A)
 CPTM2_64                     2736-2737 (A)
 CPTM2_65                     2738-2739 (A)
 CPTM2_66                     2740-2741 (A)
 CPTM2_67                     2742-2743 (A)
 CPTM2_68                     2744-2745 (A)
 CPTM2_69                     2746-2747 (A)
 CPTM2_70                     2748-2749 (A)
 CPTM2_71                     2750-2751 (A)
 CPTM2_72                     2752-2753 (A)
 CPTM2_73                     2754-2755 (A)
 CPTM2_74                     2756-2757 (A)
 CPTM2_75                     2758-2759 (A)
 CPTM2_76                     2760-2761 (A)
 CPTM2_77                     2762-2763 (A)
 CPTM2_78                     2764-2765 (A)
 CPTM2_79                     2766-2767 (A)
 CPTM2_80                     2768-2769 (A)
 CPTM2_81                     2770-2771 (A)
 CPTM2_82                     2772-2773 (A)
 CPTM2_83                     2774-2775 (A)
 CPTM2_84                     2776-2777 (A)
 CPTM2_85                     2778-2779 (A)
 CPTM2_86                     2780-2781 (A)
 CPTM2_87                     2782-2783 (A)
 CPTM2_88                     2784-2785 (A)
 CPTM2_89                     2786-2787 (A)
 CPTM2_90                     2788-2789 (A)
 CPTM2_91                     2790-2791 (A)
 CPTM2_92                     2792-2793 (A)
 CPTM2_93                     2794-2795 (A)
 CPTM2_94                     2796-2797 (A)
 CPTM2_95                     2798-2799 (A)
 CPTM2_96                     2800-2801 (A)
 CPTM2_97                     2802-2803 (A)
 CPTM2_98                     2804-2805 (A)
 CPTM2_99                     2806-2807 (A)
 CPTM2_100                    2808-2809 (A)
 CPTM2_101                    2810-2811 (A)
 CPTM2_102                    2812-2813 (A)
 CPTM2_103                    2814-2815 (A)
 CPTM2_104                    2816-2817 (A)
 CPTM2_105                    2818-2819 (A)
 CPTM2_106                    2820-2821 (A)
 CPTM2_107                    2822-2823 (A)
 CPTM2_108                    2824-2825 (A)
 CPTM2_109                    2826-2827 (A)
 CPTM2_110                    2828-2829 (A)
 CPTM2_111                    2830-2831 (A)
 CPTM2_112                    2832-2833 (A)
 CPTM2_113                    2834-2835 (A)
 CPTM2_114                    2836-2837 (A)
 CPTM2_115                    2838-2839 (A)
 CPTM2_116                    2840-2841 (A)
 CPTM2_117                    2842-2843 (A)
 CPTM2_118                    2844-2845 (A)
 CPTM2_119                    2846-2847 (A)
 CPTM2_120                    2848-2849 (A)
 CPTM2_121                    2850-2851 (A)
 CPTM2_122                    2852-2853 (A)
 CPTM2_123                    2854-2855 (A)
 CPTM2_124                    2856-2857 (A)
 CPTM2_125                    2858-2859 (A)
 CPTM2_126                    2860-2861 (A)
 CPTM2_127                    2862-2863 (A)
 CPTM2_128                    2864-2865 (A)
 CPTM2_129                    2866-2867 (A)
 CPTM2_130                    2868-2869 (A)
 CPTM2_131                    2870-2871 (A)
 CPTM2_132                    2872-2873 (A)
 CPTM2_133                    2874-2875 (A)
 CPTM2_134                    2876-2877 (A)
 CPTM2_135                    2878-2879 (A)
 CPTM2_136                    2880-2881 (A)
 CPTM2_137                    2882-2883 (A)
 CPTM2_138                    2884-2885 (A)
 CPTM2_139                    2886-2887 (A)
 CPTM2_140                    2888-2889 (A)
 CPTM2_141                    2890-2891 (A)
 CPTM2_142                    2892-2893 (A)
 CPTM2_143                    2894-2895 (A)
 CPTM2_144                    2896-2897 (A)
 CPTM2_145                    2898-2899 (A)
 CPTM2_146                    2900-2901 (A)
 CPTM2_147                    2902-2903 (A)
 CPTM2_148                    2904-2905 (A)
 CPTM2_149                    2906-2907 (A)
 CPTM2_150                    2908-2909 (A)
 CPTM2_151                    2910-2911 (A)
 CPTM2_152                    2912-2913 (A)
 CPTM2_153                    2914-2915 (A)
 CPTM2_154                    2916-2917 (A)
 CPTM2_155                    2918-2919 (A)
 CPTM2_156                    2920-2921 (A)
 CPTM2_157                    2922-2923 (A)
 CPTM2_158                    2924-2925 (A)
 CPTM2_159                    2926-2927 (A)
 CPTM2_160                    2928-2929 (A)
 CPTM2_161                    2930-2931 (A)
 CPTM2_162                    2932-2933 (A)
 CPTM2_163                    2934-2935 (A)
 CPTM2_164                    2936-2937 (A)
 CPTM2_165                    2938-2939 (A)
 CPTM2_166                    2940-2941 (A)
 CPTM2_167                    2942-2943 (A)
 CPTM2_168                    2944-2945 (A)
 CPTM2_169                    2946-2947 (A)
 CPTM2_170                    2948-2949 (A)
 CPTM2_171                    2950-2951 (A)
 CPTM2_172                    2952-2953 (A)
 CPTM2_173                    2954-2955 (A)
 CPTM2_174                    2956-2957 (A)
 CPTM2_175                    2958-2959 (A)
 CPTM2_176                    2960-2961 (A)
 CPTM2_177                    2962-2963 (A)
 CPTM2_178                    2964-2965 (A)
 CPTM2_179                    2966-2967 (A)
 CPTM2_180                    2968-2969 (A)
 CPTM2_181                    2970-2971 (A)
 CPTM2_182                    2972-2973 (A)
 CPTM2_183                    2974-2975 (A)
 CPTM2_184                    2976-2977 (A)
 CPTM2_185                    2978-2979 (A)
 CPTM2_186                    2980-2981 (A)
 CPTM2_187                    2982-2983 (A)
 CPTM2_188                    2984-2985 (A)
 CPTM2_189                    2986-2987 (A)
 CPTM2_190                    2988-2989 (A)
 CPTM2_191                    2990-2991 (A)
 CPTM2_192                    2992-2993 (A)
 CPTM2_193                    2994-2995 (A)
 CPTM2_194                    2996-2997 (A)
 CPTM2_195                    2998-2999 (A)
 CPTM2_196                    3000-3001 (A)
 CPTM2_197                    3002-3003 (A)
 CPTM2_198                    3004-3005 (A)
 CPTM2_199                    3006-3007 (A)
 CPTM2_200                    3008-3009 (A)
 DaysToEvent                  3010-3015
 DIED                         3016-3017
 DISP_X                       3018-3019 (A)
 DISPUB04                     3020-3021
 DISPUNIFORM                  3022-3023
 DMONTH                       3024-3025
 DQTR                         3026-3027
 FEMALE                       3028-3029
 HCUP_ED                      3030-3031
 HCUP_OS                      3032-3033
 HCUP_SURGERY_BROAD_CPT       3034-3038
 HCUP_SURGERY_NARROW_CPT      3039-3043
 Homeless                     3044-3045
 HOSPST                       3046-3047 (A)
 I10_DX_Visit_Reason1         3048-3054 (A)
 I10_DX_Visit_Reason2         3055-3061 (A)
 I10_DX_Visit_Reason3         3062-3068 (A)
 I10_DX1                      3069-3075 (A)
 I10_DX2                      3076-3082 (A)
 I10_DX3                      3083-3089 (A)
 I10_DX4                      3090-3096 (A)
 I10_DX5                      3097-3103 (A)
 I10_DX6                      3104-3110 (A)
 I10_DX7                      3111-3117 (A)
 I10_DX8                      3118-3124 (A)
 I10_DX9                      3125-3131 (A)
 I10_DX10                     3132-3138 (A)
 I10_DX11                     3139-3145 (A)
 I10_DX12                     3146-3152 (A)
 I10_DX13                     3153-3159 (A)
 I10_DX14                     3160-3166 (A)
 I10_DX15                     3167-3173 (A)
 I10_DX16                     3174-3180 (A)
 I10_DX17                     3181-3187 (A)
 I10_DX18                     3188-3194 (A)
 I10_DX19                     3195-3201 (A)
 I10_DX20                     3202-3208 (A)
 I10_DX21                     3209-3215 (A)
 I10_DX22                     3216-3222 (A)
 I10_DX23                     3223-3229 (A)
 I10_DX24                     3230-3236 (A)
 I10_DX25                     3237-3243 (A)
 I10_DX26                     3244-3250 (A)
 I10_DX27                     3251-3257 (A)
 I10_DX28                     3258-3264 (A)
 I10_DX29                     3265-3271 (A)
 I10_DX30                     3272-3278 (A)
 I10_DX31                     3279-3285 (A)
 I10_DX32                     3286-3292 (A)
 I10_DX33                     3293-3299 (A)
 I10_NDX                      3300-3302
 I10_PROCTYPE                 3303-3305
 KEY                          3306-3320
 LOS                          3321-3325
 LOS_X                        3326-3331
 MDNUM1_R                     3332-3340
 MDNUM2_R                     3341-3349
 MEDINCSTQ                    3350-3351
 NCPT                         3352-3355
 OS_TIME                      3356-3366
 PAY1                         3367-3368
 PAY1_X                       3369-3393 (A)
 PL_CBSA                      3394-3396
 PL_NCHS                      3397-3398
 PL_RUCC                      3399-3400
 PL_UIC                       3401-3402
 PL_UR_CAT4                   3403-3404
 PointOfOrigin_X              3405     (A)
 PointOfOriginUB04            3406     (A)
 PSTATE                       3407-3408 (A)
 PSTATE_GEO                   3409-3410 (A)
 PSTCO                        3411-3415
 PSTCO_GEO                    3416-3420
 RACE                         3421-3422
 RACE_PCT_MISS_HOSP           3423-3429
 RACE_X                       3430-3444 (A)
 SASD_SEDD                    3445-3446
 STATE_AS                     3447-3448
 STATE_ED                     3449-3450
 STATE_OS                     3451-3452
 SUBSTATE_REGION_X            3453-3455 (A)
 TOTCHG                       3456-3465
 TOTCHG_X                     3466-3480
 VisitLink                    3481-3489
 YEAR                         3490-3493
 ZIP                          3494-3498 (A)
 ZIP3                         3499-3501 (A)
 ZIPINC_QRTL                  3502-3504
 HOSPID                       3505-3509
 AYEAR                        3510-3513
 BMONTH                       3514-3515
 BYEAR                        3516-3519.


/***  Specify write formats  ***/
FORMATS
 AGE                          (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 CPTCCS101                    (F4.0) /
 CPTCCS102                    (F4.0) /
 CPTCCS103                    (F4.0) /
 CPTCCS104                    (F4.0) /
 CPTCCS105                    (F4.0) /
 CPTCCS106                    (F4.0) /
 CPTCCS107                    (F4.0) /
 CPTCCS108                    (F4.0) /
 CPTCCS109                    (F4.0) /
 CPTCCS110                    (F4.0) /
 CPTCCS111                    (F4.0) /
 CPTCCS112                    (F4.0) /
 CPTCCS113                    (F4.0) /
 CPTCCS114                    (F4.0) /
 CPTCCS115                    (F4.0) /
 CPTCCS116                    (F4.0) /
 CPTCCS117                    (F4.0) /
 CPTCCS118                    (F4.0) /
 CPTCCS119                    (F4.0) /
 CPTCCS120                    (F4.0) /
 CPTCCS121                    (F4.0) /
 CPTCCS122                    (F4.0) /
 CPTCCS123                    (F4.0) /
 CPTCCS124                    (F4.0) /
 CPTCCS125                    (F4.0) /
 CPTCCS126                    (F4.0) /
 CPTCCS127                    (F4.0) /
 CPTCCS128                    (F4.0) /
 CPTCCS129                    (F4.0) /
 CPTCCS130                    (F4.0) /
 CPTCCS131                    (F4.0) /
 CPTCCS132                    (F4.0) /
 CPTCCS133                    (F4.0) /
 CPTCCS134                    (F4.0) /
 CPTCCS135                    (F4.0) /
 CPTCCS136                    (F4.0) /
 CPTCCS137                    (F4.0) /
 CPTCCS138                    (F4.0) /
 CPTCCS139                    (F4.0) /
 CPTCCS140                    (F4.0) /
 CPTCCS141                    (F4.0) /
 CPTCCS142                    (F4.0) /
 CPTCCS143                    (F4.0) /
 CPTCCS144                    (F4.0) /
 CPTCCS145                    (F4.0) /
 CPTCCS146                    (F4.0) /
 CPTCCS147                    (F4.0) /
 CPTCCS148                    (F4.0) /
 CPTCCS149                    (F4.0) /
 CPTCCS150                    (F4.0) /
 CPTCCS151                    (F4.0) /
 CPTCCS152                    (F4.0) /
 CPTCCS153                    (F4.0) /
 CPTCCS154                    (F4.0) /
 CPTCCS155                    (F4.0) /
 CPTCCS156                    (F4.0) /
 CPTCCS157                    (F4.0) /
 CPTCCS158                    (F4.0) /
 CPTCCS159                    (F4.0) /
 CPTCCS160                    (F4.0) /
 CPTCCS161                    (F4.0) /
 CPTCCS162                    (F4.0) /
 CPTCCS163                    (F4.0) /
 CPTCCS164                    (F4.0) /
 CPTCCS165                    (F4.0) /
 CPTCCS166                    (F4.0) /
 CPTCCS167                    (F4.0) /
 CPTCCS168                    (F4.0) /
 CPTCCS169                    (F4.0) /
 CPTCCS170                    (F4.0) /
 CPTCCS171                    (F4.0) /
 CPTCCS172                    (F4.0) /
 CPTCCS173                    (F4.0) /
 CPTCCS174                    (F4.0) /
 CPTCCS175                    (F4.0) /
 CPTCCS176                    (F4.0) /
 CPTCCS177                    (F4.0) /
 CPTCCS178                    (F4.0) /
 CPTCCS179                    (F4.0) /
 CPTCCS180                    (F4.0) /
 CPTCCS181                    (F4.0) /
 CPTCCS182                    (F4.0) /
 CPTCCS183                    (F4.0) /
 CPTCCS184                    (F4.0) /
 CPTCCS185                    (F4.0) /
 CPTCCS186                    (F4.0) /
 CPTCCS187                    (F4.0) /
 CPTCCS188                    (F4.0) /
 CPTCCS189                    (F4.0) /
 CPTCCS190                    (F4.0) /
 CPTCCS191                    (F4.0) /
 CPTCCS192                    (F4.0) /
 CPTCCS193                    (F4.0) /
 CPTCCS194                    (F4.0) /
 CPTCCS195                    (F4.0) /
 CPTCCS196                    (F4.0) /
 CPTCCS197                    (F4.0) /
 CPTCCS198                    (F4.0) /
 CPTCCS199                    (F4.0) /
 CPTCCS200                    (F4.0) /
 CPTDAY1                      (F4.0) /
 CPTDAY2                      (F4.0) /
 CPTDAY3                      (F4.0) /
 CPTDAY4                      (F4.0) /
 CPTDAY5                      (F4.0) /
 CPTDAY6                      (F4.0) /
 CPTDAY7                      (F4.0) /
 CPTDAY8                      (F4.0) /
 CPTDAY9                      (F4.0) /
 CPTDAY10                     (F4.0) /
 CPTDAY11                     (F4.0) /
 CPTDAY12                     (F4.0) /
 CPTDAY13                     (F4.0) /
 CPTDAY14                     (F4.0) /
 CPTDAY15                     (F4.0) /
 CPTDAY16                     (F4.0) /
 CPTDAY17                     (F4.0) /
 CPTDAY18                     (F4.0) /
 CPTDAY19                     (F4.0) /
 CPTDAY20                     (F4.0) /
 CPTDAY21                     (F4.0) /
 CPTDAY22                     (F4.0) /
 CPTDAY23                     (F4.0) /
 CPTDAY24                     (F4.0) /
 CPTDAY25                     (F4.0) /
 CPTDAY26                     (F4.0) /
 CPTDAY27                     (F4.0) /
 CPTDAY28                     (F4.0) /
 CPTDAY29                     (F4.0) /
 CPTDAY30                     (F4.0) /
 CPTDAY31                     (F4.0) /
 CPTDAY32                     (F4.0) /
 CPTDAY33                     (F4.0) /
 CPTDAY34                     (F4.0) /
 CPTDAY35                     (F4.0) /
 CPTDAY36                     (F4.0) /
 CPTDAY37                     (F4.0) /
 CPTDAY38                     (F4.0) /
 CPTDAY39                     (F4.0) /
 CPTDAY40                     (F4.0) /
 CPTDAY41                     (F4.0) /
 CPTDAY42                     (F4.0) /
 CPTDAY43                     (F4.0) /
 CPTDAY44                     (F4.0) /
 CPTDAY45                     (F4.0) /
 CPTDAY46                     (F4.0) /
 CPTDAY47                     (F4.0) /
 CPTDAY48                     (F4.0) /
 CPTDAY49                     (F4.0) /
 CPTDAY50                     (F4.0) /
 CPTDAY51                     (F4.0) /
 CPTDAY52                     (F4.0) /
 CPTDAY53                     (F4.0) /
 CPTDAY54                     (F4.0) /
 CPTDAY55                     (F4.0) /
 CPTDAY56                     (F4.0) /
 CPTDAY57                     (F4.0) /
 CPTDAY58                     (F4.0) /
 CPTDAY59                     (F4.0) /
 CPTDAY60                     (F4.0) /
 CPTDAY61                     (F4.0) /
 CPTDAY62                     (F4.0) /
 CPTDAY63                     (F4.0) /
 CPTDAY64                     (F4.0) /
 CPTDAY65                     (F4.0) /
 CPTDAY66                     (F4.0) /
 CPTDAY67                     (F4.0) /
 CPTDAY68                     (F4.0) /
 CPTDAY69                     (F4.0) /
 CPTDAY70                     (F4.0) /
 CPTDAY71                     (F4.0) /
 CPTDAY72                     (F4.0) /
 CPTDAY73                     (F4.0) /
 CPTDAY74                     (F4.0) /
 CPTDAY75                     (F4.0) /
 CPTDAY76                     (F4.0) /
 CPTDAY77                     (F4.0) /
 CPTDAY78                     (F4.0) /
 CPTDAY79                     (F4.0) /
 CPTDAY80                     (F4.0) /
 CPTDAY81                     (F4.0) /
 CPTDAY82                     (F4.0) /
 CPTDAY83                     (F4.0) /
 CPTDAY84                     (F4.0) /
 CPTDAY85                     (F4.0) /
 CPTDAY86                     (F4.0) /
 CPTDAY87                     (F4.0) /
 CPTDAY88                     (F4.0) /
 CPTDAY89                     (F4.0) /
 CPTDAY90                     (F4.0) /
 CPTDAY91                     (F4.0) /
 CPTDAY92                     (F4.0) /
 CPTDAY93                     (F4.0) /
 CPTDAY94                     (F4.0) /
 CPTDAY95                     (F4.0) /
 CPTDAY96                     (F4.0) /
 CPTDAY97                     (F4.0) /
 CPTDAY98                     (F4.0) /
 CPTDAY99                     (F4.0) /
 CPTDAY100                    (F4.0) /
 CPTDAY101                    (F4.0) /
 CPTDAY102                    (F4.0) /
 CPTDAY103                    (F4.0) /
 CPTDAY104                    (F4.0) /
 CPTDAY105                    (F4.0) /
 CPTDAY106                    (F4.0) /
 CPTDAY107                    (F4.0) /
 CPTDAY108                    (F4.0) /
 CPTDAY109                    (F4.0) /
 CPTDAY110                    (F4.0) /
 CPTDAY111                    (F4.0) /
 CPTDAY112                    (F4.0) /
 CPTDAY113                    (F4.0) /
 CPTDAY114                    (F4.0) /
 CPTDAY115                    (F4.0) /
 CPTDAY116                    (F4.0) /
 CPTDAY117                    (F4.0) /
 CPTDAY118                    (F4.0) /
 CPTDAY119                    (F4.0) /
 CPTDAY120                    (F4.0) /
 CPTDAY121                    (F4.0) /
 CPTDAY122                    (F4.0) /
 CPTDAY123                    (F4.0) /
 CPTDAY124                    (F4.0) /
 CPTDAY125                    (F4.0) /
 CPTDAY126                    (F4.0) /
 CPTDAY127                    (F4.0) /
 CPTDAY128                    (F4.0) /
 CPTDAY129                    (F4.0) /
 CPTDAY130                    (F4.0) /
 CPTDAY131                    (F4.0) /
 CPTDAY132                    (F4.0) /
 CPTDAY133                    (F4.0) /
 CPTDAY134                    (F4.0) /
 CPTDAY135                    (F4.0) /
 CPTDAY136                    (F4.0) /
 CPTDAY137                    (F4.0) /
 CPTDAY138                    (F4.0) /
 CPTDAY139                    (F4.0) /
 CPTDAY140                    (F4.0) /
 CPTDAY141                    (F4.0) /
 CPTDAY142                    (F4.0) /
 CPTDAY143                    (F4.0) /
 CPTDAY144                    (F4.0) /
 CPTDAY145                    (F4.0) /
 CPTDAY146                    (F4.0) /
 CPTDAY147                    (F4.0) /
 CPTDAY148                    (F4.0) /
 CPTDAY149                    (F4.0) /
 CPTDAY150                    (F4.0) /
 CPTDAY151                    (F4.0) /
 CPTDAY152                    (F4.0) /
 CPTDAY153                    (F4.0) /
 CPTDAY154                    (F4.0) /
 CPTDAY155                    (F4.0) /
 CPTDAY156                    (F4.0) /
 CPTDAY157                    (F4.0) /
 CPTDAY158                    (F4.0) /
 CPTDAY159                    (F4.0) /
 CPTDAY160                    (F4.0) /
 CPTDAY161                    (F4.0) /
 CPTDAY162                    (F4.0) /
 CPTDAY163                    (F4.0) /
 CPTDAY164                    (F4.0) /
 CPTDAY165                    (F4.0) /
 CPTDAY166                    (F4.0) /
 CPTDAY167                    (F4.0) /
 CPTDAY168                    (F4.0) /
 CPTDAY169                    (F4.0) /
 CPTDAY170                    (F4.0) /
 CPTDAY171                    (F4.0) /
 CPTDAY172                    (F4.0) /
 CPTDAY173                    (F4.0) /
 CPTDAY174                    (F4.0) /
 CPTDAY175                    (F4.0) /
 CPTDAY176                    (F4.0) /
 CPTDAY177                    (F4.0) /
 CPTDAY178                    (F4.0) /
 CPTDAY179                    (F4.0) /
 CPTDAY180                    (F4.0) /
 CPTDAY181                    (F4.0) /
 CPTDAY182                    (F4.0) /
 CPTDAY183                    (F4.0) /
 CPTDAY184                    (F4.0) /
 CPTDAY185                    (F4.0) /
 CPTDAY186                    (F4.0) /
 CPTDAY187                    (F4.0) /
 CPTDAY188                    (F4.0) /
 CPTDAY189                    (F4.0) /
 CPTDAY190                    (F4.0) /
 CPTDAY191                    (F4.0) /
 CPTDAY192                    (F4.0) /
 CPTDAY193                    (F4.0) /
 CPTDAY194                    (F4.0) /
 CPTDAY195                    (F4.0) /
 CPTDAY196                    (F4.0) /
 CPTDAY197                    (F4.0) /
 CPTDAY198                    (F4.0) /
 CPTDAY199                    (F4.0) /
 CPTDAY200                    (F4.0) /
 DaysToEvent                  (F8.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HCUP_SURGERY_BROAD_CPT       (F3.0) /
 HCUP_SURGERY_NARROW_CPT      (F3.0) /
 Homeless                     (F3.0) /
 I10_NDX                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDNUM1_R                     (F5.0) /
 MDNUM2_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 PSTCO                        (F4.0) /
 PSTCO_GEO                    (F4.0) /
 RACE                         (F3.0) /
 RACE_PCT_MISS_HOSP           (F4.2) /
 SASD_SEDD                    (F3.0) /
 STATE_AS                     (F3.0) /
 STATE_ED                     (F3.0) /
 STATE_OS                     (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 HOSPID                       (F4.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) .


/***  Assign labels to the variables ***/
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPT101                       "CPT/HCPCS procedure code 101"
 CPT102                       "CPT/HCPCS procedure code 102"
 CPT103                       "CPT/HCPCS procedure code 103"
 CPT104                       "CPT/HCPCS procedure code 104"
 CPT105                       "CPT/HCPCS procedure code 105"
 CPT106                       "CPT/HCPCS procedure code 106"
 CPT107                       "CPT/HCPCS procedure code 107"
 CPT108                       "CPT/HCPCS procedure code 108"
 CPT109                       "CPT/HCPCS procedure code 109"
 CPT110                       "CPT/HCPCS procedure code 110"
 CPT111                       "CPT/HCPCS procedure code 111"
 CPT112                       "CPT/HCPCS procedure code 112"
 CPT113                       "CPT/HCPCS procedure code 113"
 CPT114                       "CPT/HCPCS procedure code 114"
 CPT115                       "CPT/HCPCS procedure code 115"
 CPT116                       "CPT/HCPCS procedure code 116"
 CPT117                       "CPT/HCPCS procedure code 117"
 CPT118                       "CPT/HCPCS procedure code 118"
 CPT119                       "CPT/HCPCS procedure code 119"
 CPT120                       "CPT/HCPCS procedure code 120"
 CPT121                       "CPT/HCPCS procedure code 121"
 CPT122                       "CPT/HCPCS procedure code 122"
 CPT123                       "CPT/HCPCS procedure code 123"
 CPT124                       "CPT/HCPCS procedure code 124"
 CPT125                       "CPT/HCPCS procedure code 125"
 CPT126                       "CPT/HCPCS procedure code 126"
 CPT127                       "CPT/HCPCS procedure code 127"
 CPT128                       "CPT/HCPCS procedure code 128"
 CPT129                       "CPT/HCPCS procedure code 129"
 CPT130                       "CPT/HCPCS procedure code 130"
 CPT131                       "CPT/HCPCS procedure code 131"
 CPT132                       "CPT/HCPCS procedure code 132"
 CPT133                       "CPT/HCPCS procedure code 133"
 CPT134                       "CPT/HCPCS procedure code 134"
 CPT135                       "CPT/HCPCS procedure code 135"
 CPT136                       "CPT/HCPCS procedure code 136"
 CPT137                       "CPT/HCPCS procedure code 137"
 CPT138                       "CPT/HCPCS procedure code 138"
 CPT139                       "CPT/HCPCS procedure code 139"
 CPT140                       "CPT/HCPCS procedure code 140"
 CPT141                       "CPT/HCPCS procedure code 141"
 CPT142                       "CPT/HCPCS procedure code 142"
 CPT143                       "CPT/HCPCS procedure code 143"
 CPT144                       "CPT/HCPCS procedure code 144"
 CPT145                       "CPT/HCPCS procedure code 145"
 CPT146                       "CPT/HCPCS procedure code 146"
 CPT147                       "CPT/HCPCS procedure code 147"
 CPT148                       "CPT/HCPCS procedure code 148"
 CPT149                       "CPT/HCPCS procedure code 149"
 CPT150                       "CPT/HCPCS procedure code 150"
 CPT151                       "CPT/HCPCS procedure code 151"
 CPT152                       "CPT/HCPCS procedure code 152"
 CPT153                       "CPT/HCPCS procedure code 153"
 CPT154                       "CPT/HCPCS procedure code 154"
 CPT155                       "CPT/HCPCS procedure code 155"
 CPT156                       "CPT/HCPCS procedure code 156"
 CPT157                       "CPT/HCPCS procedure code 157"
 CPT158                       "CPT/HCPCS procedure code 158"
 CPT159                       "CPT/HCPCS procedure code 159"
 CPT160                       "CPT/HCPCS procedure code 160"
 CPT161                       "CPT/HCPCS procedure code 161"
 CPT162                       "CPT/HCPCS procedure code 162"
 CPT163                       "CPT/HCPCS procedure code 163"
 CPT164                       "CPT/HCPCS procedure code 164"
 CPT165                       "CPT/HCPCS procedure code 165"
 CPT166                       "CPT/HCPCS procedure code 166"
 CPT167                       "CPT/HCPCS procedure code 167"
 CPT168                       "CPT/HCPCS procedure code 168"
 CPT169                       "CPT/HCPCS procedure code 169"
 CPT170                       "CPT/HCPCS procedure code 170"
 CPT171                       "CPT/HCPCS procedure code 171"
 CPT172                       "CPT/HCPCS procedure code 172"
 CPT173                       "CPT/HCPCS procedure code 173"
 CPT174                       "CPT/HCPCS procedure code 174"
 CPT175                       "CPT/HCPCS procedure code 175"
 CPT176                       "CPT/HCPCS procedure code 176"
 CPT177                       "CPT/HCPCS procedure code 177"
 CPT178                       "CPT/HCPCS procedure code 178"
 CPT179                       "CPT/HCPCS procedure code 179"
 CPT180                       "CPT/HCPCS procedure code 180"
 CPT181                       "CPT/HCPCS procedure code 181"
 CPT182                       "CPT/HCPCS procedure code 182"
 CPT183                       "CPT/HCPCS procedure code 183"
 CPT184                       "CPT/HCPCS procedure code 184"
 CPT185                       "CPT/HCPCS procedure code 185"
 CPT186                       "CPT/HCPCS procedure code 186"
 CPT187                       "CPT/HCPCS procedure code 187"
 CPT188                       "CPT/HCPCS procedure code 188"
 CPT189                       "CPT/HCPCS procedure code 189"
 CPT190                       "CPT/HCPCS procedure code 190"
 CPT191                       "CPT/HCPCS procedure code 191"
 CPT192                       "CPT/HCPCS procedure code 192"
 CPT193                       "CPT/HCPCS procedure code 193"
 CPT194                       "CPT/HCPCS procedure code 194"
 CPT195                       "CPT/HCPCS procedure code 195"
 CPT196                       "CPT/HCPCS procedure code 196"
 CPT197                       "CPT/HCPCS procedure code 197"
 CPT198                       "CPT/HCPCS procedure code 198"
 CPT199                       "CPT/HCPCS procedure code 199"
 CPT200                       "CPT/HCPCS procedure code 200"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTCCS101                    "CCS: CPT 101"
 CPTCCS102                    "CCS: CPT 102"
 CPTCCS103                    "CCS: CPT 103"
 CPTCCS104                    "CCS: CPT 104"
 CPTCCS105                    "CCS: CPT 105"
 CPTCCS106                    "CCS: CPT 106"
 CPTCCS107                    "CCS: CPT 107"
 CPTCCS108                    "CCS: CPT 108"
 CPTCCS109                    "CCS: CPT 109"
 CPTCCS110                    "CCS: CPT 110"
 CPTCCS111                    "CCS: CPT 111"
 CPTCCS112                    "CCS: CPT 112"
 CPTCCS113                    "CCS: CPT 113"
 CPTCCS114                    "CCS: CPT 114"
 CPTCCS115                    "CCS: CPT 115"
 CPTCCS116                    "CCS: CPT 116"
 CPTCCS117                    "CCS: CPT 117"
 CPTCCS118                    "CCS: CPT 118"
 CPTCCS119                    "CCS: CPT 119"
 CPTCCS120                    "CCS: CPT 120"
 CPTCCS121                    "CCS: CPT 121"
 CPTCCS122                    "CCS: CPT 122"
 CPTCCS123                    "CCS: CPT 123"
 CPTCCS124                    "CCS: CPT 124"
 CPTCCS125                    "CCS: CPT 125"
 CPTCCS126                    "CCS: CPT 126"
 CPTCCS127                    "CCS: CPT 127"
 CPTCCS128                    "CCS: CPT 128"
 CPTCCS129                    "CCS: CPT 129"
 CPTCCS130                    "CCS: CPT 130"
 CPTCCS131                    "CCS: CPT 131"
 CPTCCS132                    "CCS: CPT 132"
 CPTCCS133                    "CCS: CPT 133"
 CPTCCS134                    "CCS: CPT 134"
 CPTCCS135                    "CCS: CPT 135"
 CPTCCS136                    "CCS: CPT 136"
 CPTCCS137                    "CCS: CPT 137"
 CPTCCS138                    "CCS: CPT 138"
 CPTCCS139                    "CCS: CPT 139"
 CPTCCS140                    "CCS: CPT 140"
 CPTCCS141                    "CCS: CPT 141"
 CPTCCS142                    "CCS: CPT 142"
 CPTCCS143                    "CCS: CPT 143"
 CPTCCS144                    "CCS: CPT 144"
 CPTCCS145                    "CCS: CPT 145"
 CPTCCS146                    "CCS: CPT 146"
 CPTCCS147                    "CCS: CPT 147"
 CPTCCS148                    "CCS: CPT 148"
 CPTCCS149                    "CCS: CPT 149"
 CPTCCS150                    "CCS: CPT 150"
 CPTCCS151                    "CCS: CPT 151"
 CPTCCS152                    "CCS: CPT 152"
 CPTCCS153                    "CCS: CPT 153"
 CPTCCS154                    "CCS: CPT 154"
 CPTCCS155                    "CCS: CPT 155"
 CPTCCS156                    "CCS: CPT 156"
 CPTCCS157                    "CCS: CPT 157"
 CPTCCS158                    "CCS: CPT 158"
 CPTCCS159                    "CCS: CPT 159"
 CPTCCS160                    "CCS: CPT 160"
 CPTCCS161                    "CCS: CPT 161"
 CPTCCS162                    "CCS: CPT 162"
 CPTCCS163                    "CCS: CPT 163"
 CPTCCS164                    "CCS: CPT 164"
 CPTCCS165                    "CCS: CPT 165"
 CPTCCS166                    "CCS: CPT 166"
 CPTCCS167                    "CCS: CPT 167"
 CPTCCS168                    "CCS: CPT 168"
 CPTCCS169                    "CCS: CPT 169"
 CPTCCS170                    "CCS: CPT 170"
 CPTCCS171                    "CCS: CPT 171"
 CPTCCS172                    "CCS: CPT 172"
 CPTCCS173                    "CCS: CPT 173"
 CPTCCS174                    "CCS: CPT 174"
 CPTCCS175                    "CCS: CPT 175"
 CPTCCS176                    "CCS: CPT 176"
 CPTCCS177                    "CCS: CPT 177"
 CPTCCS178                    "CCS: CPT 178"
 CPTCCS179                    "CCS: CPT 179"
 CPTCCS180                    "CCS: CPT 180"
 CPTCCS181                    "CCS: CPT 181"
 CPTCCS182                    "CCS: CPT 182"
 CPTCCS183                    "CCS: CPT 183"
 CPTCCS184                    "CCS: CPT 184"
 CPTCCS185                    "CCS: CPT 185"
 CPTCCS186                    "CCS: CPT 186"
 CPTCCS187                    "CCS: CPT 187"
 CPTCCS188                    "CCS: CPT 188"
 CPTCCS189                    "CCS: CPT 189"
 CPTCCS190                    "CCS: CPT 190"
 CPTCCS191                    "CCS: CPT 191"
 CPTCCS192                    "CCS: CPT 192"
 CPTCCS193                    "CCS: CPT 193"
 CPTCCS194                    "CCS: CPT 194"
 CPTCCS195                    "CCS: CPT 195"
 CPTCCS196                    "CCS: CPT 196"
 CPTCCS197                    "CCS: CPT 197"
 CPTCCS198                    "CCS: CPT 198"
 CPTCCS199                    "CCS: CPT 199"
 CPTCCS200                    "CCS: CPT 200"
 CPTDAY1                      "Number of days from admission to CPT1"
 CPTDAY2                      "Number of days from admission to CPT2"
 CPTDAY3                      "Number of days from admission to CPT3"
 CPTDAY4                      "Number of days from admission to CPT4"
 CPTDAY5                      "Number of days from admission to CPT5"
 CPTDAY6                      "Number of days from admission to CPT6"
 CPTDAY7                      "Number of days from admission to CPT7"
 CPTDAY8                      "Number of days from admission to CPT8"
 CPTDAY9                      "Number of days from admission to CPT9"
 CPTDAY10                     "Number of days from admission to CPT10"
 CPTDAY11                     "Number of days from admission to CPT11"
 CPTDAY12                     "Number of days from admission to CPT12"
 CPTDAY13                     "Number of days from admission to CPT13"
 CPTDAY14                     "Number of days from admission to CPT14"
 CPTDAY15                     "Number of days from admission to CPT15"
 CPTDAY16                     "Number of days from admission to CPT16"
 CPTDAY17                     "Number of days from admission to CPT17"
 CPTDAY18                     "Number of days from admission to CPT18"
 CPTDAY19                     "Number of days from admission to CPT19"
 CPTDAY20                     "Number of days from admission to CPT20"
 CPTDAY21                     "Number of days from admission to CPT21"
 CPTDAY22                     "Number of days from admission to CPT22"
 CPTDAY23                     "Number of days from admission to CPT23"
 CPTDAY24                     "Number of days from admission to CPT24"
 CPTDAY25                     "Number of days from admission to CPT25"
 CPTDAY26                     "Number of days from admission to CPT26"
 CPTDAY27                     "Number of days from admission to CPT27"
 CPTDAY28                     "Number of days from admission to CPT28"
 CPTDAY29                     "Number of days from admission to CPT29"
 CPTDAY30                     "Number of days from admission to CPT30"
 CPTDAY31                     "Number of days from admission to CPT31"
 CPTDAY32                     "Number of days from admission to CPT32"
 CPTDAY33                     "Number of days from admission to CPT33"
 CPTDAY34                     "Number of days from admission to CPT34"
 CPTDAY35                     "Number of days from admission to CPT35"
 CPTDAY36                     "Number of days from admission to CPT36"
 CPTDAY37                     "Number of days from admission to CPT37"
 CPTDAY38                     "Number of days from admission to CPT38"
 CPTDAY39                     "Number of days from admission to CPT39"
 CPTDAY40                     "Number of days from admission to CPT40"
 CPTDAY41                     "Number of days from admission to CPT41"
 CPTDAY42                     "Number of days from admission to CPT42"
 CPTDAY43                     "Number of days from admission to CPT43"
 CPTDAY44                     "Number of days from admission to CPT44"
 CPTDAY45                     "Number of days from admission to CPT45"
 CPTDAY46                     "Number of days from admission to CPT46"
 CPTDAY47                     "Number of days from admission to CPT47"
 CPTDAY48                     "Number of days from admission to CPT48"
 CPTDAY49                     "Number of days from admission to CPT49"
 CPTDAY50                     "Number of days from admission to CPT50"
 CPTDAY51                     "Number of days from admission to CPT51"
 CPTDAY52                     "Number of days from admission to CPT52"
 CPTDAY53                     "Number of days from admission to CPT53"
 CPTDAY54                     "Number of days from admission to CPT54"
 CPTDAY55                     "Number of days from admission to CPT55"
 CPTDAY56                     "Number of days from admission to CPT56"
 CPTDAY57                     "Number of days from admission to CPT57"
 CPTDAY58                     "Number of days from admission to CPT58"
 CPTDAY59                     "Number of days from admission to CPT59"
 CPTDAY60                     "Number of days from admission to CPT60"
 CPTDAY61                     "Number of days from admission to CPT61"
 CPTDAY62                     "Number of days from admission to CPT62"
 CPTDAY63                     "Number of days from admission to CPT63"
 CPTDAY64                     "Number of days from admission to CPT64"
 CPTDAY65                     "Number of days from admission to CPT65"
 CPTDAY66                     "Number of days from admission to CPT66"
 CPTDAY67                     "Number of days from admission to CPT67"
 CPTDAY68                     "Number of days from admission to CPT68"
 CPTDAY69                     "Number of days from admission to CPT69"
 CPTDAY70                     "Number of days from admission to CPT70"
 CPTDAY71                     "Number of days from admission to CPT71"
 CPTDAY72                     "Number of days from admission to CPT72"
 CPTDAY73                     "Number of days from admission to CPT73"
 CPTDAY74                     "Number of days from admission to CPT74"
 CPTDAY75                     "Number of days from admission to CPT75"
 CPTDAY76                     "Number of days from admission to CPT76"
 CPTDAY77                     "Number of days from admission to CPT77"
 CPTDAY78                     "Number of days from admission to CPT78"
 CPTDAY79                     "Number of days from admission to CPT79"
 CPTDAY80                     "Number of days from admission to CPT80"
 CPTDAY81                     "Number of days from admission to CPT81"
 CPTDAY82                     "Number of days from admission to CPT82"
 CPTDAY83                     "Number of days from admission to CPT83"
 CPTDAY84                     "Number of days from admission to CPT84"
 CPTDAY85                     "Number of days from admission to CPT85"
 CPTDAY86                     "Number of days from admission to CPT86"
 CPTDAY87                     "Number of days from admission to CPT87"
 CPTDAY88                     "Number of days from admission to CPT88"
 CPTDAY89                     "Number of days from admission to CPT89"
 CPTDAY90                     "Number of days from admission to CPT90"
 CPTDAY91                     "Number of days from admission to CPT91"
 CPTDAY92                     "Number of days from admission to CPT92"
 CPTDAY93                     "Number of days from admission to CPT93"
 CPTDAY94                     "Number of days from admission to CPT94"
 CPTDAY95                     "Number of days from admission to CPT95"
 CPTDAY96                     "Number of days from admission to CPT96"
 CPTDAY97                     "Number of days from admission to CPT97"
 CPTDAY98                     "Number of days from admission to CPT98"
 CPTDAY99                     "Number of days from admission to CPT99"
 CPTDAY100                    "Number of days from admission to CPT100"
 CPTDAY101                    "Number of days from admission to CPT101"
 CPTDAY102                    "Number of days from admission to CPT102"
 CPTDAY103                    "Number of days from admission to CPT103"
 CPTDAY104                    "Number of days from admission to CPT104"
 CPTDAY105                    "Number of days from admission to CPT105"
 CPTDAY106                    "Number of days from admission to CPT106"
 CPTDAY107                    "Number of days from admission to CPT107"
 CPTDAY108                    "Number of days from admission to CPT108"
 CPTDAY109                    "Number of days from admission to CPT109"
 CPTDAY110                    "Number of days from admission to CPT110"
 CPTDAY111                    "Number of days from admission to CPT111"
 CPTDAY112                    "Number of days from admission to CPT112"
 CPTDAY113                    "Number of days from admission to CPT113"
 CPTDAY114                    "Number of days from admission to CPT114"
 CPTDAY115                    "Number of days from admission to CPT115"
 CPTDAY116                    "Number of days from admission to CPT116"
 CPTDAY117                    "Number of days from admission to CPT117"
 CPTDAY118                    "Number of days from admission to CPT118"
 CPTDAY119                    "Number of days from admission to CPT119"
 CPTDAY120                    "Number of days from admission to CPT120"
 CPTDAY121                    "Number of days from admission to CPT121"
 CPTDAY122                    "Number of days from admission to CPT122"
 CPTDAY123                    "Number of days from admission to CPT123"
 CPTDAY124                    "Number of days from admission to CPT124"
 CPTDAY125                    "Number of days from admission to CPT125"
 CPTDAY126                    "Number of days from admission to CPT126"
 CPTDAY127                    "Number of days from admission to CPT127"
 CPTDAY128                    "Number of days from admission to CPT128"
 CPTDAY129                    "Number of days from admission to CPT129"
 CPTDAY130                    "Number of days from admission to CPT130"
 CPTDAY131                    "Number of days from admission to CPT131"
 CPTDAY132                    "Number of days from admission to CPT132"
 CPTDAY133                    "Number of days from admission to CPT133"
 CPTDAY134                    "Number of days from admission to CPT134"
 CPTDAY135                    "Number of days from admission to CPT135"
 CPTDAY136                    "Number of days from admission to CPT136"
 CPTDAY137                    "Number of days from admission to CPT137"
 CPTDAY138                    "Number of days from admission to CPT138"
 CPTDAY139                    "Number of days from admission to CPT139"
 CPTDAY140                    "Number of days from admission to CPT140"
 CPTDAY141                    "Number of days from admission to CPT141"
 CPTDAY142                    "Number of days from admission to CPT142"
 CPTDAY143                    "Number of days from admission to CPT143"
 CPTDAY144                    "Number of days from admission to CPT144"
 CPTDAY145                    "Number of days from admission to CPT145"
 CPTDAY146                    "Number of days from admission to CPT146"
 CPTDAY147                    "Number of days from admission to CPT147"
 CPTDAY148                    "Number of days from admission to CPT148"
 CPTDAY149                    "Number of days from admission to CPT149"
 CPTDAY150                    "Number of days from admission to CPT150"
 CPTDAY151                    "Number of days from admission to CPT151"
 CPTDAY152                    "Number of days from admission to CPT152"
 CPTDAY153                    "Number of days from admission to CPT153"
 CPTDAY154                    "Number of days from admission to CPT154"
 CPTDAY155                    "Number of days from admission to CPT155"
 CPTDAY156                    "Number of days from admission to CPT156"
 CPTDAY157                    "Number of days from admission to CPT157"
 CPTDAY158                    "Number of days from admission to CPT158"
 CPTDAY159                    "Number of days from admission to CPT159"
 CPTDAY160                    "Number of days from admission to CPT160"
 CPTDAY161                    "Number of days from admission to CPT161"
 CPTDAY162                    "Number of days from admission to CPT162"
 CPTDAY163                    "Number of days from admission to CPT163"
 CPTDAY164                    "Number of days from admission to CPT164"
 CPTDAY165                    "Number of days from admission to CPT165"
 CPTDAY166                    "Number of days from admission to CPT166"
 CPTDAY167                    "Number of days from admission to CPT167"
 CPTDAY168                    "Number of days from admission to CPT168"
 CPTDAY169                    "Number of days from admission to CPT169"
 CPTDAY170                    "Number of days from admission to CPT170"
 CPTDAY171                    "Number of days from admission to CPT171"
 CPTDAY172                    "Number of days from admission to CPT172"
 CPTDAY173                    "Number of days from admission to CPT173"
 CPTDAY174                    "Number of days from admission to CPT174"
 CPTDAY175                    "Number of days from admission to CPT175"
 CPTDAY176                    "Number of days from admission to CPT176"
 CPTDAY177                    "Number of days from admission to CPT177"
 CPTDAY178                    "Number of days from admission to CPT178"
 CPTDAY179                    "Number of days from admission to CPT179"
 CPTDAY180                    "Number of days from admission to CPT180"
 CPTDAY181                    "Number of days from admission to CPT181"
 CPTDAY182                    "Number of days from admission to CPT182"
 CPTDAY183                    "Number of days from admission to CPT183"
 CPTDAY184                    "Number of days from admission to CPT184"
 CPTDAY185                    "Number of days from admission to CPT185"
 CPTDAY186                    "Number of days from admission to CPT186"
 CPTDAY187                    "Number of days from admission to CPT187"
 CPTDAY188                    "Number of days from admission to CPT188"
 CPTDAY189                    "Number of days from admission to CPT189"
 CPTDAY190                    "Number of days from admission to CPT190"
 CPTDAY191                    "Number of days from admission to CPT191"
 CPTDAY192                    "Number of days from admission to CPT192"
 CPTDAY193                    "Number of days from admission to CPT193"
 CPTDAY194                    "Number of days from admission to CPT194"
 CPTDAY195                    "Number of days from admission to CPT195"
 CPTDAY196                    "Number of days from admission to CPT196"
 CPTDAY197                    "Number of days from admission to CPT197"
 CPTDAY198                    "Number of days from admission to CPT198"
 CPTDAY199                    "Number of days from admission to CPT199"
 CPTDAY200                    "Number of days from admission to CPT200"
 CPTM1_1                      "First CPT-4/HCPCS modifier 1"
 CPTM1_2                      "First CPT-4/HCPCS modifier 2"
 CPTM1_3                      "First CPT-4/HCPCS modifier 3"
 CPTM1_4                      "First CPT-4/HCPCS modifier 4"
 CPTM1_5                      "First CPT-4/HCPCS modifier 5"
 CPTM1_6                      "First CPT-4/HCPCS modifier 6"
 CPTM1_7                      "First CPT-4/HCPCS modifier 7"
 CPTM1_8                      "First CPT-4/HCPCS modifier 8"
 CPTM1_9                      "First CPT-4/HCPCS modifier 9"
 CPTM1_10                     "First CPT-4/HCPCS modifier 10"
 CPTM1_11                     "First CPT-4/HCPCS modifier 11"
 CPTM1_12                     "First CPT-4/HCPCS modifier 12"
 CPTM1_13                     "First CPT-4/HCPCS modifier 13"
 CPTM1_14                     "First CPT-4/HCPCS modifier 14"
 CPTM1_15                     "First CPT-4/HCPCS modifier 15"
 CPTM1_16                     "First CPT-4/HCPCS modifier 16"
 CPTM1_17                     "First CPT-4/HCPCS modifier 17"
 CPTM1_18                     "First CPT-4/HCPCS modifier 18"
 CPTM1_19                     "First CPT-4/HCPCS modifier 19"
 CPTM1_20                     "First CPT-4/HCPCS modifier 20"
 CPTM1_21                     "First CPT-4/HCPCS modifier 21"
 CPTM1_22                     "First CPT-4/HCPCS modifier 22"
 CPTM1_23                     "First CPT-4/HCPCS modifier 23"
 CPTM1_24                     "First CPT-4/HCPCS modifier 24"
 CPTM1_25                     "First CPT-4/HCPCS modifier 25"
 CPTM1_26                     "First CPT-4/HCPCS modifier 26"
 CPTM1_27                     "First CPT-4/HCPCS modifier 27"
 CPTM1_28                     "First CPT-4/HCPCS modifier 28"
 CPTM1_29                     "First CPT-4/HCPCS modifier 29"
 CPTM1_30                     "First CPT-4/HCPCS modifier 30"
 CPTM1_31                     "First CPT-4/HCPCS modifier 31"
 CPTM1_32                     "First CPT-4/HCPCS modifier 32"
 CPTM1_33                     "First CPT-4/HCPCS modifier 33"
 CPTM1_34                     "First CPT-4/HCPCS modifier 34"
 CPTM1_35                     "First CPT-4/HCPCS modifier 35"
 CPTM1_36                     "First CPT-4/HCPCS modifier 36"
 CPTM1_37                     "First CPT-4/HCPCS modifier 37"
 CPTM1_38                     "First CPT-4/HCPCS modifier 38"
 CPTM1_39                     "First CPT-4/HCPCS modifier 39"
 CPTM1_40                     "First CPT-4/HCPCS modifier 40"
 CPTM1_41                     "First CPT-4/HCPCS modifier 41"
 CPTM1_42                     "First CPT-4/HCPCS modifier 42"
 CPTM1_43                     "First CPT-4/HCPCS modifier 43"
 CPTM1_44                     "First CPT-4/HCPCS modifier 44"
 CPTM1_45                     "First CPT-4/HCPCS modifier 45"
 CPTM1_46                     "First CPT-4/HCPCS modifier 46"
 CPTM1_47                     "First CPT-4/HCPCS modifier 47"
 CPTM1_48                     "First CPT-4/HCPCS modifier 48"
 CPTM1_49                     "First CPT-4/HCPCS modifier 49"
 CPTM1_50                     "First CPT-4/HCPCS modifier 50"
 CPTM1_51                     "First CPT-4/HCPCS modifier 51"
 CPTM1_52                     "First CPT-4/HCPCS modifier 52"
 CPTM1_53                     "First CPT-4/HCPCS modifier 53"
 CPTM1_54                     "First CPT-4/HCPCS modifier 54"
 CPTM1_55                     "First CPT-4/HCPCS modifier 55"
 CPTM1_56                     "First CPT-4/HCPCS modifier 56"
 CPTM1_57                     "First CPT-4/HCPCS modifier 57"
 CPTM1_58                     "First CPT-4/HCPCS modifier 58"
 CPTM1_59                     "First CPT-4/HCPCS modifier 59"
 CPTM1_60                     "First CPT-4/HCPCS modifier 60"
 CPTM1_61                     "First CPT-4/HCPCS modifier 61"
 CPTM1_62                     "First CPT-4/HCPCS modifier 62"
 CPTM1_63                     "First CPT-4/HCPCS modifier 63"
 CPTM1_64                     "First CPT-4/HCPCS modifier 64"
 CPTM1_65                     "First CPT-4/HCPCS modifier 65"
 CPTM1_66                     "First CPT-4/HCPCS modifier 66"
 CPTM1_67                     "First CPT-4/HCPCS modifier 67"
 CPTM1_68                     "First CPT-4/HCPCS modifier 68"
 CPTM1_69                     "First CPT-4/HCPCS modifier 69"
 CPTM1_70                     "First CPT-4/HCPCS modifier 70"
 CPTM1_71                     "First CPT-4/HCPCS modifier 71"
 CPTM1_72                     "First CPT-4/HCPCS modifier 72"
 CPTM1_73                     "First CPT-4/HCPCS modifier 73"
 CPTM1_74                     "First CPT-4/HCPCS modifier 74"
 CPTM1_75                     "First CPT-4/HCPCS modifier 75"
 CPTM1_76                     "First CPT-4/HCPCS modifier 76"
 CPTM1_77                     "First CPT-4/HCPCS modifier 77"
 CPTM1_78                     "First CPT-4/HCPCS modifier 78"
 CPTM1_79                     "First CPT-4/HCPCS modifier 79"
 CPTM1_80                     "First CPT-4/HCPCS modifier 80"
 CPTM1_81                     "First CPT-4/HCPCS modifier 81"
 CPTM1_82                     "First CPT-4/HCPCS modifier 82"
 CPTM1_83                     "First CPT-4/HCPCS modifier 83"
 CPTM1_84                     "First CPT-4/HCPCS modifier 84"
 CPTM1_85                     "First CPT-4/HCPCS modifier 85"
 CPTM1_86                     "First CPT-4/HCPCS modifier 86"
 CPTM1_87                     "First CPT-4/HCPCS modifier 87"
 CPTM1_88                     "First CPT-4/HCPCS modifier 88"
 CPTM1_89                     "First CPT-4/HCPCS modifier 89"
 CPTM1_90                     "First CPT-4/HCPCS modifier 90"
 CPTM1_91                     "First CPT-4/HCPCS modifier 91"
 CPTM1_92                     "First CPT-4/HCPCS modifier 92"
 CPTM1_93                     "First CPT-4/HCPCS modifier 93"
 CPTM1_94                     "First CPT-4/HCPCS modifier 94"
 CPTM1_95                     "First CPT-4/HCPCS modifier 95"
 CPTM1_96                     "First CPT-4/HCPCS modifier 96"
 CPTM1_97                     "First CPT-4/HCPCS modifier 97"
 CPTM1_98                     "First CPT-4/HCPCS modifier 98"
 CPTM1_99                     "First CPT-4/HCPCS modifier 99"
 CPTM1_100                    "First CPT-4/HCPCS modifier 100"
 CPTM1_101                    "First CPT-4/HCPCS modifier 101"
 CPTM1_102                    "First CPT-4/HCPCS modifier 102"
 CPTM1_103                    "First CPT-4/HCPCS modifier 103"
 CPTM1_104                    "First CPT-4/HCPCS modifier 104"
 CPTM1_105                    "First CPT-4/HCPCS modifier 105"
 CPTM1_106                    "First CPT-4/HCPCS modifier 106"
 CPTM1_107                    "First CPT-4/HCPCS modifier 107"
 CPTM1_108                    "First CPT-4/HCPCS modifier 108"
 CPTM1_109                    "First CPT-4/HCPCS modifier 109"
 CPTM1_110                    "First CPT-4/HCPCS modifier 110"
 CPTM1_111                    "First CPT-4/HCPCS modifier 111"
 CPTM1_112                    "First CPT-4/HCPCS modifier 112"
 CPTM1_113                    "First CPT-4/HCPCS modifier 113"
 CPTM1_114                    "First CPT-4/HCPCS modifier 114"
 CPTM1_115                    "First CPT-4/HCPCS modifier 115"
 CPTM1_116                    "First CPT-4/HCPCS modifier 116"
 CPTM1_117                    "First CPT-4/HCPCS modifier 117"
 CPTM1_118                    "First CPT-4/HCPCS modifier 118"
 CPTM1_119                    "First CPT-4/HCPCS modifier 119"
 CPTM1_120                    "First CPT-4/HCPCS modifier 120"
 CPTM1_121                    "First CPT-4/HCPCS modifier 121"
 CPTM1_122                    "First CPT-4/HCPCS modifier 122"
 CPTM1_123                    "First CPT-4/HCPCS modifier 123"
 CPTM1_124                    "First CPT-4/HCPCS modifier 124"
 CPTM1_125                    "First CPT-4/HCPCS modifier 125"
 CPTM1_126                    "First CPT-4/HCPCS modifier 126"
 CPTM1_127                    "First CPT-4/HCPCS modifier 127"
 CPTM1_128                    "First CPT-4/HCPCS modifier 128"
 CPTM1_129                    "First CPT-4/HCPCS modifier 129"
 CPTM1_130                    "First CPT-4/HCPCS modifier 130"
 CPTM1_131                    "First CPT-4/HCPCS modifier 131"
 CPTM1_132                    "First CPT-4/HCPCS modifier 132"
 CPTM1_133                    "First CPT-4/HCPCS modifier 133"
 CPTM1_134                    "First CPT-4/HCPCS modifier 134"
 CPTM1_135                    "First CPT-4/HCPCS modifier 135"
 CPTM1_136                    "First CPT-4/HCPCS modifier 136"
 CPTM1_137                    "First CPT-4/HCPCS modifier 137"
 CPTM1_138                    "First CPT-4/HCPCS modifier 138"
 CPTM1_139                    "First CPT-4/HCPCS modifier 139"
 CPTM1_140                    "First CPT-4/HCPCS modifier 140"
 CPTM1_141                    "First CPT-4/HCPCS modifier 141"
 CPTM1_142                    "First CPT-4/HCPCS modifier 142"
 CPTM1_143                    "First CPT-4/HCPCS modifier 143"
 CPTM1_144                    "First CPT-4/HCPCS modifier 144"
 CPTM1_145                    "First CPT-4/HCPCS modifier 145"
 CPTM1_146                    "First CPT-4/HCPCS modifier 146"
 CPTM1_147                    "First CPT-4/HCPCS modifier 147"
 CPTM1_148                    "First CPT-4/HCPCS modifier 148"
 CPTM1_149                    "First CPT-4/HCPCS modifier 149"
 CPTM1_150                    "First CPT-4/HCPCS modifier 150"
 CPTM1_151                    "First CPT-4/HCPCS modifier 151"
 CPTM1_152                    "First CPT-4/HCPCS modifier 152"
 CPTM1_153                    "First CPT-4/HCPCS modifier 153"
 CPTM1_154                    "First CPT-4/HCPCS modifier 154"
 CPTM1_155                    "First CPT-4/HCPCS modifier 155"
 CPTM1_156                    "First CPT-4/HCPCS modifier 156"
 CPTM1_157                    "First CPT-4/HCPCS modifier 157"
 CPTM1_158                    "First CPT-4/HCPCS modifier 158"
 CPTM1_159                    "First CPT-4/HCPCS modifier 159"
 CPTM1_160                    "First CPT-4/HCPCS modifier 160"
 CPTM1_161                    "First CPT-4/HCPCS modifier 161"
 CPTM1_162                    "First CPT-4/HCPCS modifier 162"
 CPTM1_163                    "First CPT-4/HCPCS modifier 163"
 CPTM1_164                    "First CPT-4/HCPCS modifier 164"
 CPTM1_165                    "First CPT-4/HCPCS modifier 165"
 CPTM1_166                    "First CPT-4/HCPCS modifier 166"
 CPTM1_167                    "First CPT-4/HCPCS modifier 167"
 CPTM1_168                    "First CPT-4/HCPCS modifier 168"
 CPTM1_169                    "First CPT-4/HCPCS modifier 169"
 CPTM1_170                    "First CPT-4/HCPCS modifier 170"
 CPTM1_171                    "First CPT-4/HCPCS modifier 171"
 CPTM1_172                    "First CPT-4/HCPCS modifier 172"
 CPTM1_173                    "First CPT-4/HCPCS modifier 173"
 CPTM1_174                    "First CPT-4/HCPCS modifier 174"
 CPTM1_175                    "First CPT-4/HCPCS modifier 175"
 CPTM1_176                    "First CPT-4/HCPCS modifier 176"
 CPTM1_177                    "First CPT-4/HCPCS modifier 177"
 CPTM1_178                    "First CPT-4/HCPCS modifier 178"
 CPTM1_179                    "First CPT-4/HCPCS modifier 179"
 CPTM1_180                    "First CPT-4/HCPCS modifier 180"
 CPTM1_181                    "First CPT-4/HCPCS modifier 181"
 CPTM1_182                    "First CPT-4/HCPCS modifier 182"
 CPTM1_183                    "First CPT-4/HCPCS modifier 183"
 CPTM1_184                    "First CPT-4/HCPCS modifier 184"
 CPTM1_185                    "First CPT-4/HCPCS modifier 185"
 CPTM1_186                    "First CPT-4/HCPCS modifier 186"
 CPTM1_187                    "First CPT-4/HCPCS modifier 187"
 CPTM1_188                    "First CPT-4/HCPCS modifier 188"
 CPTM1_189                    "First CPT-4/HCPCS modifier 189"
 CPTM1_190                    "First CPT-4/HCPCS modifier 190"
 CPTM1_191                    "First CPT-4/HCPCS modifier 191"
 CPTM1_192                    "First CPT-4/HCPCS modifier 192"
 CPTM1_193                    "First CPT-4/HCPCS modifier 193"
 CPTM1_194                    "First CPT-4/HCPCS modifier 194"
 CPTM1_195                    "First CPT-4/HCPCS modifier 195"
 CPTM1_196                    "First CPT-4/HCPCS modifier 196"
 CPTM1_197                    "First CPT-4/HCPCS modifier 197"
 CPTM1_198                    "First CPT-4/HCPCS modifier 198"
 CPTM1_199                    "First CPT-4/HCPCS modifier 199"
 CPTM1_200                    "First CPT-4/HCPCS modifier 200"
 CPTM2_1                      "Second CPT-4/HCPCS modifier 1"
 CPTM2_2                      "Second CPT-4/HCPCS modifier 2"
 CPTM2_3                      "Second CPT-4/HCPCS modifier 3"
 CPTM2_4                      "Second CPT-4/HCPCS modifier 4"
 CPTM2_5                      "Second CPT-4/HCPCS modifier 5"
 CPTM2_6                      "Second CPT-4/HCPCS modifier 6"
 CPTM2_7                      "Second CPT-4/HCPCS modifier 7"
 CPTM2_8                      "Second CPT-4/HCPCS modifier 8"
 CPTM2_9                      "Second CPT-4/HCPCS modifier 9"
 CPTM2_10                     "Second CPT-4/HCPCS modifier 10"
 CPTM2_11                     "Second CPT-4/HCPCS modifier 11"
 CPTM2_12                     "Second CPT-4/HCPCS modifier 12"
 CPTM2_13                     "Second CPT-4/HCPCS modifier 13"
 CPTM2_14                     "Second CPT-4/HCPCS modifier 14"
 CPTM2_15                     "Second CPT-4/HCPCS modifier 15"
 CPTM2_16                     "Second CPT-4/HCPCS modifier 16"
 CPTM2_17                     "Second CPT-4/HCPCS modifier 17"
 CPTM2_18                     "Second CPT-4/HCPCS modifier 18"
 CPTM2_19                     "Second CPT-4/HCPCS modifier 19"
 CPTM2_20                     "Second CPT-4/HCPCS modifier 20"
 CPTM2_21                     "Second CPT-4/HCPCS modifier 21"
 CPTM2_22                     "Second CPT-4/HCPCS modifier 22"
 CPTM2_23                     "Second CPT-4/HCPCS modifier 23"
 CPTM2_24                     "Second CPT-4/HCPCS modifier 24"
 CPTM2_25                     "Second CPT-4/HCPCS modifier 25"
 CPTM2_26                     "Second CPT-4/HCPCS modifier 26"
 CPTM2_27                     "Second CPT-4/HCPCS modifier 27"
 CPTM2_28                     "Second CPT-4/HCPCS modifier 28"
 CPTM2_29                     "Second CPT-4/HCPCS modifier 29"
 CPTM2_30                     "Second CPT-4/HCPCS modifier 30"
 CPTM2_31                     "Second CPT-4/HCPCS modifier 31"
 CPTM2_32                     "Second CPT-4/HCPCS modifier 32"
 CPTM2_33                     "Second CPT-4/HCPCS modifier 33"
 CPTM2_34                     "Second CPT-4/HCPCS modifier 34"
 CPTM2_35                     "Second CPT-4/HCPCS modifier 35"
 CPTM2_36                     "Second CPT-4/HCPCS modifier 36"
 CPTM2_37                     "Second CPT-4/HCPCS modifier 37"
 CPTM2_38                     "Second CPT-4/HCPCS modifier 38"
 CPTM2_39                     "Second CPT-4/HCPCS modifier 39"
 CPTM2_40                     "Second CPT-4/HCPCS modifier 40"
 CPTM2_41                     "Second CPT-4/HCPCS modifier 41"
 CPTM2_42                     "Second CPT-4/HCPCS modifier 42"
 CPTM2_43                     "Second CPT-4/HCPCS modifier 43"
 CPTM2_44                     "Second CPT-4/HCPCS modifier 44"
 CPTM2_45                     "Second CPT-4/HCPCS modifier 45"
 CPTM2_46                     "Second CPT-4/HCPCS modifier 46"
 CPTM2_47                     "Second CPT-4/HCPCS modifier 47"
 CPTM2_48                     "Second CPT-4/HCPCS modifier 48"
 CPTM2_49                     "Second CPT-4/HCPCS modifier 49"
 CPTM2_50                     "Second CPT-4/HCPCS modifier 50"
 CPTM2_51                     "Second CPT-4/HCPCS modifier 51"
 CPTM2_52                     "Second CPT-4/HCPCS modifier 52"
 CPTM2_53                     "Second CPT-4/HCPCS modifier 53"
 CPTM2_54                     "Second CPT-4/HCPCS modifier 54"
 CPTM2_55                     "Second CPT-4/HCPCS modifier 55"
 CPTM2_56                     "Second CPT-4/HCPCS modifier 56"
 CPTM2_57                     "Second CPT-4/HCPCS modifier 57"
 CPTM2_58                     "Second CPT-4/HCPCS modifier 58"
 CPTM2_59                     "Second CPT-4/HCPCS modifier 59"
 CPTM2_60                     "Second CPT-4/HCPCS modifier 60"
 CPTM2_61                     "Second CPT-4/HCPCS modifier 61"
 CPTM2_62                     "Second CPT-4/HCPCS modifier 62"
 CPTM2_63                     "Second CPT-4/HCPCS modifier 63"
 CPTM2_64                     "Second CPT-4/HCPCS modifier 64"
 CPTM2_65                     "Second CPT-4/HCPCS modifier 65"
 CPTM2_66                     "Second CPT-4/HCPCS modifier 66"
 CPTM2_67                     "Second CPT-4/HCPCS modifier 67"
 CPTM2_68                     "Second CPT-4/HCPCS modifier 68"
 CPTM2_69                     "Second CPT-4/HCPCS modifier 69"
 CPTM2_70                     "Second CPT-4/HCPCS modifier 70"
 CPTM2_71                     "Second CPT-4/HCPCS modifier 71"
 CPTM2_72                     "Second CPT-4/HCPCS modifier 72"
 CPTM2_73                     "Second CPT-4/HCPCS modifier 73"
 CPTM2_74                     "Second CPT-4/HCPCS modifier 74"
 CPTM2_75                     "Second CPT-4/HCPCS modifier 75"
 CPTM2_76                     "Second CPT-4/HCPCS modifier 76"
 CPTM2_77                     "Second CPT-4/HCPCS modifier 77"
 CPTM2_78                     "Second CPT-4/HCPCS modifier 78"
 CPTM2_79                     "Second CPT-4/HCPCS modifier 79"
 CPTM2_80                     "Second CPT-4/HCPCS modifier 80"
 CPTM2_81                     "Second CPT-4/HCPCS modifier 81"
 CPTM2_82                     "Second CPT-4/HCPCS modifier 82"
 CPTM2_83                     "Second CPT-4/HCPCS modifier 83"
 CPTM2_84                     "Second CPT-4/HCPCS modifier 84"
 CPTM2_85                     "Second CPT-4/HCPCS modifier 85"
 CPTM2_86                     "Second CPT-4/HCPCS modifier 86"
 CPTM2_87                     "Second CPT-4/HCPCS modifier 87"
 CPTM2_88                     "Second CPT-4/HCPCS modifier 88"
 CPTM2_89                     "Second CPT-4/HCPCS modifier 89"
 CPTM2_90                     "Second CPT-4/HCPCS modifier 90"
 CPTM2_91                     "Second CPT-4/HCPCS modifier 91"
 CPTM2_92                     "Second CPT-4/HCPCS modifier 92"
 CPTM2_93                     "Second CPT-4/HCPCS modifier 93"
 CPTM2_94                     "Second CPT-4/HCPCS modifier 94"
 CPTM2_95                     "Second CPT-4/HCPCS modifier 95"
 CPTM2_96                     "Second CPT-4/HCPCS modifier 96"
 CPTM2_97                     "Second CPT-4/HCPCS modifier 97"
 CPTM2_98                     "Second CPT-4/HCPCS modifier 98"
 CPTM2_99                     "Second CPT-4/HCPCS modifier 99"
 CPTM2_100                    "Second CPT-4/HCPCS modifier 100"
 CPTM2_101                    "Second CPT-4/HCPCS modifier 101"
 CPTM2_102                    "Second CPT-4/HCPCS modifier 102"
 CPTM2_103                    "Second CPT-4/HCPCS modifier 103"
 CPTM2_104                    "Second CPT-4/HCPCS modifier 104"
 CPTM2_105                    "Second CPT-4/HCPCS modifier 105"
 CPTM2_106                    "Second CPT-4/HCPCS modifier 106"
 CPTM2_107                    "Second CPT-4/HCPCS modifier 107"
 CPTM2_108                    "Second CPT-4/HCPCS modifier 108"
 CPTM2_109                    "Second CPT-4/HCPCS modifier 109"
 CPTM2_110                    "Second CPT-4/HCPCS modifier 110"
 CPTM2_111                    "Second CPT-4/HCPCS modifier 111"
 CPTM2_112                    "Second CPT-4/HCPCS modifier 112"
 CPTM2_113                    "Second CPT-4/HCPCS modifier 113"
 CPTM2_114                    "Second CPT-4/HCPCS modifier 114"
 CPTM2_115                    "Second CPT-4/HCPCS modifier 115"
 CPTM2_116                    "Second CPT-4/HCPCS modifier 116"
 CPTM2_117                    "Second CPT-4/HCPCS modifier 117"
 CPTM2_118                    "Second CPT-4/HCPCS modifier 118"
 CPTM2_119                    "Second CPT-4/HCPCS modifier 119"
 CPTM2_120                    "Second CPT-4/HCPCS modifier 120"
 CPTM2_121                    "Second CPT-4/HCPCS modifier 121"
 CPTM2_122                    "Second CPT-4/HCPCS modifier 122"
 CPTM2_123                    "Second CPT-4/HCPCS modifier 123"
 CPTM2_124                    "Second CPT-4/HCPCS modifier 124"
 CPTM2_125                    "Second CPT-4/HCPCS modifier 125"
 CPTM2_126                    "Second CPT-4/HCPCS modifier 126"
 CPTM2_127                    "Second CPT-4/HCPCS modifier 127"
 CPTM2_128                    "Second CPT-4/HCPCS modifier 128"
 CPTM2_129                    "Second CPT-4/HCPCS modifier 129"
 CPTM2_130                    "Second CPT-4/HCPCS modifier 130"
 CPTM2_131                    "Second CPT-4/HCPCS modifier 131"
 CPTM2_132                    "Second CPT-4/HCPCS modifier 132"
 CPTM2_133                    "Second CPT-4/HCPCS modifier 133"
 CPTM2_134                    "Second CPT-4/HCPCS modifier 134"
 CPTM2_135                    "Second CPT-4/HCPCS modifier 135"
 CPTM2_136                    "Second CPT-4/HCPCS modifier 136"
 CPTM2_137                    "Second CPT-4/HCPCS modifier 137"
 CPTM2_138                    "Second CPT-4/HCPCS modifier 138"
 CPTM2_139                    "Second CPT-4/HCPCS modifier 139"
 CPTM2_140                    "Second CPT-4/HCPCS modifier 140"
 CPTM2_141                    "Second CPT-4/HCPCS modifier 141"
 CPTM2_142                    "Second CPT-4/HCPCS modifier 142"
 CPTM2_143                    "Second CPT-4/HCPCS modifier 143"
 CPTM2_144                    "Second CPT-4/HCPCS modifier 144"
 CPTM2_145                    "Second CPT-4/HCPCS modifier 145"
 CPTM2_146                    "Second CPT-4/HCPCS modifier 146"
 CPTM2_147                    "Second CPT-4/HCPCS modifier 147"
 CPTM2_148                    "Second CPT-4/HCPCS modifier 148"
 CPTM2_149                    "Second CPT-4/HCPCS modifier 149"
 CPTM2_150                    "Second CPT-4/HCPCS modifier 150"
 CPTM2_151                    "Second CPT-4/HCPCS modifier 151"
 CPTM2_152                    "Second CPT-4/HCPCS modifier 152"
 CPTM2_153                    "Second CPT-4/HCPCS modifier 153"
 CPTM2_154                    "Second CPT-4/HCPCS modifier 154"
 CPTM2_155                    "Second CPT-4/HCPCS modifier 155"
 CPTM2_156                    "Second CPT-4/HCPCS modifier 156"
 CPTM2_157                    "Second CPT-4/HCPCS modifier 157"
 CPTM2_158                    "Second CPT-4/HCPCS modifier 158"
 CPTM2_159                    "Second CPT-4/HCPCS modifier 159"
 CPTM2_160                    "Second CPT-4/HCPCS modifier 160"
 CPTM2_161                    "Second CPT-4/HCPCS modifier 161"
 CPTM2_162                    "Second CPT-4/HCPCS modifier 162"
 CPTM2_163                    "Second CPT-4/HCPCS modifier 163"
 CPTM2_164                    "Second CPT-4/HCPCS modifier 164"
 CPTM2_165                    "Second CPT-4/HCPCS modifier 165"
 CPTM2_166                    "Second CPT-4/HCPCS modifier 166"
 CPTM2_167                    "Second CPT-4/HCPCS modifier 167"
 CPTM2_168                    "Second CPT-4/HCPCS modifier 168"
 CPTM2_169                    "Second CPT-4/HCPCS modifier 169"
 CPTM2_170                    "Second CPT-4/HCPCS modifier 170"
 CPTM2_171                    "Second CPT-4/HCPCS modifier 171"
 CPTM2_172                    "Second CPT-4/HCPCS modifier 172"
 CPTM2_173                    "Second CPT-4/HCPCS modifier 173"
 CPTM2_174                    "Second CPT-4/HCPCS modifier 174"
 CPTM2_175                    "Second CPT-4/HCPCS modifier 175"
 CPTM2_176                    "Second CPT-4/HCPCS modifier 176"
 CPTM2_177                    "Second CPT-4/HCPCS modifier 177"
 CPTM2_178                    "Second CPT-4/HCPCS modifier 178"
 CPTM2_179                    "Second CPT-4/HCPCS modifier 179"
 CPTM2_180                    "Second CPT-4/HCPCS modifier 180"
 CPTM2_181                    "Second CPT-4/HCPCS modifier 181"
 CPTM2_182                    "Second CPT-4/HCPCS modifier 182"
 CPTM2_183                    "Second CPT-4/HCPCS modifier 183"
 CPTM2_184                    "Second CPT-4/HCPCS modifier 184"
 CPTM2_185                    "Second CPT-4/HCPCS modifier 185"
 CPTM2_186                    "Second CPT-4/HCPCS modifier 186"
 CPTM2_187                    "Second CPT-4/HCPCS modifier 187"
 CPTM2_188                    "Second CPT-4/HCPCS modifier 188"
 CPTM2_189                    "Second CPT-4/HCPCS modifier 189"
 CPTM2_190                    "Second CPT-4/HCPCS modifier 190"
 CPTM2_191                    "Second CPT-4/HCPCS modifier 191"
 CPTM2_192                    "Second CPT-4/HCPCS modifier 192"
 CPTM2_193                    "Second CPT-4/HCPCS modifier 193"
 CPTM2_194                    "Second CPT-4/HCPCS modifier 194"
 CPTM2_195                    "Second CPT-4/HCPCS modifier 195"
 CPTM2_196                    "Second CPT-4/HCPCS modifier 196"
 CPTM2_197                    "Second CPT-4/HCPCS modifier 197"
 CPTM2_198                    "Second CPT-4/HCPCS modifier 198"
 CPTM2_199                    "Second CPT-4/HCPCS modifier 199"
 CPTM2_200                    "Second CPT-4/HCPCS modifier 200"
 DaysToEvent                  "Days from 'start date' to admission"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HCUP_SURGERY_BROAD_CPT       "Number of reported CPT procedures that qualify as a surgery using a broad definition"
 HCUP_SURGERY_NARROW_CPT      "Number of reported CPT procedures that qualify as a surgery using a narrow definition"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_DX_Visit_Reason1         "ICD-10-CM Reason for visit diagnosis 1"
 I10_DX_Visit_Reason2         "ICD-10-CM Reason for visit diagnosis 2"
 I10_DX_Visit_Reason3         "ICD-10-CM Reason for visit diagnosis 3"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MDNUM2_R                     "Physician 2 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO                        "Patient state/county FIPS code"
 PSTCO_GEO                    "Counties assigned based on ZIP Code geographic centroids"
 RACE                         "Race (uniform)"
 RACE_PCT_MISS_HOSP           "Hospital percentage of missing or invalid race values"
 RACE_X                       "Race (as received from source)"
 SASD_SEDD                    "SASD and SEDD indicator"
 STATE_AS                     "State Ambulatory Surgery service indicator"
 STATE_ED                     "State Emergency Department service indicator"
 STATE_OS                     "State Observation Stay service indicator"
 SUBSTATE_REGION_X            "Region of the Hospital within a State (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 HOSPID                       "HCUP hospital identification number"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year" .


/**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************/

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS200
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY200
 (-99,-88,-66,-55=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_BROAD_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HCUP_SURGERY_NARROW_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO_GEO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_PCT_MISS_HOSP
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE SASD_SEDD
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_AS
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'CO_SEDD_2021_CORE.sav' /COMPRESSED.
