/*******************************************************************
* Creation Date: 01/17/2024   
*   GA_SEDD_2021_CORE.sps:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


/***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************/


/********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************/

DATA LIST FILE = 'GA_SEDD_2021_CORE.asc' FIXED SKIP=2 / 
 AGE                             1-   3
 AGEDAY                          4-   6
 AGEMONTH                        7-   9
 AMONTH                         10-  11
 ATYPE                          12-  13
 AWEEKEND                       14-  15
 BILLTYPE                       16-  19 (A)
 CPT1                           20-  24 (A)
 CPT2                           25-  29 (A)
 CPT3                           30-  34 (A)
 CPT4                           35-  39 (A)
 CPT5                           40-  44 (A)
 CPT6                           45-  49 (A)
 CPT7                           50-  54 (A)
 CPT8                           55-  59 (A)
 CPT9                           60-  64 (A)
 CPT10                          65-  69 (A)
 CPT11                          70-  74 (A)
 CPT12                          75-  79 (A)
 CPT13                          80-  84 (A)
 CPT14                          85-  89 (A)
 CPT15                          90-  94 (A)
 CPT16                          95-  99 (A)
 CPT17                         100- 104 (A)
 CPT18                         105- 109 (A)
 CPT19                         110- 114 (A)
 CPT20                         115- 119 (A)
 CPT21                         120- 124 (A)
 CPT22                         125- 129 (A)
 CPT23                         130- 134 (A)
 CPT24                         135- 139 (A)
 CPT25                         140- 144 (A)
 CPT26                         145- 149 (A)
 CPT27                         150- 154 (A)
 CPT28                         155- 159 (A)
 CPT29                         160- 164 (A)
 CPT30                         165- 169 (A)
 CPT31                         170- 174 (A)
 CPT32                         175- 179 (A)
 CPT33                         180- 184 (A)
 CPT34                         185- 189 (A)
 CPT35                         190- 194 (A)
 CPT36                         195- 199 (A)
 CPT37                         200- 204 (A)
 CPT38                         205- 209 (A)
 CPT39                         210- 214 (A)
 CPT40                         215- 219 (A)
 CPT41                         220- 224 (A)
 CPT42                         225- 229 (A)
 CPT43                         230- 234 (A)
 CPT44                         235- 239 (A)
 CPT45                         240- 244 (A)
 CPT46                         245- 249 (A)
 CPT47                         250- 254 (A)
 CPT48                         255- 259 (A)
 CPT49                         260- 264 (A)
 CPT50                         265- 269 (A)
 CPT51                         270- 274 (A)
 CPT52                         275- 279 (A)
 CPT53                         280- 284 (A)
 CPT54                         285- 289 (A)
 CPT55                         290- 294 (A)
 CPT56                         295- 299 (A)
 CPT57                         300- 304 (A)
 CPT58                         305- 309 (A)
 CPT59                         310- 314 (A)
 CPT60                         315- 319 (A)
 CPT61                         320- 324 (A)
 CPT62                         325- 329 (A)
 CPT63                         330- 334 (A)
 CPT64                         335- 339 (A)
 CPT65                         340- 344 (A)
 CPT66                         345- 349 (A)
 CPT67                         350- 354 (A)
 CPT68                         355- 359 (A)
 CPT69                         360- 364 (A)
 CPT70                         365- 369 (A)
 CPT71                         370- 374 (A)
 CPT72                         375- 379 (A)
 CPT73                         380- 384 (A)
 CPT74                         385- 389 (A)
 CPT75                         390- 394 (A)
 CPT76                         395- 399 (A)
 CPT77                         400- 404 (A)
 CPT78                         405- 409 (A)
 CPT79                         410- 414 (A)
 CPT80                         415- 419 (A)
 CPT81                         420- 424 (A)
 CPT82                         425- 429 (A)
 CPT83                         430- 434 (A)
 CPT84                         435- 439 (A)
 CPT85                         440- 444 (A)
 CPT86                         445- 449 (A)
 CPT87                         450- 454 (A)
 CPT88                         455- 459 (A)
 CPT89                         460- 464 (A)
 CPT90                         465- 469 (A)
 CPT91                         470- 474 (A)
 CPT92                         475- 479 (A)
 CPT93                         480- 484 (A)
 CPT94                         485- 489 (A)
 CPT95                         490- 494 (A)
 CPT96                         495- 499 (A)
 CPT97                         500- 504 (A)
 CPT98                         505- 509 (A)
 CPT99                         510- 514 (A)
 CPT100                        515- 519 (A)
 CPT101                        520- 524 (A)
 CPT102                        525- 529 (A)
 CPT103                        530- 534 (A)
 CPT104                        535- 539 (A)
 CPT105                        540- 544 (A)
 CPT106                        545- 549 (A)
 CPT107                        550- 554 (A)
 CPT108                        555- 559 (A)
 CPT109                        560- 564 (A)
 CPT110                        565- 569 (A)
 CPT111                        570- 574 (A)
 CPT112                        575- 579 (A)
 CPT113                        580- 584 (A)
 CPT114                        585- 589 (A)
 CPT115                        590- 594 (A)
 CPT116                        595- 599 (A)
 CPT117                        600- 604 (A)
 CPT118                        605- 609 (A)
 CPT119                        610- 614 (A)
 CPT120                        615- 619 (A)
 CPT121                        620- 624 (A)
 CPT122                        625- 629 (A)
 CPT123                        630- 634 (A)
 CPT124                        635- 639 (A)
 CPT125                        640- 644 (A)
 CPT126                        645- 649 (A)
 CPT127                        650- 654 (A)
 CPT128                        655- 659 (A)
 CPT129                        660- 664 (A)
 CPT130                        665- 669 (A)
 CPT131                        670- 674 (A)
 CPT132                        675- 679 (A)
 CPT133                        680- 684 (A)
 CPT134                        685- 689 (A)
 CPT135                        690- 694 (A)
 CPT136                        695- 699 (A)
 CPT137                        700- 704 (A)
 CPT138                        705- 709 (A)
 CPT139                        710- 714 (A)
 CPT140                        715- 719 (A)
 CPT141                        720- 724 (A)
 CPT142                        725- 729 (A)
 CPT143                        730- 734 (A)
 CPT144                        735- 739 (A)
 CPT145                        740- 744 (A)
 CPT146                        745- 749 (A)
 CPT147                        750- 754 (A)
 CPT148                        755- 759 (A)
 CPT149                        760- 764 (A)
 CPT150                        765- 769 (A)
 CPT151                        770- 774 (A)
 CPT152                        775- 779 (A)
 CPT153                        780- 784 (A)
 CPT154                        785- 789 (A)
 CPT155                        790- 794 (A)
 CPT156                        795- 799 (A)
 CPT157                        800- 804 (A)
 CPT158                        805- 809 (A)
 CPT159                        810- 814 (A)
 CPT160                        815- 819 (A)
 CPT161                        820- 824 (A)
 CPT162                        825- 829 (A)
 CPT163                        830- 834 (A)
 CPT164                        835- 839 (A)
 CPT165                        840- 844 (A)
 CPT166                        845- 849 (A)
 CPT167                        850- 854 (A)
 CPT168                        855- 859 (A)
 CPT169                        860- 864 (A)
 CPT170                        865- 869 (A)
 CPT171                        870- 874 (A)
 CPT172                        875- 879 (A)
 CPT173                        880- 884 (A)
 CPT174                        885- 889 (A)
 CPT175                        890- 894 (A)
 CPT176                        895- 899 (A)
 CPT177                        900- 904 (A)
 CPT178                        905- 909 (A)
 CPT179                        910- 914 (A)
 CPT180                        915- 919 (A)
 CPT181                        920- 924 (A)
 CPT182                        925- 929 (A)
 CPT183                        930- 934 (A)
 CPT184                        935- 939 (A)
 CPT185                        940- 944 (A)
 CPT186                        945- 949 (A)
 CPT187                        950- 954 (A)
 CPT188                        955- 959 (A)
 CPT189                        960- 964 (A)
 CPT190                        965- 969 (A)
 CPT191                        970- 974 (A)
 CPT192                        975- 979 (A)
 CPT193                        980- 984 (A)
 CPT194                        985- 989 (A)
 CPT195                        990- 994 (A)
 CPT196                        995- 999 (A)
 CPT197                       1000-1004 (A)
 CPT198                       1005-1009 (A)
 CPT199                       1010-1014 (A)
 CPT200                       1015-1019 (A)
 CPTCCS1                      1020-1022
 CPTCCS2                      1023-1025
 CPTCCS3                      1026-1028
 CPTCCS4                      1029-1031
 CPTCCS5                      1032-1034
 CPTCCS6                      1035-1037
 CPTCCS7                      1038-1040
 CPTCCS8                      1041-1043
 CPTCCS9                      1044-1046
 CPTCCS10                     1047-1049
 CPTCCS11                     1050-1052
 CPTCCS12                     1053-1055
 CPTCCS13                     1056-1058
 CPTCCS14                     1059-1061
 CPTCCS15                     1062-1064
 CPTCCS16                     1065-1067
 CPTCCS17                     1068-1070
 CPTCCS18                     1071-1073
 CPTCCS19                     1074-1076
 CPTCCS20                     1077-1079
 CPTCCS21                     1080-1082
 CPTCCS22                     1083-1085
 CPTCCS23                     1086-1088
 CPTCCS24                     1089-1091
 CPTCCS25                     1092-1094
 CPTCCS26                     1095-1097
 CPTCCS27                     1098-1100
 CPTCCS28                     1101-1103
 CPTCCS29                     1104-1106
 CPTCCS30                     1107-1109
 CPTCCS31                     1110-1112
 CPTCCS32                     1113-1115
 CPTCCS33                     1116-1118
 CPTCCS34                     1119-1121
 CPTCCS35                     1122-1124
 CPTCCS36                     1125-1127
 CPTCCS37                     1128-1130
 CPTCCS38                     1131-1133
 CPTCCS39                     1134-1136
 CPTCCS40                     1137-1139
 CPTCCS41                     1140-1142
 CPTCCS42                     1143-1145
 CPTCCS43                     1146-1148
 CPTCCS44                     1149-1151
 CPTCCS45                     1152-1154
 CPTCCS46                     1155-1157
 CPTCCS47                     1158-1160
 CPTCCS48                     1161-1163
 CPTCCS49                     1164-1166
 CPTCCS50                     1167-1169
 CPTCCS51                     1170-1172
 CPTCCS52                     1173-1175
 CPTCCS53                     1176-1178
 CPTCCS54                     1179-1181
 CPTCCS55                     1182-1184
 CPTCCS56                     1185-1187
 CPTCCS57                     1188-1190
 CPTCCS58                     1191-1193
 CPTCCS59                     1194-1196
 CPTCCS60                     1197-1199
 CPTCCS61                     1200-1202
 CPTCCS62                     1203-1205
 CPTCCS63                     1206-1208
 CPTCCS64                     1209-1211
 CPTCCS65                     1212-1214
 CPTCCS66                     1215-1217
 CPTCCS67                     1218-1220
 CPTCCS68                     1221-1223
 CPTCCS69                     1224-1226
 CPTCCS70                     1227-1229
 CPTCCS71                     1230-1232
 CPTCCS72                     1233-1235
 CPTCCS73                     1236-1238
 CPTCCS74                     1239-1241
 CPTCCS75                     1242-1244
 CPTCCS76                     1245-1247
 CPTCCS77                     1248-1250
 CPTCCS78                     1251-1253
 CPTCCS79                     1254-1256
 CPTCCS80                     1257-1259
 CPTCCS81                     1260-1262
 CPTCCS82                     1263-1265
 CPTCCS83                     1266-1268
 CPTCCS84                     1269-1271
 CPTCCS85                     1272-1274
 CPTCCS86                     1275-1277
 CPTCCS87                     1278-1280
 CPTCCS88                     1281-1283
 CPTCCS89                     1284-1286
 CPTCCS90                     1287-1289
 CPTCCS91                     1290-1292
 CPTCCS92                     1293-1295
 CPTCCS93                     1296-1298
 CPTCCS94                     1299-1301
 CPTCCS95                     1302-1304
 CPTCCS96                     1305-1307
 CPTCCS97                     1308-1310
 CPTCCS98                     1311-1313
 CPTCCS99                     1314-1316
 CPTCCS100                    1317-1319
 CPTCCS101                    1320-1322
 CPTCCS102                    1323-1325
 CPTCCS103                    1326-1328
 CPTCCS104                    1329-1331
 CPTCCS105                    1332-1334
 CPTCCS106                    1335-1337
 CPTCCS107                    1338-1340
 CPTCCS108                    1341-1343
 CPTCCS109                    1344-1346
 CPTCCS110                    1347-1349
 CPTCCS111                    1350-1352
 CPTCCS112                    1353-1355
 CPTCCS113                    1356-1358
 CPTCCS114                    1359-1361
 CPTCCS115                    1362-1364
 CPTCCS116                    1365-1367
 CPTCCS117                    1368-1370
 CPTCCS118                    1371-1373
 CPTCCS119                    1374-1376
 CPTCCS120                    1377-1379
 CPTCCS121                    1380-1382
 CPTCCS122                    1383-1385
 CPTCCS123                    1386-1388
 CPTCCS124                    1389-1391
 CPTCCS125                    1392-1394
 CPTCCS126                    1395-1397
 CPTCCS127                    1398-1400
 CPTCCS128                    1401-1403
 CPTCCS129                    1404-1406
 CPTCCS130                    1407-1409
 CPTCCS131                    1410-1412
 CPTCCS132                    1413-1415
 CPTCCS133                    1416-1418
 CPTCCS134                    1419-1421
 CPTCCS135                    1422-1424
 CPTCCS136                    1425-1427
 CPTCCS137                    1428-1430
 CPTCCS138                    1431-1433
 CPTCCS139                    1434-1436
 CPTCCS140                    1437-1439
 CPTCCS141                    1440-1442
 CPTCCS142                    1443-1445
 CPTCCS143                    1446-1448
 CPTCCS144                    1449-1451
 CPTCCS145                    1452-1454
 CPTCCS146                    1455-1457
 CPTCCS147                    1458-1460
 CPTCCS148                    1461-1463
 CPTCCS149                    1464-1466
 CPTCCS150                    1467-1469
 CPTCCS151                    1470-1472
 CPTCCS152                    1473-1475
 CPTCCS153                    1476-1478
 CPTCCS154                    1479-1481
 CPTCCS155                    1482-1484
 CPTCCS156                    1485-1487
 CPTCCS157                    1488-1490
 CPTCCS158                    1491-1493
 CPTCCS159                    1494-1496
 CPTCCS160                    1497-1499
 CPTCCS161                    1500-1502
 CPTCCS162                    1503-1505
 CPTCCS163                    1506-1508
 CPTCCS164                    1509-1511
 CPTCCS165                    1512-1514
 CPTCCS166                    1515-1517
 CPTCCS167                    1518-1520
 CPTCCS168                    1521-1523
 CPTCCS169                    1524-1526
 CPTCCS170                    1527-1529
 CPTCCS171                    1530-1532
 CPTCCS172                    1533-1535
 CPTCCS173                    1536-1538
 CPTCCS174                    1539-1541
 CPTCCS175                    1542-1544
 CPTCCS176                    1545-1547
 CPTCCS177                    1548-1550
 CPTCCS178                    1551-1553
 CPTCCS179                    1554-1556
 CPTCCS180                    1557-1559
 CPTCCS181                    1560-1562
 CPTCCS182                    1563-1565
 CPTCCS183                    1566-1568
 CPTCCS184                    1569-1571
 CPTCCS185                    1572-1574
 CPTCCS186                    1575-1577
 CPTCCS187                    1578-1580
 CPTCCS188                    1581-1583
 CPTCCS189                    1584-1586
 CPTCCS190                    1587-1589
 CPTCCS191                    1590-1592
 CPTCCS192                    1593-1595
 CPTCCS193                    1596-1598
 CPTCCS194                    1599-1601
 CPTCCS195                    1602-1604
 CPTCCS196                    1605-1607
 CPTCCS197                    1608-1610
 CPTCCS198                    1611-1613
 CPTCCS199                    1614-1616
 CPTCCS200                    1617-1619
 CPTDAY1                      1620-1622
 CPTDAY2                      1623-1625
 CPTDAY3                      1626-1628
 CPTDAY4                      1629-1631
 CPTDAY5                      1632-1634
 CPTDAY6                      1635-1637
 CPTDAY7                      1638-1640
 CPTDAY8                      1641-1643
 CPTDAY9                      1644-1646
 CPTDAY10                     1647-1649
 CPTDAY11                     1650-1652
 CPTDAY12                     1653-1655
 CPTDAY13                     1656-1658
 CPTDAY14                     1659-1661
 CPTDAY15                     1662-1664
 CPTDAY16                     1665-1667
 CPTDAY17                     1668-1670
 CPTDAY18                     1671-1673
 CPTDAY19                     1674-1676
 CPTDAY20                     1677-1679
 CPTDAY21                     1680-1682
 CPTDAY22                     1683-1685
 CPTDAY23                     1686-1688
 CPTDAY24                     1689-1691
 CPTDAY25                     1692-1694
 CPTDAY26                     1695-1697
 CPTDAY27                     1698-1700
 CPTDAY28                     1701-1703
 CPTDAY29                     1704-1706
 CPTDAY30                     1707-1709
 CPTDAY31                     1710-1712
 CPTDAY32                     1713-1715
 CPTDAY33                     1716-1718
 CPTDAY34                     1719-1721
 CPTDAY35                     1722-1724
 CPTDAY36                     1725-1727
 CPTDAY37                     1728-1730
 CPTDAY38                     1731-1733
 CPTDAY39                     1734-1736
 CPTDAY40                     1737-1739
 CPTDAY41                     1740-1742
 CPTDAY42                     1743-1745
 CPTDAY43                     1746-1748
 CPTDAY44                     1749-1751
 CPTDAY45                     1752-1754
 CPTDAY46                     1755-1757
 CPTDAY47                     1758-1760
 CPTDAY48                     1761-1763
 CPTDAY49                     1764-1766
 CPTDAY50                     1767-1769
 CPTDAY51                     1770-1772
 CPTDAY52                     1773-1775
 CPTDAY53                     1776-1778
 CPTDAY54                     1779-1781
 CPTDAY55                     1782-1784
 CPTDAY56                     1785-1787
 CPTDAY57                     1788-1790
 CPTDAY58                     1791-1793
 CPTDAY59                     1794-1796
 CPTDAY60                     1797-1799
 CPTDAY61                     1800-1802
 CPTDAY62                     1803-1805
 CPTDAY63                     1806-1808
 CPTDAY64                     1809-1811
 CPTDAY65                     1812-1814
 CPTDAY66                     1815-1817
 CPTDAY67                     1818-1820
 CPTDAY68                     1821-1823
 CPTDAY69                     1824-1826
 CPTDAY70                     1827-1829
 CPTDAY71                     1830-1832
 CPTDAY72                     1833-1835
 CPTDAY73                     1836-1838
 CPTDAY74                     1839-1841
 CPTDAY75                     1842-1844
 CPTDAY76                     1845-1847
 CPTDAY77                     1848-1850
 CPTDAY78                     1851-1853
 CPTDAY79                     1854-1856
 CPTDAY80                     1857-1859
 CPTDAY81                     1860-1862
 CPTDAY82                     1863-1865
 CPTDAY83                     1866-1868
 CPTDAY84                     1869-1871
 CPTDAY85                     1872-1874
 CPTDAY86                     1875-1877
 CPTDAY87                     1878-1880
 CPTDAY88                     1881-1883
 CPTDAY89                     1884-1886
 CPTDAY90                     1887-1889
 CPTDAY91                     1890-1892
 CPTDAY92                     1893-1895
 CPTDAY93                     1896-1898
 CPTDAY94                     1899-1901
 CPTDAY95                     1902-1904
 CPTDAY96                     1905-1907
 CPTDAY97                     1908-1910
 CPTDAY98                     1911-1913
 CPTDAY99                     1914-1916
 CPTDAY100                    1917-1919
 CPTDAY101                    1920-1922
 CPTDAY102                    1923-1925
 CPTDAY103                    1926-1928
 CPTDAY104                    1929-1931
 CPTDAY105                    1932-1934
 CPTDAY106                    1935-1937
 CPTDAY107                    1938-1940
 CPTDAY108                    1941-1943
 CPTDAY109                    1944-1946
 CPTDAY110                    1947-1949
 CPTDAY111                    1950-1952
 CPTDAY112                    1953-1955
 CPTDAY113                    1956-1958
 CPTDAY114                    1959-1961
 CPTDAY115                    1962-1964
 CPTDAY116                    1965-1967
 CPTDAY117                    1968-1970
 CPTDAY118                    1971-1973
 CPTDAY119                    1974-1976
 CPTDAY120                    1977-1979
 CPTDAY121                    1980-1982
 CPTDAY122                    1983-1985
 CPTDAY123                    1986-1988
 CPTDAY124                    1989-1991
 CPTDAY125                    1992-1994
 CPTDAY126                    1995-1997
 CPTDAY127                    1998-2000
 CPTDAY128                    2001-2003
 CPTDAY129                    2004-2006
 CPTDAY130                    2007-2009
 CPTDAY131                    2010-2012
 CPTDAY132                    2013-2015
 CPTDAY133                    2016-2018
 CPTDAY134                    2019-2021
 CPTDAY135                    2022-2024
 CPTDAY136                    2025-2027
 CPTDAY137                    2028-2030
 CPTDAY138                    2031-2033
 CPTDAY139                    2034-2036
 CPTDAY140                    2037-2039
 CPTDAY141                    2040-2042
 CPTDAY142                    2043-2045
 CPTDAY143                    2046-2048
 CPTDAY144                    2049-2051
 CPTDAY145                    2052-2054
 CPTDAY146                    2055-2057
 CPTDAY147                    2058-2060
 CPTDAY148                    2061-2063
 CPTDAY149                    2064-2066
 CPTDAY150                    2067-2069
 CPTDAY151                    2070-2072
 CPTDAY152                    2073-2075
 CPTDAY153                    2076-2078
 CPTDAY154                    2079-2081
 CPTDAY155                    2082-2084
 CPTDAY156                    2085-2087
 CPTDAY157                    2088-2090
 CPTDAY158                    2091-2093
 CPTDAY159                    2094-2096
 CPTDAY160                    2097-2099
 CPTDAY161                    2100-2102
 CPTDAY162                    2103-2105
 CPTDAY163                    2106-2108
 CPTDAY164                    2109-2111
 CPTDAY165                    2112-2114
 CPTDAY166                    2115-2117
 CPTDAY167                    2118-2120
 CPTDAY168                    2121-2123
 CPTDAY169                    2124-2126
 CPTDAY170                    2127-2129
 CPTDAY171                    2130-2132
 CPTDAY172                    2133-2135
 CPTDAY173                    2136-2138
 CPTDAY174                    2139-2141
 CPTDAY175                    2142-2144
 CPTDAY176                    2145-2147
 CPTDAY177                    2148-2150
 CPTDAY178                    2151-2153
 CPTDAY179                    2154-2156
 CPTDAY180                    2157-2159
 CPTDAY181                    2160-2162
 CPTDAY182                    2163-2165
 CPTDAY183                    2166-2168
 CPTDAY184                    2169-2171
 CPTDAY185                    2172-2174
 CPTDAY186                    2175-2177
 CPTDAY187                    2178-2180
 CPTDAY188                    2181-2183
 CPTDAY189                    2184-2186
 CPTDAY190                    2187-2189
 CPTDAY191                    2190-2192
 CPTDAY192                    2193-2195
 CPTDAY193                    2196-2198
 CPTDAY194                    2199-2201
 CPTDAY195                    2202-2204
 CPTDAY196                    2205-2207
 CPTDAY197                    2208-2210
 CPTDAY198                    2211-2213
 CPTDAY199                    2214-2216
 CPTDAY200                    2217-2219
 DaysToEvent                  2220-2225
 DIED                         2226-2227
 DISP_X                       2228-2229 (A)
 DISPUB04                     2230-2231
 DISPUNIFORM                  2232-2233
 DMONTH                       2234-2235
 DQTR                         2236-2237
 DXPOA1                       2238     (A)
 DXPOA2                       2239     (A)
 DXPOA3                       2240     (A)
 DXPOA4                       2241     (A)
 DXPOA5                       2242     (A)
 DXPOA6                       2243     (A)
 DXPOA7                       2244     (A)
 DXPOA8                       2245     (A)
 DXPOA9                       2246     (A)
 DXPOA10                      2247     (A)
 DXPOA11                      2248     (A)
 DXPOA12                      2249     (A)
 DXPOA13                      2250     (A)
 DXPOA14                      2251     (A)
 DXPOA15                      2252     (A)
 DXPOA16                      2253     (A)
 DXPOA17                      2254     (A)
 DXPOA18                      2255     (A)
 DXPOA19                      2256     (A)
 DXPOA20                      2257     (A)
 DXPOA21                      2258     (A)
 DXPOA22                      2259     (A)
 DXPOA23                      2260     (A)
 DXPOA24                      2261     (A)
 DXPOA25                      2262     (A)
 DXPOA26                      2263     (A)
 DXPOA27                      2264     (A)
 DXPOA28                      2265     (A)
 DXPOA29                      2266     (A)
 DXPOA30                      2267     (A)
 DXPOA31                      2268     (A)
 DXPOA32                      2269     (A)
 DXPOA33                      2270     (A)
 DXPOA34                      2271     (A)
 DXPOA35                      2272     (A)
 DXPOA36                      2273     (A)
 DXPOA37                      2274     (A)
 DXPOA38                      2275     (A)
 DXPOA39                      2276     (A)
 DXPOA40                      2277     (A)
 DXPOA41                      2278     (A)
 DXPOA42                      2279     (A)
 DXPOA43                      2280     (A)
 DXPOA44                      2281     (A)
 DXPOA45                      2282     (A)
 DXPOA46                      2283     (A)
 DXPOA47                      2284     (A)
 DXPOA48                      2285     (A)
 DXPOA49                      2286     (A)
 DXPOA50                      2287     (A)
 DXPOA51                      2288     (A)
 DXPOA52                      2289     (A)
 DXPOA53                      2290     (A)
 DXPOA54                      2291     (A)
 DXPOA55                      2292     (A)
 DXPOA56                      2293     (A)
 DXPOA57                      2294     (A)
 DXPOA58                      2295     (A)
 DXPOA59                      2296     (A)
 DXPOA60                      2297     (A)
 DXPOA61                      2298     (A)
 DXPOA62                      2299     (A)
 DXPOA63                      2300     (A)
 DXPOA64                      2301     (A)
 DXPOA65                      2302     (A)
 DXPOA66                      2303     (A)
 DXPOA67                      2304     (A)
 DXPOA68                      2305     (A)
 DXPOA69                      2306     (A)
 DXPOA70                      2307     (A)
 DXPOA71                      2308     (A)
 DXPOA72                      2309     (A)
 DXPOA73                      2310     (A)
 DXPOA74                      2311     (A)
 DXPOA75                      2312     (A)
 DXPOA76                      2313     (A)
 DXPOA77                      2314     (A)
 DXPOA78                      2315     (A)
 DXPOA79                      2316     (A)
 DXPOA80                      2317     (A)
 DXPOA81                      2318     (A)
 DXPOA82                      2319     (A)
 DXPOA83                      2320     (A)
 DXPOA84                      2321     (A)
 DXPOA85                      2322     (A)
 DXPOA86                      2323     (A)
 DXPOA87                      2324     (A)
 DXPOA88                      2325     (A)
 DXPOA89                      2326     (A)
 DXPOA90                      2327     (A)
 DXPOA91                      2328     (A)
 DXPOA92                      2329     (A)
 DXPOA93                      2330     (A)
 DXPOA94                      2331     (A)
 DXPOA95                      2332     (A)
 DXPOA96                      2333     (A)
 DXPOA97                      2334     (A)
 FEMALE                       2335-2336
 HCUP_ED                      2337-2338
 HCUP_OS                      2339-2340
 HCUP_SURGERY_BROAD_CPT       2341-2345
 HCUP_SURGERY_NARROW_CPT      2346-2350
 HISPANIC                     2351-2352
 HISPANIC_X                   2353     (A)
 Homeless                     2354-2355
 HOSPST                       2356-2357 (A)
 I10_DX1                      2358-2364 (A)
 I10_DX2                      2365-2371 (A)
 I10_DX3                      2372-2378 (A)
 I10_DX4                      2379-2385 (A)
 I10_DX5                      2386-2392 (A)
 I10_DX6                      2393-2399 (A)
 I10_DX7                      2400-2406 (A)
 I10_DX8                      2407-2413 (A)
 I10_DX9                      2414-2420 (A)
 I10_DX10                     2421-2427 (A)
 I10_DX11                     2428-2434 (A)
 I10_DX12                     2435-2441 (A)
 I10_DX13                     2442-2448 (A)
 I10_DX14                     2449-2455 (A)
 I10_DX15                     2456-2462 (A)
 I10_DX16                     2463-2469 (A)
 I10_DX17                     2470-2476 (A)
 I10_DX18                     2477-2483 (A)
 I10_DX19                     2484-2490 (A)
 I10_DX20                     2491-2497 (A)
 I10_DX21                     2498-2504 (A)
 I10_DX22                     2505-2511 (A)
 I10_DX23                     2512-2518 (A)
 I10_DX24                     2519-2525 (A)
 I10_DX25                     2526-2532 (A)
 I10_DX26                     2533-2539 (A)
 I10_DX27                     2540-2546 (A)
 I10_DX28                     2547-2553 (A)
 I10_DX29                     2554-2560 (A)
 I10_DX30                     2561-2567 (A)
 I10_DX31                     2568-2574 (A)
 I10_DX32                     2575-2581 (A)
 I10_DX33                     2582-2588 (A)
 I10_DX34                     2589-2595 (A)
 I10_DX35                     2596-2602 (A)
 I10_DX36                     2603-2609 (A)
 I10_DX37                     2610-2616 (A)
 I10_DX38                     2617-2623 (A)
 I10_DX39                     2624-2630 (A)
 I10_DX40                     2631-2637 (A)
 I10_DX41                     2638-2644 (A)
 I10_DX42                     2645-2651 (A)
 I10_DX43                     2652-2658 (A)
 I10_DX44                     2659-2665 (A)
 I10_DX45                     2666-2672 (A)
 I10_DX46                     2673-2679 (A)
 I10_DX47                     2680-2686 (A)
 I10_DX48                     2687-2693 (A)
 I10_DX49                     2694-2700 (A)
 I10_DX50                     2701-2707 (A)
 I10_DX51                     2708-2714 (A)
 I10_DX52                     2715-2721 (A)
 I10_DX53                     2722-2728 (A)
 I10_DX54                     2729-2735 (A)
 I10_DX55                     2736-2742 (A)
 I10_DX56                     2743-2749 (A)
 I10_DX57                     2750-2756 (A)
 I10_DX58                     2757-2763 (A)
 I10_DX59                     2764-2770 (A)
 I10_DX60                     2771-2777 (A)
 I10_DX61                     2778-2784 (A)
 I10_DX62                     2785-2791 (A)
 I10_DX63                     2792-2798 (A)
 I10_DX64                     2799-2805 (A)
 I10_DX65                     2806-2812 (A)
 I10_DX66                     2813-2819 (A)
 I10_DX67                     2820-2826 (A)
 I10_DX68                     2827-2833 (A)
 I10_DX69                     2834-2840 (A)
 I10_DX70                     2841-2847 (A)
 I10_DX71                     2848-2854 (A)
 I10_DX72                     2855-2861 (A)
 I10_DX73                     2862-2868 (A)
 I10_DX74                     2869-2875 (A)
 I10_DX75                     2876-2882 (A)
 I10_DX76                     2883-2889 (A)
 I10_DX77                     2890-2896 (A)
 I10_DX78                     2897-2903 (A)
 I10_DX79                     2904-2910 (A)
 I10_DX80                     2911-2917 (A)
 I10_DX81                     2918-2924 (A)
 I10_DX82                     2925-2931 (A)
 I10_DX83                     2932-2938 (A)
 I10_DX84                     2939-2945 (A)
 I10_DX85                     2946-2952 (A)
 I10_DX86                     2953-2959 (A)
 I10_DX87                     2960-2966 (A)
 I10_DX88                     2967-2973 (A)
 I10_DX89                     2974-2980 (A)
 I10_DX90                     2981-2987 (A)
 I10_DX91                     2988-2994 (A)
 I10_DX92                     2995-3001 (A)
 I10_DX93                     3002-3008 (A)
 I10_DX94                     3009-3015 (A)
 I10_DX95                     3016-3022 (A)
 I10_DX96                     3023-3029 (A)
 I10_DX97                     3030-3036 (A)
 I10_NDX                      3037-3039
 I10_NPR                      3040-3042
 I10_PR1                      3043-3049 (A)
 I10_PR2                      3050-3056 (A)
 I10_PR3                      3057-3063 (A)
 I10_PR4                      3064-3070 (A)
 I10_PR5                      3071-3077 (A)
 I10_PR6                      3078-3084 (A)
 I10_PR7                      3085-3091 (A)
 I10_PR8                      3092-3098 (A)
 I10_PR9                      3099-3105 (A)
 I10_PR10                     3106-3112 (A)
 I10_PR11                     3113-3119 (A)
 I10_PR12                     3120-3126 (A)
 I10_PR13                     3127-3133 (A)
 I10_PR14                     3134-3140 (A)
 I10_PR15                     3141-3147 (A)
 I10_PR16                     3148-3154 (A)
 I10_PR17                     3155-3161 (A)
 I10_PR18                     3162-3168 (A)
 I10_PR19                     3169-3175 (A)
 I10_PR20                     3176-3182 (A)
 I10_PR21                     3183-3189 (A)
 I10_PR22                     3190-3196 (A)
 I10_PR23                     3197-3203 (A)
 I10_PR24                     3204-3210 (A)
 I10_PR25                     3211-3217 (A)
 I10_PR26                     3218-3224 (A)
 I10_PR27                     3225-3231 (A)
 I10_PR28                     3232-3238 (A)
 I10_PR29                     3239-3245 (A)
 I10_PR30                     3246-3252 (A)
 I10_PR31                     3253-3259 (A)
 I10_PR32                     3260-3266 (A)
 I10_PR33                     3267-3273 (A)
 I10_PR34                     3274-3280 (A)
 I10_PROCTYPE                 3281-3283
 KEY                          3284-3298
 LOS                          3299-3303
 LOS_X                        3304-3309
 MARITALSTATUS_X              3310     (A)
 MARITALSTATUSUB04            3311     (A)
 MDNUM1_R                     3312-3320
 MDNUM2_R                     3321-3329
 MDNUM3_R                     3330-3338
 MDNUM4_R                     3339-3347
 MEDINCSTQ                    3348-3349
 NCPT                         3350-3353
 OPservice                    3354-3355 (A)
 OS_TIME                      3356-3366
 PAY1                         3367-3368
 PAY1_X                       3369-3373 (A)
 PAY2                         3374-3375
 PAY2_X                       3376-3379 (A)
 PAY3                         3380-3381
 PAY3_X                       3382-3385 (A)
 PL_CBSA                      3386-3388
 PL_NCHS                      3389-3390
 PL_RUCC                      3391-3392
 PL_UIC                       3393-3394
 PL_UR_CAT4                   3395-3396
 POA_Disch_Edit1              3397-3398
 POA_Disch_Edit2              3399-3400
 POA_Hosp_Edit1               3401-3402
 POA_Hosp_Edit2               3403-3404
 POA_Hosp_Edit3               3405-3406
 POA_Hosp_Edit3_Value         3407-3414
 PointOfOrigin_X              3415     (A)
 PointOfOriginUB04            3416     (A)
 PRDAY1                       3417-3421
 PRDAY2                       3422-3426
 PRDAY3                       3427-3431
 PRDAY4                       3432-3436
 PRDAY5                       3437-3441
 PRDAY6                       3442-3446
 PRDAY7                       3447-3451
 PRDAY8                       3452-3456
 PRDAY9                       3457-3461
 PRDAY10                      3462-3466
 PRDAY11                      3467-3471
 PRDAY12                      3472-3476
 PRDAY13                      3477-3481
 PRDAY14                      3482-3486
 PRDAY15                      3487-3491
 PRDAY16                      3492-3496
 PRDAY17                      3497-3501
 PRDAY18                      3502-3506
 PRDAY19                      3507-3511
 PRDAY20                      3512-3516
 PRDAY21                      3517-3521
 PRDAY22                      3522-3526
 PRDAY23                      3527-3531
 PRDAY24                      3532-3536
 PRDAY25                      3537-3541
 PRDAY26                      3542-3546
 PRDAY27                      3547-3551
 PRDAY28                      3552-3556
 PRDAY29                      3557-3561
 PRDAY30                      3562-3566
 PRDAY31                      3567-3571
 PRDAY32                      3572-3576
 PRDAY33                      3577-3581
 PRDAY34                      3582-3586
 PSTATE                       3587-3588 (A)
 PSTATE_GEO                   3589-3590 (A)
 PSTCO                        3591-3595
 PSTCO_GEO                    3596-3600
 RACE                         3601-3602
 RACE_PCT_MISS_HOSP           3603-3609
 RACE_X                       3610     (A)
 SASD_SEDD                    3611-3612
 STATE_AS                     3613-3614
 STATE_ED                     3615-3616
 STATE_OS                     3617-3618
 TOTCHG                       3619-3628
 TOTCHG_X                     3629-3643
 VisitLink                    3644-3652
 YEAR                         3653-3656
 ZIP                          3657-3661 (A)
 ZIP3                         3662-3664 (A)
 ZIPINC_QRTL                  3665-3667
 HOSPID                       3668-3672
 AYEAR                        3673-3676
 BMONTH                       3677-3678
 BYEAR                        3679-3682
 PRMONTH1                     3683-3684
 PRMONTH2                     3685-3686
 PRMONTH3                     3687-3688
 PRMONTH4                     3689-3690
 PRMONTH5                     3691-3692
 PRMONTH6                     3693-3694
 PRMONTH7                     3695-3696
 PRMONTH8                     3697-3698
 PRMONTH9                     3699-3700
 PRMONTH10                    3701-3702
 PRMONTH11                    3703-3704
 PRMONTH12                    3705-3706
 PRMONTH13                    3707-3708
 PRMONTH14                    3709-3710
 PRMONTH15                    3711-3712
 PRMONTH16                    3713-3714
 PRMONTH17                    3715-3716
 PRMONTH18                    3717-3718
 PRMONTH19                    3719-3720
 PRMONTH20                    3721-3722
 PRMONTH21                    3723-3724
 PRMONTH22                    3725-3726
 PRMONTH23                    3727-3728
 PRMONTH24                    3729-3730
 PRMONTH25                    3731-3732
 PRMONTH26                    3733-3734
 PRMONTH27                    3735-3736
 PRMONTH28                    3737-3738
 PRMONTH29                    3739-3740
 PRMONTH30                    3741-3742
 PRMONTH31                    3743-3744
 PRMONTH32                    3745-3746
 PRMONTH33                    3747-3748
 PRMONTH34                    3749-3750
 PRYEAR1                      3751-3754
 PRYEAR2                      3755-3758
 PRYEAR3                      3759-3762
 PRYEAR4                      3763-3766
 PRYEAR5                      3767-3770
 PRYEAR6                      3771-3774
 PRYEAR7                      3775-3778
 PRYEAR8                      3779-3782
 PRYEAR9                      3783-3786
 PRYEAR10                     3787-3790
 PRYEAR11                     3791-3794
 PRYEAR12                     3795-3798
 PRYEAR13                     3799-3802
 PRYEAR14                     3803-3806
 PRYEAR15                     3807-3810
 PRYEAR16                     3811-3814
 PRYEAR17                     3815-3818
 PRYEAR18                     3819-3822
 PRYEAR19                     3823-3826
 PRYEAR20                     3827-3830
 PRYEAR21                     3831-3834
 PRYEAR22                     3835-3838
 PRYEAR23                     3839-3842
 PRYEAR24                     3843-3846
 PRYEAR25                     3847-3850
 PRYEAR26                     3851-3854
 PRYEAR27                     3855-3858
 PRYEAR28                     3859-3862
 PRYEAR29                     3863-3866
 PRYEAR30                     3867-3870
 PRYEAR31                     3871-3874
 PRYEAR32                     3875-3878
 PRYEAR33                     3879-3882
 PRYEAR34                     3883-3886.


/***  Specify write formats  ***/
FORMATS
 AGE                          (F3.0) /
 AGEDAY                       (F3.0) /
 AGEMONTH                     (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 CPTCCS101                    (F4.0) /
 CPTCCS102                    (F4.0) /
 CPTCCS103                    (F4.0) /
 CPTCCS104                    (F4.0) /
 CPTCCS105                    (F4.0) /
 CPTCCS106                    (F4.0) /
 CPTCCS107                    (F4.0) /
 CPTCCS108                    (F4.0) /
 CPTCCS109                    (F4.0) /
 CPTCCS110                    (F4.0) /
 CPTCCS111                    (F4.0) /
 CPTCCS112                    (F4.0) /
 CPTCCS113                    (F4.0) /
 CPTCCS114                    (F4.0) /
 CPTCCS115                    (F4.0) /
 CPTCCS116                    (F4.0) /
 CPTCCS117                    (F4.0) /
 CPTCCS118                    (F4.0) /
 CPTCCS119                    (F4.0) /
 CPTCCS120                    (F4.0) /
 CPTCCS121                    (F4.0) /
 CPTCCS122                    (F4.0) /
 CPTCCS123                    (F4.0) /
 CPTCCS124                    (F4.0) /
 CPTCCS125                    (F4.0) /
 CPTCCS126                    (F4.0) /
 CPTCCS127                    (F4.0) /
 CPTCCS128                    (F4.0) /
 CPTCCS129                    (F4.0) /
 CPTCCS130                    (F4.0) /
 CPTCCS131                    (F4.0) /
 CPTCCS132                    (F4.0) /
 CPTCCS133                    (F4.0) /
 CPTCCS134                    (F4.0) /
 CPTCCS135                    (F4.0) /
 CPTCCS136                    (F4.0) /
 CPTCCS137                    (F4.0) /
 CPTCCS138                    (F4.0) /
 CPTCCS139                    (F4.0) /
 CPTCCS140                    (F4.0) /
 CPTCCS141                    (F4.0) /
 CPTCCS142                    (F4.0) /
 CPTCCS143                    (F4.0) /
 CPTCCS144                    (F4.0) /
 CPTCCS145                    (F4.0) /
 CPTCCS146                    (F4.0) /
 CPTCCS147                    (F4.0) /
 CPTCCS148                    (F4.0) /
 CPTCCS149                    (F4.0) /
 CPTCCS150                    (F4.0) /
 CPTCCS151                    (F4.0) /
 CPTCCS152                    (F4.0) /
 CPTCCS153                    (F4.0) /
 CPTCCS154                    (F4.0) /
 CPTCCS155                    (F4.0) /
 CPTCCS156                    (F4.0) /
 CPTCCS157                    (F4.0) /
 CPTCCS158                    (F4.0) /
 CPTCCS159                    (F4.0) /
 CPTCCS160                    (F4.0) /
 CPTCCS161                    (F4.0) /
 CPTCCS162                    (F4.0) /
 CPTCCS163                    (F4.0) /
 CPTCCS164                    (F4.0) /
 CPTCCS165                    (F4.0) /
 CPTCCS166                    (F4.0) /
 CPTCCS167                    (F4.0) /
 CPTCCS168                    (F4.0) /
 CPTCCS169                    (F4.0) /
 CPTCCS170                    (F4.0) /
 CPTCCS171                    (F4.0) /
 CPTCCS172                    (F4.0) /
 CPTCCS173                    (F4.0) /
 CPTCCS174                    (F4.0) /
 CPTCCS175                    (F4.0) /
 CPTCCS176                    (F4.0) /
 CPTCCS177                    (F4.0) /
 CPTCCS178                    (F4.0) /
 CPTCCS179                    (F4.0) /
 CPTCCS180                    (F4.0) /
 CPTCCS181                    (F4.0) /
 CPTCCS182                    (F4.0) /
 CPTCCS183                    (F4.0) /
 CPTCCS184                    (F4.0) /
 CPTCCS185                    (F4.0) /
 CPTCCS186                    (F4.0) /
 CPTCCS187                    (F4.0) /
 CPTCCS188                    (F4.0) /
 CPTCCS189                    (F4.0) /
 CPTCCS190                    (F4.0) /
 CPTCCS191                    (F4.0) /
 CPTCCS192                    (F4.0) /
 CPTCCS193                    (F4.0) /
 CPTCCS194                    (F4.0) /
 CPTCCS195                    (F4.0) /
 CPTCCS196                    (F4.0) /
 CPTCCS197                    (F4.0) /
 CPTCCS198                    (F4.0) /
 CPTCCS199                    (F4.0) /
 CPTCCS200                    (F4.0) /
 CPTDAY1                      (F4.0) /
 CPTDAY2                      (F4.0) /
 CPTDAY3                      (F4.0) /
 CPTDAY4                      (F4.0) /
 CPTDAY5                      (F4.0) /
 CPTDAY6                      (F4.0) /
 CPTDAY7                      (F4.0) /
 CPTDAY8                      (F4.0) /
 CPTDAY9                      (F4.0) /
 CPTDAY10                     (F4.0) /
 CPTDAY11                     (F4.0) /
 CPTDAY12                     (F4.0) /
 CPTDAY13                     (F4.0) /
 CPTDAY14                     (F4.0) /
 CPTDAY15                     (F4.0) /
 CPTDAY16                     (F4.0) /
 CPTDAY17                     (F4.0) /
 CPTDAY18                     (F4.0) /
 CPTDAY19                     (F4.0) /
 CPTDAY20                     (F4.0) /
 CPTDAY21                     (F4.0) /
 CPTDAY22                     (F4.0) /
 CPTDAY23                     (F4.0) /
 CPTDAY24                     (F4.0) /
 CPTDAY25                     (F4.0) /
 CPTDAY26                     (F4.0) /
 CPTDAY27                     (F4.0) /
 CPTDAY28                     (F4.0) /
 CPTDAY29                     (F4.0) /
 CPTDAY30                     (F4.0) /
 CPTDAY31                     (F4.0) /
 CPTDAY32                     (F4.0) /
 CPTDAY33                     (F4.0) /
 CPTDAY34                     (F4.0) /
 CPTDAY35                     (F4.0) /
 CPTDAY36                     (F4.0) /
 CPTDAY37                     (F4.0) /
 CPTDAY38                     (F4.0) /
 CPTDAY39                     (F4.0) /
 CPTDAY40                     (F4.0) /
 CPTDAY41                     (F4.0) /
 CPTDAY42                     (F4.0) /
 CPTDAY43                     (F4.0) /
 CPTDAY44                     (F4.0) /
 CPTDAY45                     (F4.0) /
 CPTDAY46                     (F4.0) /
 CPTDAY47                     (F4.0) /
 CPTDAY48                     (F4.0) /
 CPTDAY49                     (F4.0) /
 CPTDAY50                     (F4.0) /
 CPTDAY51                     (F4.0) /
 CPTDAY52                     (F4.0) /
 CPTDAY53                     (F4.0) /
 CPTDAY54                     (F4.0) /
 CPTDAY55                     (F4.0) /
 CPTDAY56                     (F4.0) /
 CPTDAY57                     (F4.0) /
 CPTDAY58                     (F4.0) /
 CPTDAY59                     (F4.0) /
 CPTDAY60                     (F4.0) /
 CPTDAY61                     (F4.0) /
 CPTDAY62                     (F4.0) /
 CPTDAY63                     (F4.0) /
 CPTDAY64                     (F4.0) /
 CPTDAY65                     (F4.0) /
 CPTDAY66                     (F4.0) /
 CPTDAY67                     (F4.0) /
 CPTDAY68                     (F4.0) /
 CPTDAY69                     (F4.0) /
 CPTDAY70                     (F4.0) /
 CPTDAY71                     (F4.0) /
 CPTDAY72                     (F4.0) /
 CPTDAY73                     (F4.0) /
 CPTDAY74                     (F4.0) /
 CPTDAY75                     (F4.0) /
 CPTDAY76                     (F4.0) /
 CPTDAY77                     (F4.0) /
 CPTDAY78                     (F4.0) /
 CPTDAY79                     (F4.0) /
 CPTDAY80                     (F4.0) /
 CPTDAY81                     (F4.0) /
 CPTDAY82                     (F4.0) /
 CPTDAY83                     (F4.0) /
 CPTDAY84                     (F4.0) /
 CPTDAY85                     (F4.0) /
 CPTDAY86                     (F4.0) /
 CPTDAY87                     (F4.0) /
 CPTDAY88                     (F4.0) /
 CPTDAY89                     (F4.0) /
 CPTDAY90                     (F4.0) /
 CPTDAY91                     (F4.0) /
 CPTDAY92                     (F4.0) /
 CPTDAY93                     (F4.0) /
 CPTDAY94                     (F4.0) /
 CPTDAY95                     (F4.0) /
 CPTDAY96                     (F4.0) /
 CPTDAY97                     (F4.0) /
 CPTDAY98                     (F4.0) /
 CPTDAY99                     (F4.0) /
 CPTDAY100                    (F4.0) /
 CPTDAY101                    (F4.0) /
 CPTDAY102                    (F4.0) /
 CPTDAY103                    (F4.0) /
 CPTDAY104                    (F4.0) /
 CPTDAY105                    (F4.0) /
 CPTDAY106                    (F4.0) /
 CPTDAY107                    (F4.0) /
 CPTDAY108                    (F4.0) /
 CPTDAY109                    (F4.0) /
 CPTDAY110                    (F4.0) /
 CPTDAY111                    (F4.0) /
 CPTDAY112                    (F4.0) /
 CPTDAY113                    (F4.0) /
 CPTDAY114                    (F4.0) /
 CPTDAY115                    (F4.0) /
 CPTDAY116                    (F4.0) /
 CPTDAY117                    (F4.0) /
 CPTDAY118                    (F4.0) /
 CPTDAY119                    (F4.0) /
 CPTDAY120                    (F4.0) /
 CPTDAY121                    (F4.0) /
 CPTDAY122                    (F4.0) /
 CPTDAY123                    (F4.0) /
 CPTDAY124                    (F4.0) /
 CPTDAY125                    (F4.0) /
 CPTDAY126                    (F4.0) /
 CPTDAY127                    (F4.0) /
 CPTDAY128                    (F4.0) /
 CPTDAY129                    (F4.0) /
 CPTDAY130                    (F4.0) /
 CPTDAY131                    (F4.0) /
 CPTDAY132                    (F4.0) /
 CPTDAY133                    (F4.0) /
 CPTDAY134                    (F4.0) /
 CPTDAY135                    (F4.0) /
 CPTDAY136                    (F4.0) /
 CPTDAY137                    (F4.0) /
 CPTDAY138                    (F4.0) /
 CPTDAY139                    (F4.0) /
 CPTDAY140                    (F4.0) /
 CPTDAY141                    (F4.0) /
 CPTDAY142                    (F4.0) /
 CPTDAY143                    (F4.0) /
 CPTDAY144                    (F4.0) /
 CPTDAY145                    (F4.0) /
 CPTDAY146                    (F4.0) /
 CPTDAY147                    (F4.0) /
 CPTDAY148                    (F4.0) /
 CPTDAY149                    (F4.0) /
 CPTDAY150                    (F4.0) /
 CPTDAY151                    (F4.0) /
 CPTDAY152                    (F4.0) /
 CPTDAY153                    (F4.0) /
 CPTDAY154                    (F4.0) /
 CPTDAY155                    (F4.0) /
 CPTDAY156                    (F4.0) /
 CPTDAY157                    (F4.0) /
 CPTDAY158                    (F4.0) /
 CPTDAY159                    (F4.0) /
 CPTDAY160                    (F4.0) /
 CPTDAY161                    (F4.0) /
 CPTDAY162                    (F4.0) /
 CPTDAY163                    (F4.0) /
 CPTDAY164                    (F4.0) /
 CPTDAY165                    (F4.0) /
 CPTDAY166                    (F4.0) /
 CPTDAY167                    (F4.0) /
 CPTDAY168                    (F4.0) /
 CPTDAY169                    (F4.0) /
 CPTDAY170                    (F4.0) /
 CPTDAY171                    (F4.0) /
 CPTDAY172                    (F4.0) /
 CPTDAY173                    (F4.0) /
 CPTDAY174                    (F4.0) /
 CPTDAY175                    (F4.0) /
 CPTDAY176                    (F4.0) /
 CPTDAY177                    (F4.0) /
 CPTDAY178                    (F4.0) /
 CPTDAY179                    (F4.0) /
 CPTDAY180                    (F4.0) /
 CPTDAY181                    (F4.0) /
 CPTDAY182                    (F4.0) /
 CPTDAY183                    (F4.0) /
 CPTDAY184                    (F4.0) /
 CPTDAY185                    (F4.0) /
 CPTDAY186                    (F4.0) /
 CPTDAY187                    (F4.0) /
 CPTDAY188                    (F4.0) /
 CPTDAY189                    (F4.0) /
 CPTDAY190                    (F4.0) /
 CPTDAY191                    (F4.0) /
 CPTDAY192                    (F4.0) /
 CPTDAY193                    (F4.0) /
 CPTDAY194                    (F4.0) /
 CPTDAY195                    (F4.0) /
 CPTDAY196                    (F4.0) /
 CPTDAY197                    (F4.0) /
 CPTDAY198                    (F4.0) /
 CPTDAY199                    (F4.0) /
 CPTDAY200                    (F4.0) /
 DaysToEvent                  (F8.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HCUP_SURGERY_BROAD_CPT       (F3.0) /
 HCUP_SURGERY_NARROW_CPT      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDNUM1_R                     (F5.0) /
 MDNUM2_R                     (F5.0) /
 MDNUM3_R                     (F5.0) /
 MDNUM4_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PAY3                         (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PRDAY17                      (F4.0) /
 PRDAY18                      (F4.0) /
 PRDAY19                      (F4.0) /
 PRDAY20                      (F4.0) /
 PRDAY21                      (F4.0) /
 PRDAY22                      (F4.0) /
 PRDAY23                      (F4.0) /
 PRDAY24                      (F4.0) /
 PRDAY25                      (F4.0) /
 PRDAY26                      (F4.0) /
 PRDAY27                      (F4.0) /
 PRDAY28                      (F4.0) /
 PRDAY29                      (F4.0) /
 PRDAY30                      (F4.0) /
 PRDAY31                      (F4.0) /
 PRDAY32                      (F4.0) /
 PRDAY33                      (F4.0) /
 PRDAY34                      (F4.0) /
 PSTCO                        (F4.0) /
 PSTCO_GEO                    (F4.0) /
 RACE                         (F3.0) /
 RACE_PCT_MISS_HOSP           (F4.2) /
 SASD_SEDD                    (F3.0) /
 STATE_AS                     (F3.0) /
 STATE_ED                     (F3.0) /
 STATE_OS                     (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 HOSPID                       (F4.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRMONTH17                    (F3.0) /
 PRMONTH18                    (F3.0) /
 PRMONTH19                    (F3.0) /
 PRMONTH20                    (F3.0) /
 PRMONTH21                    (F3.0) /
 PRMONTH22                    (F3.0) /
 PRMONTH23                    (F3.0) /
 PRMONTH24                    (F3.0) /
 PRMONTH25                    (F3.0) /
 PRMONTH26                    (F3.0) /
 PRMONTH27                    (F3.0) /
 PRMONTH28                    (F3.0) /
 PRMONTH29                    (F3.0) /
 PRMONTH30                    (F3.0) /
 PRMONTH31                    (F3.0) /
 PRMONTH32                    (F3.0) /
 PRMONTH33                    (F3.0) /
 PRMONTH34                    (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) /
 PRYEAR17                     (F3.0) /
 PRYEAR18                     (F3.0) /
 PRYEAR19                     (F3.0) /
 PRYEAR20                     (F3.0) /
 PRYEAR21                     (F3.0) /
 PRYEAR22                     (F3.0) /
 PRYEAR23                     (F3.0) /
 PRYEAR24                     (F3.0) /
 PRYEAR25                     (F3.0) /
 PRYEAR26                     (F3.0) /
 PRYEAR27                     (F3.0) /
 PRYEAR28                     (F3.0) /
 PRYEAR29                     (F3.0) /
 PRYEAR30                     (F3.0) /
 PRYEAR31                     (F3.0) /
 PRYEAR32                     (F3.0) /
 PRYEAR33                     (F3.0) /
 PRYEAR34                     (F3.0) .


/***  Assign labels to the variables ***/
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AGEDAY                       "Age in days (when age < 1 year)"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BILLTYPE                     "Type of bill, UB-04 coding"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPT101                       "CPT/HCPCS procedure code 101"
 CPT102                       "CPT/HCPCS procedure code 102"
 CPT103                       "CPT/HCPCS procedure code 103"
 CPT104                       "CPT/HCPCS procedure code 104"
 CPT105                       "CPT/HCPCS procedure code 105"
 CPT106                       "CPT/HCPCS procedure code 106"
 CPT107                       "CPT/HCPCS procedure code 107"
 CPT108                       "CPT/HCPCS procedure code 108"
 CPT109                       "CPT/HCPCS procedure code 109"
 CPT110                       "CPT/HCPCS procedure code 110"
 CPT111                       "CPT/HCPCS procedure code 111"
 CPT112                       "CPT/HCPCS procedure code 112"
 CPT113                       "CPT/HCPCS procedure code 113"
 CPT114                       "CPT/HCPCS procedure code 114"
 CPT115                       "CPT/HCPCS procedure code 115"
 CPT116                       "CPT/HCPCS procedure code 116"
 CPT117                       "CPT/HCPCS procedure code 117"
 CPT118                       "CPT/HCPCS procedure code 118"
 CPT119                       "CPT/HCPCS procedure code 119"
 CPT120                       "CPT/HCPCS procedure code 120"
 CPT121                       "CPT/HCPCS procedure code 121"
 CPT122                       "CPT/HCPCS procedure code 122"
 CPT123                       "CPT/HCPCS procedure code 123"
 CPT124                       "CPT/HCPCS procedure code 124"
 CPT125                       "CPT/HCPCS procedure code 125"
 CPT126                       "CPT/HCPCS procedure code 126"
 CPT127                       "CPT/HCPCS procedure code 127"
 CPT128                       "CPT/HCPCS procedure code 128"
 CPT129                       "CPT/HCPCS procedure code 129"
 CPT130                       "CPT/HCPCS procedure code 130"
 CPT131                       "CPT/HCPCS procedure code 131"
 CPT132                       "CPT/HCPCS procedure code 132"
 CPT133                       "CPT/HCPCS procedure code 133"
 CPT134                       "CPT/HCPCS procedure code 134"
 CPT135                       "CPT/HCPCS procedure code 135"
 CPT136                       "CPT/HCPCS procedure code 136"
 CPT137                       "CPT/HCPCS procedure code 137"
 CPT138                       "CPT/HCPCS procedure code 138"
 CPT139                       "CPT/HCPCS procedure code 139"
 CPT140                       "CPT/HCPCS procedure code 140"
 CPT141                       "CPT/HCPCS procedure code 141"
 CPT142                       "CPT/HCPCS procedure code 142"
 CPT143                       "CPT/HCPCS procedure code 143"
 CPT144                       "CPT/HCPCS procedure code 144"
 CPT145                       "CPT/HCPCS procedure code 145"
 CPT146                       "CPT/HCPCS procedure code 146"
 CPT147                       "CPT/HCPCS procedure code 147"
 CPT148                       "CPT/HCPCS procedure code 148"
 CPT149                       "CPT/HCPCS procedure code 149"
 CPT150                       "CPT/HCPCS procedure code 150"
 CPT151                       "CPT/HCPCS procedure code 151"
 CPT152                       "CPT/HCPCS procedure code 152"
 CPT153                       "CPT/HCPCS procedure code 153"
 CPT154                       "CPT/HCPCS procedure code 154"
 CPT155                       "CPT/HCPCS procedure code 155"
 CPT156                       "CPT/HCPCS procedure code 156"
 CPT157                       "CPT/HCPCS procedure code 157"
 CPT158                       "CPT/HCPCS procedure code 158"
 CPT159                       "CPT/HCPCS procedure code 159"
 CPT160                       "CPT/HCPCS procedure code 160"
 CPT161                       "CPT/HCPCS procedure code 161"
 CPT162                       "CPT/HCPCS procedure code 162"
 CPT163                       "CPT/HCPCS procedure code 163"
 CPT164                       "CPT/HCPCS procedure code 164"
 CPT165                       "CPT/HCPCS procedure code 165"
 CPT166                       "CPT/HCPCS procedure code 166"
 CPT167                       "CPT/HCPCS procedure code 167"
 CPT168                       "CPT/HCPCS procedure code 168"
 CPT169                       "CPT/HCPCS procedure code 169"
 CPT170                       "CPT/HCPCS procedure code 170"
 CPT171                       "CPT/HCPCS procedure code 171"
 CPT172                       "CPT/HCPCS procedure code 172"
 CPT173                       "CPT/HCPCS procedure code 173"
 CPT174                       "CPT/HCPCS procedure code 174"
 CPT175                       "CPT/HCPCS procedure code 175"
 CPT176                       "CPT/HCPCS procedure code 176"
 CPT177                       "CPT/HCPCS procedure code 177"
 CPT178                       "CPT/HCPCS procedure code 178"
 CPT179                       "CPT/HCPCS procedure code 179"
 CPT180                       "CPT/HCPCS procedure code 180"
 CPT181                       "CPT/HCPCS procedure code 181"
 CPT182                       "CPT/HCPCS procedure code 182"
 CPT183                       "CPT/HCPCS procedure code 183"
 CPT184                       "CPT/HCPCS procedure code 184"
 CPT185                       "CPT/HCPCS procedure code 185"
 CPT186                       "CPT/HCPCS procedure code 186"
 CPT187                       "CPT/HCPCS procedure code 187"
 CPT188                       "CPT/HCPCS procedure code 188"
 CPT189                       "CPT/HCPCS procedure code 189"
 CPT190                       "CPT/HCPCS procedure code 190"
 CPT191                       "CPT/HCPCS procedure code 191"
 CPT192                       "CPT/HCPCS procedure code 192"
 CPT193                       "CPT/HCPCS procedure code 193"
 CPT194                       "CPT/HCPCS procedure code 194"
 CPT195                       "CPT/HCPCS procedure code 195"
 CPT196                       "CPT/HCPCS procedure code 196"
 CPT197                       "CPT/HCPCS procedure code 197"
 CPT198                       "CPT/HCPCS procedure code 198"
 CPT199                       "CPT/HCPCS procedure code 199"
 CPT200                       "CPT/HCPCS procedure code 200"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTCCS101                    "CCS: CPT 101"
 CPTCCS102                    "CCS: CPT 102"
 CPTCCS103                    "CCS: CPT 103"
 CPTCCS104                    "CCS: CPT 104"
 CPTCCS105                    "CCS: CPT 105"
 CPTCCS106                    "CCS: CPT 106"
 CPTCCS107                    "CCS: CPT 107"
 CPTCCS108                    "CCS: CPT 108"
 CPTCCS109                    "CCS: CPT 109"
 CPTCCS110                    "CCS: CPT 110"
 CPTCCS111                    "CCS: CPT 111"
 CPTCCS112                    "CCS: CPT 112"
 CPTCCS113                    "CCS: CPT 113"
 CPTCCS114                    "CCS: CPT 114"
 CPTCCS115                    "CCS: CPT 115"
 CPTCCS116                    "CCS: CPT 116"
 CPTCCS117                    "CCS: CPT 117"
 CPTCCS118                    "CCS: CPT 118"
 CPTCCS119                    "CCS: CPT 119"
 CPTCCS120                    "CCS: CPT 120"
 CPTCCS121                    "CCS: CPT 121"
 CPTCCS122                    "CCS: CPT 122"
 CPTCCS123                    "CCS: CPT 123"
 CPTCCS124                    "CCS: CPT 124"
 CPTCCS125                    "CCS: CPT 125"
 CPTCCS126                    "CCS: CPT 126"
 CPTCCS127                    "CCS: CPT 127"
 CPTCCS128                    "CCS: CPT 128"
 CPTCCS129                    "CCS: CPT 129"
 CPTCCS130                    "CCS: CPT 130"
 CPTCCS131                    "CCS: CPT 131"
 CPTCCS132                    "CCS: CPT 132"
 CPTCCS133                    "CCS: CPT 133"
 CPTCCS134                    "CCS: CPT 134"
 CPTCCS135                    "CCS: CPT 135"
 CPTCCS136                    "CCS: CPT 136"
 CPTCCS137                    "CCS: CPT 137"
 CPTCCS138                    "CCS: CPT 138"
 CPTCCS139                    "CCS: CPT 139"
 CPTCCS140                    "CCS: CPT 140"
 CPTCCS141                    "CCS: CPT 141"
 CPTCCS142                    "CCS: CPT 142"
 CPTCCS143                    "CCS: CPT 143"
 CPTCCS144                    "CCS: CPT 144"
 CPTCCS145                    "CCS: CPT 145"
 CPTCCS146                    "CCS: CPT 146"
 CPTCCS147                    "CCS: CPT 147"
 CPTCCS148                    "CCS: CPT 148"
 CPTCCS149                    "CCS: CPT 149"
 CPTCCS150                    "CCS: CPT 150"
 CPTCCS151                    "CCS: CPT 151"
 CPTCCS152                    "CCS: CPT 152"
 CPTCCS153                    "CCS: CPT 153"
 CPTCCS154                    "CCS: CPT 154"
 CPTCCS155                    "CCS: CPT 155"
 CPTCCS156                    "CCS: CPT 156"
 CPTCCS157                    "CCS: CPT 157"
 CPTCCS158                    "CCS: CPT 158"
 CPTCCS159                    "CCS: CPT 159"
 CPTCCS160                    "CCS: CPT 160"
 CPTCCS161                    "CCS: CPT 161"
 CPTCCS162                    "CCS: CPT 162"
 CPTCCS163                    "CCS: CPT 163"
 CPTCCS164                    "CCS: CPT 164"
 CPTCCS165                    "CCS: CPT 165"
 CPTCCS166                    "CCS: CPT 166"
 CPTCCS167                    "CCS: CPT 167"
 CPTCCS168                    "CCS: CPT 168"
 CPTCCS169                    "CCS: CPT 169"
 CPTCCS170                    "CCS: CPT 170"
 CPTCCS171                    "CCS: CPT 171"
 CPTCCS172                    "CCS: CPT 172"
 CPTCCS173                    "CCS: CPT 173"
 CPTCCS174                    "CCS: CPT 174"
 CPTCCS175                    "CCS: CPT 175"
 CPTCCS176                    "CCS: CPT 176"
 CPTCCS177                    "CCS: CPT 177"
 CPTCCS178                    "CCS: CPT 178"
 CPTCCS179                    "CCS: CPT 179"
 CPTCCS180                    "CCS: CPT 180"
 CPTCCS181                    "CCS: CPT 181"
 CPTCCS182                    "CCS: CPT 182"
 CPTCCS183                    "CCS: CPT 183"
 CPTCCS184                    "CCS: CPT 184"
 CPTCCS185                    "CCS: CPT 185"
 CPTCCS186                    "CCS: CPT 186"
 CPTCCS187                    "CCS: CPT 187"
 CPTCCS188                    "CCS: CPT 188"
 CPTCCS189                    "CCS: CPT 189"
 CPTCCS190                    "CCS: CPT 190"
 CPTCCS191                    "CCS: CPT 191"
 CPTCCS192                    "CCS: CPT 192"
 CPTCCS193                    "CCS: CPT 193"
 CPTCCS194                    "CCS: CPT 194"
 CPTCCS195                    "CCS: CPT 195"
 CPTCCS196                    "CCS: CPT 196"
 CPTCCS197                    "CCS: CPT 197"
 CPTCCS198                    "CCS: CPT 198"
 CPTCCS199                    "CCS: CPT 199"
 CPTCCS200                    "CCS: CPT 200"
 CPTDAY1                      "Number of days from admission to CPT1"
 CPTDAY2                      "Number of days from admission to CPT2"
 CPTDAY3                      "Number of days from admission to CPT3"
 CPTDAY4                      "Number of days from admission to CPT4"
 CPTDAY5                      "Number of days from admission to CPT5"
 CPTDAY6                      "Number of days from admission to CPT6"
 CPTDAY7                      "Number of days from admission to CPT7"
 CPTDAY8                      "Number of days from admission to CPT8"
 CPTDAY9                      "Number of days from admission to CPT9"
 CPTDAY10                     "Number of days from admission to CPT10"
 CPTDAY11                     "Number of days from admission to CPT11"
 CPTDAY12                     "Number of days from admission to CPT12"
 CPTDAY13                     "Number of days from admission to CPT13"
 CPTDAY14                     "Number of days from admission to CPT14"
 CPTDAY15                     "Number of days from admission to CPT15"
 CPTDAY16                     "Number of days from admission to CPT16"
 CPTDAY17                     "Number of days from admission to CPT17"
 CPTDAY18                     "Number of days from admission to CPT18"
 CPTDAY19                     "Number of days from admission to CPT19"
 CPTDAY20                     "Number of days from admission to CPT20"
 CPTDAY21                     "Number of days from admission to CPT21"
 CPTDAY22                     "Number of days from admission to CPT22"
 CPTDAY23                     "Number of days from admission to CPT23"
 CPTDAY24                     "Number of days from admission to CPT24"
 CPTDAY25                     "Number of days from admission to CPT25"
 CPTDAY26                     "Number of days from admission to CPT26"
 CPTDAY27                     "Number of days from admission to CPT27"
 CPTDAY28                     "Number of days from admission to CPT28"
 CPTDAY29                     "Number of days from admission to CPT29"
 CPTDAY30                     "Number of days from admission to CPT30"
 CPTDAY31                     "Number of days from admission to CPT31"
 CPTDAY32                     "Number of days from admission to CPT32"
 CPTDAY33                     "Number of days from admission to CPT33"
 CPTDAY34                     "Number of days from admission to CPT34"
 CPTDAY35                     "Number of days from admission to CPT35"
 CPTDAY36                     "Number of days from admission to CPT36"
 CPTDAY37                     "Number of days from admission to CPT37"
 CPTDAY38                     "Number of days from admission to CPT38"
 CPTDAY39                     "Number of days from admission to CPT39"
 CPTDAY40                     "Number of days from admission to CPT40"
 CPTDAY41                     "Number of days from admission to CPT41"
 CPTDAY42                     "Number of days from admission to CPT42"
 CPTDAY43                     "Number of days from admission to CPT43"
 CPTDAY44                     "Number of days from admission to CPT44"
 CPTDAY45                     "Number of days from admission to CPT45"
 CPTDAY46                     "Number of days from admission to CPT46"
 CPTDAY47                     "Number of days from admission to CPT47"
 CPTDAY48                     "Number of days from admission to CPT48"
 CPTDAY49                     "Number of days from admission to CPT49"
 CPTDAY50                     "Number of days from admission to CPT50"
 CPTDAY51                     "Number of days from admission to CPT51"
 CPTDAY52                     "Number of days from admission to CPT52"
 CPTDAY53                     "Number of days from admission to CPT53"
 CPTDAY54                     "Number of days from admission to CPT54"
 CPTDAY55                     "Number of days from admission to CPT55"
 CPTDAY56                     "Number of days from admission to CPT56"
 CPTDAY57                     "Number of days from admission to CPT57"
 CPTDAY58                     "Number of days from admission to CPT58"
 CPTDAY59                     "Number of days from admission to CPT59"
 CPTDAY60                     "Number of days from admission to CPT60"
 CPTDAY61                     "Number of days from admission to CPT61"
 CPTDAY62                     "Number of days from admission to CPT62"
 CPTDAY63                     "Number of days from admission to CPT63"
 CPTDAY64                     "Number of days from admission to CPT64"
 CPTDAY65                     "Number of days from admission to CPT65"
 CPTDAY66                     "Number of days from admission to CPT66"
 CPTDAY67                     "Number of days from admission to CPT67"
 CPTDAY68                     "Number of days from admission to CPT68"
 CPTDAY69                     "Number of days from admission to CPT69"
 CPTDAY70                     "Number of days from admission to CPT70"
 CPTDAY71                     "Number of days from admission to CPT71"
 CPTDAY72                     "Number of days from admission to CPT72"
 CPTDAY73                     "Number of days from admission to CPT73"
 CPTDAY74                     "Number of days from admission to CPT74"
 CPTDAY75                     "Number of days from admission to CPT75"
 CPTDAY76                     "Number of days from admission to CPT76"
 CPTDAY77                     "Number of days from admission to CPT77"
 CPTDAY78                     "Number of days from admission to CPT78"
 CPTDAY79                     "Number of days from admission to CPT79"
 CPTDAY80                     "Number of days from admission to CPT80"
 CPTDAY81                     "Number of days from admission to CPT81"
 CPTDAY82                     "Number of days from admission to CPT82"
 CPTDAY83                     "Number of days from admission to CPT83"
 CPTDAY84                     "Number of days from admission to CPT84"
 CPTDAY85                     "Number of days from admission to CPT85"
 CPTDAY86                     "Number of days from admission to CPT86"
 CPTDAY87                     "Number of days from admission to CPT87"
 CPTDAY88                     "Number of days from admission to CPT88"
 CPTDAY89                     "Number of days from admission to CPT89"
 CPTDAY90                     "Number of days from admission to CPT90"
 CPTDAY91                     "Number of days from admission to CPT91"
 CPTDAY92                     "Number of days from admission to CPT92"
 CPTDAY93                     "Number of days from admission to CPT93"
 CPTDAY94                     "Number of days from admission to CPT94"
 CPTDAY95                     "Number of days from admission to CPT95"
 CPTDAY96                     "Number of days from admission to CPT96"
 CPTDAY97                     "Number of days from admission to CPT97"
 CPTDAY98                     "Number of days from admission to CPT98"
 CPTDAY99                     "Number of days from admission to CPT99"
 CPTDAY100                    "Number of days from admission to CPT100"
 CPTDAY101                    "Number of days from admission to CPT101"
 CPTDAY102                    "Number of days from admission to CPT102"
 CPTDAY103                    "Number of days from admission to CPT103"
 CPTDAY104                    "Number of days from admission to CPT104"
 CPTDAY105                    "Number of days from admission to CPT105"
 CPTDAY106                    "Number of days from admission to CPT106"
 CPTDAY107                    "Number of days from admission to CPT107"
 CPTDAY108                    "Number of days from admission to CPT108"
 CPTDAY109                    "Number of days from admission to CPT109"
 CPTDAY110                    "Number of days from admission to CPT110"
 CPTDAY111                    "Number of days from admission to CPT111"
 CPTDAY112                    "Number of days from admission to CPT112"
 CPTDAY113                    "Number of days from admission to CPT113"
 CPTDAY114                    "Number of days from admission to CPT114"
 CPTDAY115                    "Number of days from admission to CPT115"
 CPTDAY116                    "Number of days from admission to CPT116"
 CPTDAY117                    "Number of days from admission to CPT117"
 CPTDAY118                    "Number of days from admission to CPT118"
 CPTDAY119                    "Number of days from admission to CPT119"
 CPTDAY120                    "Number of days from admission to CPT120"
 CPTDAY121                    "Number of days from admission to CPT121"
 CPTDAY122                    "Number of days from admission to CPT122"
 CPTDAY123                    "Number of days from admission to CPT123"
 CPTDAY124                    "Number of days from admission to CPT124"
 CPTDAY125                    "Number of days from admission to CPT125"
 CPTDAY126                    "Number of days from admission to CPT126"
 CPTDAY127                    "Number of days from admission to CPT127"
 CPTDAY128                    "Number of days from admission to CPT128"
 CPTDAY129                    "Number of days from admission to CPT129"
 CPTDAY130                    "Number of days from admission to CPT130"
 CPTDAY131                    "Number of days from admission to CPT131"
 CPTDAY132                    "Number of days from admission to CPT132"
 CPTDAY133                    "Number of days from admission to CPT133"
 CPTDAY134                    "Number of days from admission to CPT134"
 CPTDAY135                    "Number of days from admission to CPT135"
 CPTDAY136                    "Number of days from admission to CPT136"
 CPTDAY137                    "Number of days from admission to CPT137"
 CPTDAY138                    "Number of days from admission to CPT138"
 CPTDAY139                    "Number of days from admission to CPT139"
 CPTDAY140                    "Number of days from admission to CPT140"
 CPTDAY141                    "Number of days from admission to CPT141"
 CPTDAY142                    "Number of days from admission to CPT142"
 CPTDAY143                    "Number of days from admission to CPT143"
 CPTDAY144                    "Number of days from admission to CPT144"
 CPTDAY145                    "Number of days from admission to CPT145"
 CPTDAY146                    "Number of days from admission to CPT146"
 CPTDAY147                    "Number of days from admission to CPT147"
 CPTDAY148                    "Number of days from admission to CPT148"
 CPTDAY149                    "Number of days from admission to CPT149"
 CPTDAY150                    "Number of days from admission to CPT150"
 CPTDAY151                    "Number of days from admission to CPT151"
 CPTDAY152                    "Number of days from admission to CPT152"
 CPTDAY153                    "Number of days from admission to CPT153"
 CPTDAY154                    "Number of days from admission to CPT154"
 CPTDAY155                    "Number of days from admission to CPT155"
 CPTDAY156                    "Number of days from admission to CPT156"
 CPTDAY157                    "Number of days from admission to CPT157"
 CPTDAY158                    "Number of days from admission to CPT158"
 CPTDAY159                    "Number of days from admission to CPT159"
 CPTDAY160                    "Number of days from admission to CPT160"
 CPTDAY161                    "Number of days from admission to CPT161"
 CPTDAY162                    "Number of days from admission to CPT162"
 CPTDAY163                    "Number of days from admission to CPT163"
 CPTDAY164                    "Number of days from admission to CPT164"
 CPTDAY165                    "Number of days from admission to CPT165"
 CPTDAY166                    "Number of days from admission to CPT166"
 CPTDAY167                    "Number of days from admission to CPT167"
 CPTDAY168                    "Number of days from admission to CPT168"
 CPTDAY169                    "Number of days from admission to CPT169"
 CPTDAY170                    "Number of days from admission to CPT170"
 CPTDAY171                    "Number of days from admission to CPT171"
 CPTDAY172                    "Number of days from admission to CPT172"
 CPTDAY173                    "Number of days from admission to CPT173"
 CPTDAY174                    "Number of days from admission to CPT174"
 CPTDAY175                    "Number of days from admission to CPT175"
 CPTDAY176                    "Number of days from admission to CPT176"
 CPTDAY177                    "Number of days from admission to CPT177"
 CPTDAY178                    "Number of days from admission to CPT178"
 CPTDAY179                    "Number of days from admission to CPT179"
 CPTDAY180                    "Number of days from admission to CPT180"
 CPTDAY181                    "Number of days from admission to CPT181"
 CPTDAY182                    "Number of days from admission to CPT182"
 CPTDAY183                    "Number of days from admission to CPT183"
 CPTDAY184                    "Number of days from admission to CPT184"
 CPTDAY185                    "Number of days from admission to CPT185"
 CPTDAY186                    "Number of days from admission to CPT186"
 CPTDAY187                    "Number of days from admission to CPT187"
 CPTDAY188                    "Number of days from admission to CPT188"
 CPTDAY189                    "Number of days from admission to CPT189"
 CPTDAY190                    "Number of days from admission to CPT190"
 CPTDAY191                    "Number of days from admission to CPT191"
 CPTDAY192                    "Number of days from admission to CPT192"
 CPTDAY193                    "Number of days from admission to CPT193"
 CPTDAY194                    "Number of days from admission to CPT194"
 CPTDAY195                    "Number of days from admission to CPT195"
 CPTDAY196                    "Number of days from admission to CPT196"
 CPTDAY197                    "Number of days from admission to CPT197"
 CPTDAY198                    "Number of days from admission to CPT198"
 CPTDAY199                    "Number of days from admission to CPT199"
 CPTDAY200                    "Number of days from admission to CPT200"
 DaysToEvent                  "Days from 'start date' to admission"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 DXPOA32                      "Diagnosis 32, present on admission indicator"
 DXPOA33                      "Diagnosis 33, present on admission indicator"
 DXPOA34                      "Diagnosis 34, present on admission indicator"
 DXPOA35                      "Diagnosis 35, present on admission indicator"
 DXPOA36                      "Diagnosis 36, present on admission indicator"
 DXPOA37                      "Diagnosis 37, present on admission indicator"
 DXPOA38                      "Diagnosis 38, present on admission indicator"
 DXPOA39                      "Diagnosis 39, present on admission indicator"
 DXPOA40                      "Diagnosis 40, present on admission indicator"
 DXPOA41                      "Diagnosis 41, present on admission indicator"
 DXPOA42                      "Diagnosis 42, present on admission indicator"
 DXPOA43                      "Diagnosis 43, present on admission indicator"
 DXPOA44                      "Diagnosis 44, present on admission indicator"
 DXPOA45                      "Diagnosis 45, present on admission indicator"
 DXPOA46                      "Diagnosis 46, present on admission indicator"
 DXPOA47                      "Diagnosis 47, present on admission indicator"
 DXPOA48                      "Diagnosis 48, present on admission indicator"
 DXPOA49                      "Diagnosis 49, present on admission indicator"
 DXPOA50                      "Diagnosis 50, present on admission indicator"
 DXPOA51                      "Diagnosis 51, present on admission indicator"
 DXPOA52                      "Diagnosis 52, present on admission indicator"
 DXPOA53                      "Diagnosis 53, present on admission indicator"
 DXPOA54                      "Diagnosis 54, present on admission indicator"
 DXPOA55                      "Diagnosis 55, present on admission indicator"
 DXPOA56                      "Diagnosis 56, present on admission indicator"
 DXPOA57                      "Diagnosis 57, present on admission indicator"
 DXPOA58                      "Diagnosis 58, present on admission indicator"
 DXPOA59                      "Diagnosis 59, present on admission indicator"
 DXPOA60                      "Diagnosis 60, present on admission indicator"
 DXPOA61                      "Diagnosis 61, present on admission indicator"
 DXPOA62                      "Diagnosis 62, present on admission indicator"
 DXPOA63                      "Diagnosis 63, present on admission indicator"
 DXPOA64                      "Diagnosis 64, present on admission indicator"
 DXPOA65                      "Diagnosis 65, present on admission indicator"
 DXPOA66                      "Diagnosis 66, present on admission indicator"
 DXPOA67                      "Diagnosis 67, present on admission indicator"
 DXPOA68                      "Diagnosis 68, present on admission indicator"
 DXPOA69                      "Diagnosis 69, present on admission indicator"
 DXPOA70                      "Diagnosis 70, present on admission indicator"
 DXPOA71                      "Diagnosis 71, present on admission indicator"
 DXPOA72                      "Diagnosis 72, present on admission indicator"
 DXPOA73                      "Diagnosis 73, present on admission indicator"
 DXPOA74                      "Diagnosis 74, present on admission indicator"
 DXPOA75                      "Diagnosis 75, present on admission indicator"
 DXPOA76                      "Diagnosis 76, present on admission indicator"
 DXPOA77                      "Diagnosis 77, present on admission indicator"
 DXPOA78                      "Diagnosis 78, present on admission indicator"
 DXPOA79                      "Diagnosis 79, present on admission indicator"
 DXPOA80                      "Diagnosis 80, present on admission indicator"
 DXPOA81                      "Diagnosis 81, present on admission indicator"
 DXPOA82                      "Diagnosis 82, present on admission indicator"
 DXPOA83                      "Diagnosis 83, present on admission indicator"
 DXPOA84                      "Diagnosis 84, present on admission indicator"
 DXPOA85                      "Diagnosis 85, present on admission indicator"
 DXPOA86                      "Diagnosis 86, present on admission indicator"
 DXPOA87                      "Diagnosis 87, present on admission indicator"
 DXPOA88                      "Diagnosis 88, present on admission indicator"
 DXPOA89                      "Diagnosis 89, present on admission indicator"
 DXPOA90                      "Diagnosis 90, present on admission indicator"
 DXPOA91                      "Diagnosis 91, present on admission indicator"
 DXPOA92                      "Diagnosis 92, present on admission indicator"
 DXPOA93                      "Diagnosis 93, present on admission indicator"
 DXPOA94                      "Diagnosis 94, present on admission indicator"
 DXPOA95                      "Diagnosis 95, present on admission indicator"
 DXPOA96                      "Diagnosis 96, present on admission indicator"
 DXPOA97                      "Diagnosis 97, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HCUP_SURGERY_BROAD_CPT       "Number of reported CPT procedures that qualify as a surgery using a broad definition"
 HCUP_SURGERY_NARROW_CPT      "Number of reported CPT procedures that qualify as a surgery using a narrow definition"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_DX34                     "ICD-10-CM Diagnosis 34"
 I10_DX35                     "ICD-10-CM Diagnosis 35"
 I10_DX36                     "ICD-10-CM Diagnosis 36"
 I10_DX37                     "ICD-10-CM Diagnosis 37"
 I10_DX38                     "ICD-10-CM Diagnosis 38"
 I10_DX39                     "ICD-10-CM Diagnosis 39"
 I10_DX40                     "ICD-10-CM Diagnosis 40"
 I10_DX41                     "ICD-10-CM Diagnosis 41"
 I10_DX42                     "ICD-10-CM Diagnosis 42"
 I10_DX43                     "ICD-10-CM Diagnosis 43"
 I10_DX44                     "ICD-10-CM Diagnosis 44"
 I10_DX45                     "ICD-10-CM Diagnosis 45"
 I10_DX46                     "ICD-10-CM Diagnosis 46"
 I10_DX47                     "ICD-10-CM Diagnosis 47"
 I10_DX48                     "ICD-10-CM Diagnosis 48"
 I10_DX49                     "ICD-10-CM Diagnosis 49"
 I10_DX50                     "ICD-10-CM Diagnosis 50"
 I10_DX51                     "ICD-10-CM Diagnosis 51"
 I10_DX52                     "ICD-10-CM Diagnosis 52"
 I10_DX53                     "ICD-10-CM Diagnosis 53"
 I10_DX54                     "ICD-10-CM Diagnosis 54"
 I10_DX55                     "ICD-10-CM Diagnosis 55"
 I10_DX56                     "ICD-10-CM Diagnosis 56"
 I10_DX57                     "ICD-10-CM Diagnosis 57"
 I10_DX58                     "ICD-10-CM Diagnosis 58"
 I10_DX59                     "ICD-10-CM Diagnosis 59"
 I10_DX60                     "ICD-10-CM Diagnosis 60"
 I10_DX61                     "ICD-10-CM Diagnosis 61"
 I10_DX62                     "ICD-10-CM Diagnosis 62"
 I10_DX63                     "ICD-10-CM Diagnosis 63"
 I10_DX64                     "ICD-10-CM Diagnosis 64"
 I10_DX65                     "ICD-10-CM Diagnosis 65"
 I10_DX66                     "ICD-10-CM Diagnosis 66"
 I10_DX67                     "ICD-10-CM Diagnosis 67"
 I10_DX68                     "ICD-10-CM Diagnosis 68"
 I10_DX69                     "ICD-10-CM Diagnosis 69"
 I10_DX70                     "ICD-10-CM Diagnosis 70"
 I10_DX71                     "ICD-10-CM Diagnosis 71"
 I10_DX72                     "ICD-10-CM Diagnosis 72"
 I10_DX73                     "ICD-10-CM Diagnosis 73"
 I10_DX74                     "ICD-10-CM Diagnosis 74"
 I10_DX75                     "ICD-10-CM Diagnosis 75"
 I10_DX76                     "ICD-10-CM Diagnosis 76"
 I10_DX77                     "ICD-10-CM Diagnosis 77"
 I10_DX78                     "ICD-10-CM Diagnosis 78"
 I10_DX79                     "ICD-10-CM Diagnosis 79"
 I10_DX80                     "ICD-10-CM Diagnosis 80"
 I10_DX81                     "ICD-10-CM Diagnosis 81"
 I10_DX82                     "ICD-10-CM Diagnosis 82"
 I10_DX83                     "ICD-10-CM Diagnosis 83"
 I10_DX84                     "ICD-10-CM Diagnosis 84"
 I10_DX85                     "ICD-10-CM Diagnosis 85"
 I10_DX86                     "ICD-10-CM Diagnosis 86"
 I10_DX87                     "ICD-10-CM Diagnosis 87"
 I10_DX88                     "ICD-10-CM Diagnosis 88"
 I10_DX89                     "ICD-10-CM Diagnosis 89"
 I10_DX90                     "ICD-10-CM Diagnosis 90"
 I10_DX91                     "ICD-10-CM Diagnosis 91"
 I10_DX92                     "ICD-10-CM Diagnosis 92"
 I10_DX93                     "ICD-10-CM Diagnosis 93"
 I10_DX94                     "ICD-10-CM Diagnosis 94"
 I10_DX95                     "ICD-10-CM Diagnosis 95"
 I10_DX96                     "ICD-10-CM Diagnosis 96"
 I10_DX97                     "ICD-10-CM Diagnosis 97"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PR17                     "ICD-10-PCS Procedure 17"
 I10_PR18                     "ICD-10-PCS Procedure 18"
 I10_PR19                     "ICD-10-PCS Procedure 19"
 I10_PR20                     "ICD-10-PCS Procedure 20"
 I10_PR21                     "ICD-10-PCS Procedure 21"
 I10_PR22                     "ICD-10-PCS Procedure 22"
 I10_PR23                     "ICD-10-PCS Procedure 23"
 I10_PR24                     "ICD-10-PCS Procedure 24"
 I10_PR25                     "ICD-10-PCS Procedure 25"
 I10_PR26                     "ICD-10-PCS Procedure 26"
 I10_PR27                     "ICD-10-PCS Procedure 27"
 I10_PR28                     "ICD-10-PCS Procedure 28"
 I10_PR29                     "ICD-10-PCS Procedure 29"
 I10_PR30                     "ICD-10-PCS Procedure 30"
 I10_PR31                     "ICD-10-PCS Procedure 31"
 I10_PR32                     "ICD-10-PCS Procedure 32"
 I10_PR33                     "ICD-10-PCS Procedure 33"
 I10_PR34                     "ICD-10-PCS Procedure 34"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MARITALSTATUS_X              "Patient's marital status (as received from source)"
 MARITALSTATUSUB04            "Patient's marital status, UB-04 standard coding"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MDNUM2_R                     "Physician 2 number (re-identified)"
 MDNUM3_R                     "Physician 3 number (re-identified)"
 MDNUM4_R                     "Physician 4 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OPservice                    "Indicator of outpatient service (as received from source)"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAY3                         "Tertiary expected payer (uniform)"
 PAY3_X                       "Tertiary expected payer (as received from source)"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PRDAY17                      "Number of days from admission to I10_PR17"
 PRDAY18                      "Number of days from admission to I10_PR18"
 PRDAY19                      "Number of days from admission to I10_PR19"
 PRDAY20                      "Number of days from admission to I10_PR20"
 PRDAY21                      "Number of days from admission to I10_PR21"
 PRDAY22                      "Number of days from admission to I10_PR22"
 PRDAY23                      "Number of days from admission to I10_PR23"
 PRDAY24                      "Number of days from admission to I10_PR24"
 PRDAY25                      "Number of days from admission to I10_PR25"
 PRDAY26                      "Number of days from admission to I10_PR26"
 PRDAY27                      "Number of days from admission to I10_PR27"
 PRDAY28                      "Number of days from admission to I10_PR28"
 PRDAY29                      "Number of days from admission to I10_PR29"
 PRDAY30                      "Number of days from admission to I10_PR30"
 PRDAY31                      "Number of days from admission to I10_PR31"
 PRDAY32                      "Number of days from admission to I10_PR32"
 PRDAY33                      "Number of days from admission to I10_PR33"
 PRDAY34                      "Number of days from admission to I10_PR34"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO                        "Patient state/county FIPS code"
 PSTCO_GEO                    "Counties assigned based on ZIP Code geographic centroids"
 RACE                         "Race (uniform)"
 RACE_PCT_MISS_HOSP           "Hospital percentage of missing or invalid race values"
 RACE_X                       "Race (as received from source)"
 SASD_SEDD                    "SASD and SEDD indicator"
 STATE_AS                     "State Ambulatory Surgery service indicator"
 STATE_ED                     "State Emergency Department service indicator"
 STATE_OS                     "State Observation Stay service indicator"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 HOSPID                       "HCUP hospital identification number"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRMONTH17                    "Month of procedure 17"
 PRMONTH18                    "Month of procedure 18"
 PRMONTH19                    "Month of procedure 19"
 PRMONTH20                    "Month of procedure 20"
 PRMONTH21                    "Month of procedure 21"
 PRMONTH22                    "Month of procedure 22"
 PRMONTH23                    "Month of procedure 23"
 PRMONTH24                    "Month of procedure 24"
 PRMONTH25                    "Month of procedure 25"
 PRMONTH26                    "Month of procedure 26"
 PRMONTH27                    "Month of procedure 27"
 PRMONTH28                    "Month of procedure 28"
 PRMONTH29                    "Month of procedure 29"
 PRMONTH30                    "Month of procedure 30"
 PRMONTH31                    "Month of procedure 31"
 PRMONTH32                    "Month of procedure 32"
 PRMONTH33                    "Month of procedure 33"
 PRMONTH34                    "Month of procedure 34"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16"
 PRYEAR17                     "Year of procedure 17"
 PRYEAR18                     "Year of procedure 18"
 PRYEAR19                     "Year of procedure 19"
 PRYEAR20                     "Year of procedure 20"
 PRYEAR21                     "Year of procedure 21"
 PRYEAR22                     "Year of procedure 22"
 PRYEAR23                     "Year of procedure 23"
 PRYEAR24                     "Year of procedure 24"
 PRYEAR25                     "Year of procedure 25"
 PRYEAR26                     "Year of procedure 26"
 PRYEAR27                     "Year of procedure 27"
 PRYEAR28                     "Year of procedure 28"
 PRYEAR29                     "Year of procedure 29"
 PRYEAR30                     "Year of procedure 30"
 PRYEAR31                     "Year of procedure 31"
 PRYEAR32                     "Year of procedure 32"
 PRYEAR33                     "Year of procedure 33"
 PRYEAR34                     "Year of procedure 34" .


/**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************/

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS200
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTDAY200
 (-99,-88,-66,-55=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_BROAD_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HCUP_SURGERY_NARROW_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM3_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM4_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY3
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO_GEO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_PCT_MISS_HOSP
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE SASD_SEDD
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_AS
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'GA_SEDD_2021_CORE.sav' /COMPRESSED.
