/*******************************************************************
*   NY_SEDD_2006_DX_PR_GRPS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY DX_PR_GRPS FILE INTO SPSS                         
*******************************************************************/


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'NY_SEDD_2006_DX_PR_GRPS.ASC' FIXED / 
 KEY                        1-  18
 CCSMGN1                   19-  21
 CCSMGN2                   22-  24
 CCSMGN3                   25-  27
 CCSMGN4                   28-  30
 CCSMGN5                   31-  33
 CCSMGN6                   34-  36
 CCSMGN7                   37-  39
 CCSMGN8                   40-  42
 CCSMGN9                   43-  45
 CCSMGN10                  46-  48
 CCSMGN11                  49-  51
 CCSMGN12                  52-  54
 CCSMGN13                  55-  57
 CCSMGN14                  58-  60
 CCSMGN15                  61-  63
 CCSMSP1                   64-  67
 CCSMSP2                   68-  71
 CCSMSP3                   72-  75
 CCSMSP4                   76-  79
 CCSMSP5                   80-  83
 CCSMSP6                   84-  87
 CCSMSP7                   88-  91
 CCSMSP8                   92-  95
 CCSMSP9                   96-  99
 CCSMSP10                 100- 103
 CCSMSP11                 104- 107
 CCSMSP12                 108- 111
 CCSMSP13                 112- 115
 CCSMSP14                 116- 119
 CCSMSP15                 120- 123
 CHRON1                   124- 125
 CHRON2                   126- 127
 CHRON3                   128- 129
 CHRON4                   130- 131
 CHRON5                   132- 133
 CHRON6                   134- 135
 CHRON7                   136- 137
 CHRON8                   138- 139
 CHRON9                   140- 141
 CHRON10                  142- 143
 CHRON11                  144- 145
 CHRON12                  146- 147
 CHRON13                  148- 149
 CHRON14                  150- 151
 CHRON15                  152- 153
 CHRONB1                  154- 155
 CHRONB2                  156- 157
 CHRONB3                  158- 159
 CHRONB4                  160- 161
 CHRONB5                  162- 163
 CHRONB6                  164- 165
 CHRONB7                  166- 167
 CHRONB8                  168- 169
 CHRONB9                  170- 171
 CHRONB10                 172- 173
 CHRONB11                 174- 175
 CHRONB12                 176- 177
 CHRONB13                 178- 179
 CHRONB14                 180- 181
 CHRONB15                 182- 183
 ECCSMGN1                 184- 186
 ECCSMGN2                 187- 189
 ECCSMGN3                 190- 192
 ECCSMGN4                 193- 195
 ECCSMGN5                 196- 198
 ECCSMGN6                 199- 201
 ECCSMGN7                 202- 204
 ECCSMGN8                 205- 207
 ECCSMGN9                 208- 210
 PCLASS1                  211- 212
 PCLASS2                  213- 214
 PCLASS3                  215- 216
 PCLASS4                  217- 218
 PCLASS5                  219- 220
 PCLASS6                  221- 222
 PCLASS7                  223- 224
 PCLASS8                  225- 226
 PCLASS9                  227- 228
 PCLASS10                 229- 230
 PCLASS11                 231- 232
 PCLASS12                 233- 234
 PCLASS13                 235- 236
 PCLASS14                 237- 238
 PCLASS15                 239- 240
 U_BLOOD                  241- 242
 U_CATH                   243- 244
 U_CCU                    245- 246
 U_CHESTXRAY              247- 248
 U_CTSCAN                 249- 250
 U_DIALYSIS               251- 252
 U_ECHO                   253- 254
 U_ED                     255- 256
 U_EEG                    257- 258
 U_EKG                    259- 260
 U_EPO                    261- 262
 U_ICU                    263- 264
 U_LITHOTRIPSY            265- 266
 U_MHSA                   267- 268
 U_MRT                    269- 270
 U_NEWBN2L                271- 272
 U_NEWBN3L                273- 274
 U_NEWBN4L                275- 276
 U_NUCMED                 277- 278
 U_OBSERVATION            279- 280
 U_OCCTHERAPY             281- 282
 U_ORGANACQ               283- 284
 U_OTHIMPLANTS            285- 286
 U_PACEMAKER              287- 288
 U_PHYTHERAPY             289- 290
 U_RADTHERAPY             291- 292
 U_RESPTHERAPY            293- 294
 U_SPEECHTHERAPY          295- 296
 U_STRESS                 297- 298
 U_ULTRASOUND             299- 300.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CCSMGN1                 (F3.0) /
 CCSMGN2                 (F3.0) /
 CCSMGN3                 (F3.0) /
 CCSMGN4                 (F3.0) /
 CCSMGN5                 (F3.0) /
 CCSMGN6                 (F3.0) /
 CCSMGN7                 (F3.0) /
 CCSMGN8                 (F3.0) /
 CCSMGN9                 (F3.0) /
 CCSMGN10                (F3.0) /
 CCSMGN11                (F3.0) /
 CCSMGN12                (F3.0) /
 CCSMGN13                (F3.0) /
 CCSMGN14                (F3.0) /
 CCSMGN15                (F3.0) /
 CCSMSP1                 (F3.0) /
 CCSMSP2                 (F3.0) /
 CCSMSP3                 (F3.0) /
 CCSMSP4                 (F3.0) /
 CCSMSP5                 (F3.0) /
 CCSMSP6                 (F3.0) /
 CCSMSP7                 (F3.0) /
 CCSMSP8                 (F3.0) /
 CCSMSP9                 (F3.0) /
 CCSMSP10                (F3.0) /
 CCSMSP11                (F3.0) /
 CCSMSP12                (F3.0) /
 CCSMSP13                (F3.0) /
 CCSMSP14                (F3.0) /
 CCSMSP15                (F3.0) /
 CHRON1                  (F3.0) /
 CHRON2                  (F3.0) /
 CHRON3                  (F3.0) /
 CHRON4                  (F3.0) /
 CHRON5                  (F3.0) /
 CHRON6                  (F3.0) /
 CHRON7                  (F3.0) /
 CHRON8                  (F3.0) /
 CHRON9                  (F3.0) /
 CHRON10                 (F3.0) /
 CHRON11                 (F3.0) /
 CHRON12                 (F3.0) /
 CHRON13                 (F3.0) /
 CHRON14                 (F3.0) /
 CHRON15                 (F3.0) /
 CHRONB1                 (F3.0) /
 CHRONB2                 (F3.0) /
 CHRONB3                 (F3.0) /
 CHRONB4                 (F3.0) /
 CHRONB5                 (F3.0) /
 CHRONB6                 (F3.0) /
 CHRONB7                 (F3.0) /
 CHRONB8                 (F3.0) /
 CHRONB9                 (F3.0) /
 CHRONB10                (F3.0) /
 CHRONB11                (F3.0) /
 CHRONB12                (F3.0) /
 CHRONB13                (F3.0) /
 CHRONB14                (F3.0) /
 CHRONB15                (F3.0) /
 ECCSMGN1                (F3.0) /
 ECCSMGN2                (F3.0) /
 ECCSMGN3                (F3.0) /
 ECCSMGN4                (F3.0) /
 ECCSMGN5                (F3.0) /
 ECCSMGN6                (F3.0) /
 ECCSMGN7                (F3.0) /
 ECCSMGN8                (F3.0) /
 ECCSMGN9                (F3.0) /
 PCLASS1                 (F3.0) /
 PCLASS2                 (F3.0) /
 PCLASS3                 (F3.0) /
 PCLASS4                 (F3.0) /
 PCLASS5                 (F3.0) /
 PCLASS6                 (F3.0) /
 PCLASS7                 (F3.0) /
 PCLASS8                 (F3.0) /
 PCLASS9                 (F3.0) /
 PCLASS10                (F3.0) /
 PCLASS11                (F3.0) /
 PCLASS12                (F3.0) /
 PCLASS13                (F3.0) /
 PCLASS14                (F3.0) /
 PCLASS15                (F3.0) /
 U_BLOOD                 (F3.0) /
 U_CATH                  (F3.0) /
 U_CCU                   (F3.0) /
 U_CHESTXRAY             (F3.0) /
 U_CTSCAN                (F3.0) /
 U_DIALYSIS              (F3.0) /
 U_ECHO                  (F3.0) /
 U_ED                    (F3.0) /
 U_EEG                   (F3.0) /
 U_EKG                   (F3.0) /
 U_EPO                   (F3.0) /
 U_ICU                   (F3.0) /
 U_LITHOTRIPSY           (F3.0) /
 U_MHSA                  (F3.0) /
 U_MRT                   (F3.0) /
 U_NEWBN2L               (F3.0) /
 U_NEWBN3L               (F3.0) /
 U_NEWBN4L               (F3.0) /
 U_NUCMED                (F3.0) /
 U_OBSERVATION           (F3.0) /
 U_OCCTHERAPY            (F3.0) /
 U_ORGANACQ              (F3.0) /
 U_OTHIMPLANTS           (F3.0) /
 U_PACEMAKER             (F3.0) /
 U_PHYTHERAPY            (F3.0) /
 U_RADTHERAPY            (F3.0) /
 U_RESPTHERAPY           (F3.0) /
 U_SPEECHTHERAPY         (F3.0) /
 U_STRESS                (F3.0) /
 U_ULTRASOUND            (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                     "HCUP record identifier"
 CCSMGN1                 "CCS-MHSA general category: principal diagnosis"
 CCSMGN2                 "CCS-MHSA general category: diagnosis 2"
 CCSMGN3                 "CCS-MHSA general category: diagnosis 3"
 CCSMGN4                 "CCS-MHSA general category: diagnosis 4"
 CCSMGN5                 "CCS-MHSA general category: diagnosis 5"
 CCSMGN6                 "CCS-MHSA general category: diagnosis 6"
 CCSMGN7                 "CCS-MHSA general category: diagnosis 7"
 CCSMGN8                 "CCS-MHSA general category: diagnosis 8"
 CCSMGN9                 "CCS-MHSA general category: diagnosis 9"
 CCSMGN10                "CCS-MHSA general category: diagnosis 10"
 CCSMGN11                "CCS-MHSA general category: diagnosis 11"
 CCSMGN12                "CCS-MHSA general category: diagnosis 12"
 CCSMGN13                "CCS-MHSA general category: diagnosis 13"
 CCSMGN14                "CCS-MHSA general category: diagnosis 14"
 CCSMGN15                "CCS-MHSA general category: diagnosis 15"
 CCSMSP1                 "CCS-MHSA specific category: principal diagnosis"
 CCSMSP2                 "CCS-MHSA specific category: diagnosis 2"
 CCSMSP3                 "CCS-MHSA specific category: diagnosis 3"
 CCSMSP4                 "CCS-MHSA specific category: diagnosis 4"
 CCSMSP5                 "CCS-MHSA specific category: diagnosis 5"
 CCSMSP6                 "CCS-MHSA specific category: diagnosis 6"
 CCSMSP7                 "CCS-MHSA specific category: diagnosis 7"
 CCSMSP8                 "CCS-MHSA specific category: diagnosis 8"
 CCSMSP9                 "CCS-MHSA specific category: diagnosis 9"
 CCSMSP10                "CCS-MHSA specific category: diagnosis 10"
 CCSMSP11                "CCS-MHSA specific category: diagnosis 11"
 CCSMSP12                "CCS-MHSA specific category: diagnosis 12"
 CCSMSP13                "CCS-MHSA specific category: diagnosis 13"
 CCSMSP14                "CCS-MHSA specific category: diagnosis 14"
 CCSMSP15                "CCS-MHSA specific category: diagnosis 15"
 CHRON1                  "Chronic condition indicator 1"
 CHRON2                  "Chronic condition indicator 2"
 CHRON3                  "Chronic condition indicator 3"
 CHRON4                  "Chronic condition indicator 4"
 CHRON5                  "Chronic condition indicator 5"
 CHRON6                  "Chronic condition indicator 6"
 CHRON7                  "Chronic condition indicator 7"
 CHRON8                  "Chronic condition indicator 8"
 CHRON9                  "Chronic condition indicator 9"
 CHRON10                 "Chronic condition indicator 10"
 CHRON11                 "Chronic condition indicator 11"
 CHRON12                 "Chronic condition indicator 12"
 CHRON13                 "Chronic condition indicator 13"
 CHRON14                 "Chronic condition indicator 14"
 CHRON15                 "Chronic condition indicator 15"
 CHRONB1                 "Chronic condition body system 1"
 CHRONB2                 "Chronic condition body system 2"
 CHRONB3                 "Chronic condition body system 3"
 CHRONB4                 "Chronic condition body system 4"
 CHRONB5                 "Chronic condition body system 5"
 CHRONB6                 "Chronic condition body system 6"
 CHRONB7                 "Chronic condition body system 7"
 CHRONB8                 "Chronic condition body system 8"
 CHRONB9                 "Chronic condition body system 9"
 CHRONB10                "Chronic condition body system 10"
 CHRONB11                "Chronic condition body system 11"
 CHRONB12                "Chronic condition body system 12"
 CHRONB13                "Chronic condition body system 13"
 CHRONB14                "Chronic condition body system 14"
 CHRONB15                "Chronic condition body system 15"
 ECCSMGN1                "CCS-MHSA general category: E Code 1"
 ECCSMGN2                "CCS-MHSA general category: E Code 2"
 ECCSMGN3                "CCS-MHSA general category: E Code 3"
 ECCSMGN4                "CCS-MHSA general category: E Code 4"
 ECCSMGN5                "CCS-MHSA general category: E Code 5"
 ECCSMGN6                "CCS-MHSA general category: E Code 6"
 ECCSMGN7                "CCS-MHSA general category: E Code 7"
 ECCSMGN8                "CCS-MHSA general category: E Code 8"
 ECCSMGN9                "CCS-MHSA general category: E Code 9"
 PCLASS1                 "Principal procedure class"
 PCLASS2                 "Procedure class 2"
 PCLASS3                 "Procedure class 3"
 PCLASS4                 "Procedure class 4"
 PCLASS5                 "Procedure class 5"
 PCLASS6                 "Procedure class 6"
 PCLASS7                 "Procedure class 7"
 PCLASS8                 "Procedure class 8"
 PCLASS9                 "Procedure class 9"
 PCLASS10                "Procedure class 10"
 PCLASS11                "Procedure class 11"
 PCLASS12                "Procedure class 12"
 PCLASS13                "Procedure class 13"
 PCLASS14                "Procedure class 14"
 PCLASS15                "Procedure class 15"
 U_BLOOD                 "Utilization Flag: Blood"
 U_CATH                  "Utilization Flag: Cardiac Catheterization Lab"
 U_CCU                   "Utilization Flag: Coronary Care Unit (CCU)"
 U_CHESTXRAY             "Utilization Flag: Chest X-Ray"
 U_CTSCAN                "Utilization Flag: Computed Tomography Scan"
 U_DIALYSIS              "Utilization Flag: Renal Dialysis"
 U_ECHO                  "Utilization Flag: Echocardiology"
 U_ED                    "Utilization Flag: Emergency Room"
 U_EEG                   "Utilization Flag: Electroencephalogram"
 U_EKG                   "Utilization Flag: Electrocardiogram"
 U_EPO                   "Utilization Flag: EPO"
 U_ICU                   "Utilization Flag: Intensive Care Unit (ICU)"
 U_LITHOTRIPSY           "Utilization Flag: Lithotripsy"
 U_MHSA                  "Utilization Flag: Mental Health and Substance Abuse"
 U_MRT                   "Utilization Flag: Medical Resonance Technology"
 U_NEWBN2L               "Utilization Flag: Nursery Level II"
 U_NEWBN3L               "Utilization Flag: Nursery Level III"
 U_NEWBN4L               "Utilization Flag: Nursery Level IV"
 U_NUCMED                "Utilization Flag: Nuclear Medicine"
 U_OBSERVATION           "Utilization Flag: Observation Room"
 U_OCCTHERAPY            "Utilization Flag: Occupational Therapy"
 U_ORGANACQ              "Utilization Flag: Organ Acquisition"
 U_OTHIMPLANTS           "Utilization Flag: Other Implants"
 U_PACEMAKER             "Utilization Flag: Pacemaker"
 U_PHYTHERAPY            "Utilization Flag: Physical Therapy"
 U_RADTHERAPY
"Utilization Flag: Radiology - Therapeutic and/or Chemotherapy Administration"
 U_RESPTHERAPY           "Utilization Flag: Respiratory Services"
 U_SPEECHTHERAPY         "Utilization Flag: Speech - Language Pathology"
 U_STRESS                "Utilization Flag: Cardiac Stress Test"
 U_ULTRASOUND            "Utilization Flag: Ultrasound" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CCSMGN1
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN2
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN3
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN4
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN5
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN6
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN7
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN8
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN9
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN10
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN11
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN12
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN13
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN14
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN15
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMSP1
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP2
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP3
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP4
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP5
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP6
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP7
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP8
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP9
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP10
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP11
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP12
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP13
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP14
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP15
 (-999,-888,-666,-555=SYSMIS).
RECODE CHRON1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON15
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB15
 (-9,-8,-6,-5=SYSMIS).
RECODE ECCSMGN1
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN2
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN3
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN4
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN5
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN6
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN7
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN8
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN9
 (-99,-88,-66,-55=SYSMIS).
RECODE PCLASS1
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS2
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS3
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS4
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS5
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS6
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS7
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS8
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS9
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS10
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS11
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS12
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS13
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS14
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS15
 (-9,-8,-6,-5=SYSMIS).
RECODE U_BLOOD
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CATH
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CCU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CHESTXRAY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CTSCAN
 (-9,-8,-6,-5=SYSMIS).
RECODE U_DIALYSIS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ECHO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EEG
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EKG
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EPO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ICU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_LITHOTRIPSY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_MHSA
 (-9,-8,-6,-5=SYSMIS).
RECODE U_MRT
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN2L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN3L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN4L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NUCMED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OBSERVATION
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OCCTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ORGANACQ
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OTHIMPLANTS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_PACEMAKER
 (-9,-8,-6,-5=SYSMIS).
RECODE U_PHYTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_RADTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_RESPTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_SPEECHTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_STRESS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ULTRASOUND
 (-9,-8,-6,-5=SYSMIS).



SAVE OUTFILE = 'NY_SEDD_2006_DX_PR_GRPS.SAV' /COMPRESSED.
